@echo off

REM Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
REM
REM Licensed under the Apache License, Version 2.0 (the "License");
REM you may not use this file except in compliance with the License.
REM You may obtain a copy of the License at
REM
REM      http://www.apache.org/licenses/LICENSE-2.0
REM
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM See the License for the specific language governing permissions and
REM limitations under the License.

if "%OS%"=="Windows_NT" @setlocal
if "%OS%"=="WINNT" @setlocal

rem %~dp0 is expanded pathname of the current script under NT
set ESB_HOME=%~dps0..

set _USE_CLASSPATH=yes
set _SYNAPSE_XML=-Dsynapse.xml="%ESB_HOME%\webapp\WEB-INF\classes\conf\synapse.xml"
set _XDEBUG=
set _PORT=

rem Slurp the command line arguments. This loop allows for an unlimited number
rem of arguments (up to the command line limit, anyway).

:setupArgs
if ""%1""=="""" goto doneStart
if ""%1""==""-sample"" goto esbSample
if ""%1""==""-noclasspath"" goto clearclasspath
if ""%1""==""-xdebug"" goto xdebug
if ""%1""==""-port"" goto port
shift
goto setupArgs

rem here is there is a -noclasspath in the options
:clearclasspath
set _USE_CLASSPATH=no
shift
goto setupArgs

rem is there is a -xdebug in the options
:xdebug
set _XDEBUG=-Xdebug -Xnoagent -Xrunjdwp:transport=dt_socket,server=y,address=8000
shift
goto setupArgs

rem is a custom port specified
:port
shift
set _PORT="-Dport=%1"
shift
goto setupArgs

:esbSample
shift
set _SYNAPSE_XML=-Dsynapse.xml="%ESB_HOME%\repository\conf\sample\synapse_sample_%1.xml"
shift
goto setupArgs

:doneStart
rem find ESB_HOME if it does not exist due to either an invalid value passed
rem by the user or the %0 problem on Windows 9x
if exist "%ESB_HOME%\README.TXT" goto checkJava

:noESBHome
echo ESB_HOME is set incorrectly or WSO2 ESB could not be located. Please set ESB_HOME.
goto end

:checkJava
set _JAVACMD=%JAVACMD%

if "%JAVA_HOME%" == "" goto noJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD="%JAVA_HOME%\bin\java.exe"
goto runSynapse

:noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD=java.exe
echo JAVA_HOME variable not defined or incorrect. Please set JAVA_HOME.

:runSynapse
rem set the classes by looping through the libs
setlocal EnableDelayedExpansion
set ESB_CLASS_PATH="%ESB_HOME%/lib";"%ESB_HOME%/repository/conf"
FOR %%C in ("%ESB_HOME%\tomcat\lib\*.jar") DO set ESB_CLASS_PATH=!ESB_CLASS_PATH!;"%%~fC"
set ESB_CLASS_PATH="%ESB_HOME%\tomcat\lib";%ESB_CLASS_PATH%

FOR %%C in ("%ESB_HOME%\webapp\WEB-INF\lib\patches\*.jar") DO set ESB_CLASS_PATH=!ESB_CLASS_PATH!;"%%~fC"
set ESB_CLASS_PATH="%ESB_HOME%\webapp\WEB-INF\lib\patches";%ESB_CLASS_PATH%

FOR %%C in ("%ESB_HOME%\webapp\WEB-INF\lib\synapse-*.jar") DO set ESB_CLASS_PATH=!ESB_CLASS_PATH!;"%%~fC"
FOR %%C in ("%ESB_HOME%\webapp\WEB-INF\lib\*.jar") DO set ESB_CLASS_PATH=!ESB_CLASS_PATH!;"%%~fC"
set ESB_CLASS_PATH="%ESB_HOME%\webapp\WEB-INF\classes\conf";"%ESB_HOME%\webapp\WEB-INF\lib";%ESB_CLASS_PATH%

FOR %%C in ("%ESB_HOME%\webapp\WEB-INF\lib\extensions\*.jar") DO set ESB_CLASS_PATH=!ESB_CLASS_PATH!;"%%~fC"
set ESB_CLASS_PATH="%ESB_HOME%\webapp\WEB-INF\lib\extensions";%ESB_CLASS_PATH%

rem use proper bouncy castle version for the JDK

"%JAVA_HOME%\bin\java" -version 2>&1 | findstr "1.4" >NUL
IF ERRORLEVEL 1 goto checkJdk15
echo  Using Bouncy castle JAR for Java 1.4
FOR %%C in ("%ESB_HOME%\webapp\WEB-INF\lib\bcprov-jdk13*.jar") DO set ESB_CLASS_PATH="%%~fC";!ESB_CLASS_PATH!
goto runServer

:checkJdk15
"%JAVA_HOME%\bin\java" -version 2>&1 | findstr "1.5" >NUL
IF ERRORLEVEL 1 goto runServer
echo  Using Bouncy castle JAR for Java 1.5
FOR %%C in ("%ESB_HOME%\webapp\WEB-INF\lib\bcprov-jdk15*.jar") DO set ESB_CLASS_PATH="%%~fC";!ESB_CLASS_PATH!

:runServer
set ESB_CLASS_PATH=%ESB_HOME%\webapp\WEB-INF\classes\conf;%ESB_CLASS_PATH%

@rem @echo on
cd %ESB_HOME%
echo "Starting WSO2 Enterprise Service Bus ..."
echo Using ESB_HOME:        %ESB_HOME%
echo Using JAVA_HOME:       %JAVA_HOME%
echo Using SYNAPSE_XML:     %_SYNAPSE_XML%
%_JAVACMD% %_SYNAPSE_XML%  -Dorg.apache.xerces.xni.parser.XMLParserConfiguration=org.apache.xerces.parsers.XMLGrammarCachingConfiguration -Desb.home="%ESB_HOME%" -Desb.xml="%ESB_HOME%\webapp\WEB-INF\classes\conf\server.xml" -Daxis2.xml="%ESB_HOME%\webapp\WEB-INF\classes\conf\axis2.xml" -Daxis2.repo="%ESB_HOME%\repository" -Djava.endorsed.dirs=%ESB_ENDORSED% %_XDEBUG% -cp %ESB_CLASS_PATH% org.wso2.esb.Main START %ESB_CMD_LINE_ARGS%
goto end

:end
set _JAVACMD=
set ESB_CMD_LINE_ARGS=

if "%OS%"=="Windows_NT" @endlocal
if "%OS%"=="WINNT" @endlocal

:mainEnd

