/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var CONFIG_MANAGEMENT = "ConfigAdmin";

function showSaveConfig() {
    var body_xml = '<ns1:getConfiguration xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getConfiguration>';
    var callURL = serverURL + "/" + CONFIG_MANAGEMENT + "/" + "getConfiguration";
    send("getConfiguration", body_xml, "", callURL, "", false, showSaveConfigCallback);
}

function showSaveConfigCallback() {
    if (!onError()) {
        return;
    }
    callbackhelper("save_config.xsl", document.getElementById("divSaveConfig"));
    var data = getBody(xhReq.responseXML);

    if (browsername.indexOf(NETSCAPE_BROWSER_NAME) != -1) {
        document.getElementById("rawConfig").value = getNodeFromPath("return", data).textContent;
    } else if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        document.getElementById("rawConfig").value = getNodeFromPath("return", data).text;
    }
    document.getElementById("rawConfig").style.cursor = "text";
}

function relpaceString(originalStr, originalword, relaceword) {
    if (originalStr == undefined || originalStr == null) {
        return;
    }
    var splitedarryone = originalStr.split(originalword)  ;
    var newStr = "";
    var limit = splitedarryone.length;
    for (var i = 0; i < limit; i++) {
        if (i == limit - 1) {
            newStr += splitedarryone[i];
        } else {
            newStr += splitedarryone[i] + relaceword;
        }
    }
    if (newStr == "" || newStr == undefined || newStr == null) {
        newStr = originalStr;
    }
    return newStr;
}
function saveConfigurationToDisk() {
    var theString = document.getElementById("rawConfig").value;
    var isXml = isValidXml(theString);
    if (!isXml) {
        return;
    }
    var body_xml = '<ns1:saveConfigurationToDisk xmlns:ns1="http://org.apache.synapse/xsd"/>\n';
    var callURL = serverURL + "/" + CONFIG_MANAGEMENT + "/" + "saveConfigurationToDisk" ;
    send("saveConfigurationToDisk", body_xml, "", callURL, "", false, saveConfigCallback);
    return false;
}

function saveConfigCallback() {
    if (!onError()) {
        return;
    }
    callbackhelper("save_config.xsl", document.getElementById("divSaveConfig"));
}

function updateConfiguration() {
    var theString = document.getElementById("rawConfig").value;
    var isXml = isValidXml(theString);
    if (!isXml) {
        return;
    }
    var body_xml = '<ns1:updateConfiguration xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:configElement>' + theString + '</ns1:configElement>' +
                   '</ns1:updateConfiguration>';
    var callURL = serverURL + "/" + CONFIG_MANAGEMENT + "/" + "updateConfiguration";
    send("updateConfiguration", body_xml, "", callURL, "", false, updateConfigurationCallback);
}

function updateConfigurationCallback() {
    if (!onError()) {
        return;
    }
    showSaveConfig();
}

function isValidXml(docStr) {
    if (window.ActiveXObject) {
        try {
            var doc = new ActiveXObject("Microsoft.XMLDOM");
            doc.async = "false";
            var hasParse = doc.loadXML(docStr);
            if (!hasParse) {
                esbwarning("Invalid XML configuration.. ", TYPE_WARN);
                return false;
            }
        } catch (e) {
            esbwarning("Invalid XML configuration.. ", TYPE_WARN);
            return false;
        }
    } else {
        var parser = new DOMParser();
        var doc = parser.parseFromString(docStr, "text/xml");
        if (doc.documentElement.nodeName == "parsererror") {
            esbwarning("Invalid XML configuration.. ", TYPE_WARN);
            return false;
        }
    }
    return true;
}
