/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the clone mediator specific UI operations
 */

collectdata["cache"] = function collectclonedata(mediator, validate) {

    var cache_id = document.getElementById("cache_id");
    var hash_generator = document.getElementById("hash_generator");
    var cache_scope = document.getElementById("cache_scope");
    var cache_timeout = document.getElementById("cache_timeout");
    var impl_type = document.getElementById("impl_type");
    var max_size = document.getElementById("max_size");
    var on_cache_hit = document.getElementById("on_cahe_hit");

    if (cache_id != undefined && cache_id.value != undefined && cache_id.value != "") {
        mediator.setAttribute("id", cache_id.value);
    }

    if (hash_generator != undefined && hash_generator.value != undefined && hash_generator.value != "") {
        mediator.setAttribute("hashGenerator", hash_generator.value);
    }

    if (cache_scope != undefined && cache_scope.options != undefined && cache_scope.options.selectedIndex != undefined) {
        mediator.setAttribute("scope", cache_scope.options[cache_scope.options.selectedIndex].value);
    }

    if (cache_timeout != undefined && cache_timeout.value != undefined && cache_timeout.value != "") {
        mediator.setAttribute("timeout", cache_timeout.value);
    }

    var implType = "memory";
    if (impl_type != undefined && impl_type.options != undefined && impl_type.options.selectedIndex != undefined) {
        implType = impl_type.options[impl_type.options.selectedIndex].value;
    }

    var maxSize = "100";
    if (max_size != undefined && max_size.value != undefined && max_size.value != "") {
        maxSize = max_size.value;
    }

    var mediatorChilds = mediator.childNodes;
    if (mediatorChilds.length == 0) {
        mediatorChilds = mediator.children;
    }
    for (var i=0; i<mediatorChilds.length; i++) {
        if (mediatorChilds[i].localName == "implementation") {
            mediator.removeChild(mediatorChilds[i]);
        }
    }
    mediator.appendChild(createesbelement("<syn:implementation type='" + implType + "' maxSize='" + maxSize + "' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));

    if (on_cache_hit != undefined && on_cache_hit.value != undefined && on_cache_hit.value != "") {
        if (mediator.getElementsByTagName("onCacheHit")[0] != undefined) {
            mediator.removeChild(mediator.getElementsByTagName("onCacheHit")[0]);
        } else if (mediator.getElementsByTagName("syn:onCacheHit")[0] != undefined) {
            mediator.removeChild(mediator.getElementsByTagName("syn:onCacheHit")[0]);
        }
        mediator.appendChild(createesbelement("<syn:onCacheHit sequence='" + on_cache_hit.value + "' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }

    return true;
};

mediatorelementstring["cache"] = function logstring() {
    return "<syn:cache hashGenerator='org.wso2.caching.digest.DOMHASHGenerator' xmlns:syn='http://ws.apache.org/ns/synapse'><syn:onCacheHit/></syn:cache>";
};

function oncachehitfromregistry() {
    var position = geteditingmediatorposition();
    var mediator = getnestedmediator(internalmodel.sequence, position);
    collectdata["cache"](mediator, false);
    registrybrowser("setoncachehitfromregistry", "dicardregistrybrowser", "", 1, "registryPanel");
}

function setoncachehitfromregistry() {

    var position = geteditingmediatorposition();
    var mediator = getnestedmediator(internalmodel.sequence, position);

    if (mediator.getElementsByTagName("onCacheHit")[0] != undefined) {
        mediator.getElementsByTagName("onCacheHit")[0].setAttribute("sequence", getRegistryKey());
    } else if (mediator.getElementsByTagName("syn:onCacheHit")[0] != undefined) {
        mediator.getElementsByTagName("syn:onCacheHit")[0].setAttribute("sequence", getRegistryKey());
    } else {
        mediator.appendChild(createesbelement("<syn:onCacheHit sequence='" + getRegistryKey() + "' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }

    dicardregistrybrowser(1);

    editmediator(position);
}

function changeCacheType() {
    var select = document.getElementById("cachemessageflow");
    var value = select.options[select.options.selectedIndex].value;
    var position = geteditingmediatorposition();
    var mediator = getnestedmediator(internalmodel.sequence, position);
    mediator.setAttribute("_cacheType", value);
    editmediator(position);
}

function cacheonhittoref() {
    var position = geteditingmediatorposition();
    var mediator = getnestedmediator(internalmodel.sequence, position);
    collectdata["cache"](mediator, false);
    if (mediator.getElementsByTagName("onCacheHit")[0] != undefined) {
        mediator.getElementsByTagName("onCacheHit")[0].setAttribute("sequence", "");
    } else if (mediator.getElementsByTagName("syn:onCacheHit")[0] != undefined) {
        mediator.getElementsByTagName("syn:onCacheHit")[0].setAttribute("sequence", "");
    } else {
        mediator.appendChild(createesbelement("<syn:onCacheHit sequence='' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }
    editmediator(position);
}

function cacheonhittoinline() {
    var position = geteditingmediatorposition();
    var mediator = getnestedmediator(internalmodel.sequence, position);
    collectdata["cache"](mediator, false);
    if (mediator.getElementsByTagName("onCacheHit")[0] != undefined) {
        mediator.getElementsByTagName("onCacheHit")[0].removeAttribute("sequence");
    } else if (mediator.getElementsByTagName("syn:onCacheHit")[0] != undefined) {
        mediator.getElementsByTagName("syn:onCacheHit")[0].removeAttribute("sequence");
    }
    editmediator(position);
}