/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the log mediator specific UI operations
 */

collectdata["class"] = function collectlogdata(mediator, validate) {

    var name = document.getElementById("class_name");
    if (name != null && name.value != null && name.value != "") {
        mediator.setAttribute("name", name.value);
    } else if(!validate) {
        esbwarning("The class name must be specified for the class mediator", TYPE_INFO);
        return false;
    }

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var existingprops = mediator.getElementsByTagName(prefix + "property");
    while (existingprops.length>0) {
        mediator.removeChild(existingprops[0]);
    }

    var propertyNames = document.getElementsByName("property_name");
    for (var i=0; i<propertyNames.length; i++) {
        var propName_shown = propertyNames[i].getAttribute("value");
        var propName_real = propName_shown.charAt(0).toLowerCase() + propName_shown.substring(1, propName_shown.length);
        var propValue_real = document.getElementById("class_med_prop" + propName_real);
        if (validate || (propValue_real != null && propValue_real.value != "")) {
            var propchild = createesbelement("<syn:property xmlns:syn='http://ws.apache.org/ns/synapse'/>");
            propchild.setAttribute("name", propName_real);
            propchild.setAttribute("value", propValue_real.value);
            mediator.appendChild(propchild);
        }
    }
    //collectproppertydata(mediator);
    return true;
};

mediatorelementstring["class"] = function logstring() {
    return "<syn:class xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};

var propsbeforereload = new Array();

function loadclass() {

    propsbeforereload = new Array();
    var propertyNames = document.getElementsByName("property_name");
    for (var i=0; i<propertyNames.length; i++) {
        var propName_shown = propertyNames[i].getAttribute("value");
        var propName_real = propName_shown.charAt(0).toLowerCase() + propName_shown.substring(1, propName_shown.length);
        var propValue_real = document.getElementById("class_med_prop" + propName_real);
        propsbeforereload[propName_real] = propValue_real.value;
    }

    var body_xml = '<ns1:loadClass xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:className>' + document.getElementById("class_name").value + '</ns1:className>' +
                   '</ns1:loadClass>';
    var callURL = serverURL + "/" + MEDIATOR_ADMIN + "/" ;
    send("loadClass", body_xml, "", callURL, "", false, loadclasscallback);
}

function loadclasscallback() {
    if (!onError()) {
        return;
    }
    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var properties = xhReq.responseXML.getElementsByTagName(prefix + "property");
    for (var i=0; i<properties.length; i++) {
        var propName = properties[i].getAttribute("name");
        if (propsbeforereload[propName] != undefined) {
            properties[i].setAttribute("value", propsbeforereload[propName])
        }
    }

    callbackhelper("mediators/class_edit.xsl", document.getElementById("class_edit_div"))
}

function removeclassmedprop(propname) {

    // editing mediator position in the internal model
    var position = geteditingmediatorposition();

    // mediator retrieved and extracting the properties
    var mediator = getnestedmediator(internalmodel.sequence, position);

    collectdata["class"](mediator, true);

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var existingprops = mediator.getElementsByTagName(prefix + "property");
    for (var k=0; k<existingprops.length; k++) {
        if (existingprops[k].getAttribute("name") == propname) {
            mediator.removeChild(existingprops[k]);
            break;
        }
    }

    processXML(mediator, "mediators/class_edit.xsl", document.getElementById("class_edit_div"))    
}