/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file holds a list of availabel mediators
 */

// fault - makefault
// property - set-property
// rm - enableRM

//var availabelmediators = ["attachments", "class", "drop", "makefault", "filter", "header", "in", "json", "log", "out", "pox",
//        "set-property", "enableRM", "RMSequence", "script", "send", "sequence", "spring", "switch", "validate", "xslt", "try"];

var MEDIATOR_ADMIN = "MediatorAdmin"

var mediatorcategories = [{text: "Core", id: "core", submenu: {id: "coremenu", itemdata: [{text: "Drop", id: "drop"}, {text: "Log", id: "log"}, {text: "Property", id: "property"}, {text: "Send", id: "send"}, {text: "Sequence", id: "sequence"}, {text: "DBreport", id: "dbreport"}, {text: "DBlookup", id: "dblookup"}, {text: "Clone", id: "clone"}, {text: "Iterate", id: "iterate"}, {text: "Cache", id: "cache"}]}},
    {text: "Transform", id: "transform", submenu: {id: "transformmenu", itemdata: [{text: "Fault", id: "makefault"}, {text: "Header", id: "header"}, {text: "XSLT", id: "xslt"},{text: "XQuery", id: "xquery"}]}},
    {text: "Filters", id: "filters", submenu: {id: "filtersmenu", itemdata: [{text: "Filter", id: "filter"}, {text: "In", id: "in"}, {text: "Out", id: "out"}, {text: "Switch", id: "switch"}, {text: "Validate", id: "validate"}, {text: "Throttle", id: "throttle"}]}},
    {text: "Extension", id: "extension", submenu: {id: "extensionmenu", itemdata: [{text: "Class", id: "class"}, {text: "Command", id: "pojoCommand"}, {text: "Script", id: "script"}, {text: "Spring", id: "spring"}, {text: "RMSequence", id: "RMSequence"}]}}];

var parentmediator = " in out filter try ";

collectdata["mediator"] = function collectmediatordata(position) {

    if(document.getElementById("genericmediatoredit")) {

        var editingmediatorxml = document.getElementById("genericmediatoredit").value;

        if(typeof(createesbelement(editingmediatorxml)) != "object") {
            return false;
        } else {
            deepreplacechild(createesbelement(editingmediatorxml), internalmodel.sequence, position);
        }

    } else {
        esbwarning("Could not find the data collecting method: Request aborted", TYPE_ERROR);
    }

    return true;
};

function deepreplacechild(newmediator, mediatornode, position) {

    if(position.indexOf(".") == -1) {
        if(typeof(mediatornode.childNodes) != undefined) {
            mediatornode.replaceChild(newmediator, mediatornode.childNodes[position]);
            return mediatornode;
        } else {
            mediatornode.replaceChild(newmediator, mediatornode.children[position]);
            return mediatornode;
        }
    } else {

        mediatornode.replaceChild(deepreplacechild(newmediator, mediatornode.childNodes[position.substring(0,
                position.indexOf("."))], position.substring(position.indexOf(".") + 1, position.length)),
                mediatornode.childNodes[position.substring(0, position.indexOf("."))]);
        return mediatornode;
    }
}