/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js file is for the log mediator specific UI operations
 */

collectdata["pojoCommand"] = function collectcommanddata(mediator, validate) {

    var name = document.getElementById("command_pojo_name");
    if (name != null && name.value != null && name.value != "") {
        mediator.setAttribute("name", name.value);
    } else if (!validate) {
        esbwarning("The class name must be specified for the class mediator", TYPE_INFO);
        return false;
    }

    var namespaces = new Array();

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    // todo: need to check on IE possible IE issue
    var existingprops = mediator.getElementsByTagName(prefix + "property");
    while (existingprops.length > 0) {
        var attrs = existingprops[0].attributes;
        var ns_string = "";
        for (var s = 0; s < attrs.length; s++) {
            if (attrs[s].name.indexOf("xmlns:") == 0) {
                ns_string = ns_string + " " + attrs[s].name.substring(6, attrs[s].name.length) + "###" + attrs[s].value;
            }
        }
        if (ns_string != "") {
            namespaces[existingprops[0].getAttribute("name")] = ns_string;
        }
        mediator.removeChild(existingprops[0]);
    }

    var propertyNamess = document.getElementsByName("property_name");
    //    alert(propertyNamess.length)
    for (var i = 0; i < propertyNamess.length; i++) {
        var propName_shown = propertyNamess[i].getAttribute("value");
        var propName_real = propName_shown.charAt(0).toLowerCase() + propName_shown.substring(1, propName_shown.length);
        var propValue_real = document.getElementById("command_med_prop" + propName_real);
        var propType_real = document.getElementsByName("prop_type_" + propName_real)[0].value;
        //        alert(propValue_real.value)
        if (validate || (propValue_real != null && propValue_real.value != "")) {
            //            var propchild = getsynproperty();
            //            alert(propValue_real)
            var propchild = createesbelement("<syn:property xmlns:syn='http://ws.apache.org/ns/synapse'/>");
            propchild.setAttribute("name", propName_real);
            if (propType_real == "value") {
                propchild.setAttribute("value", propValue_real.value);
            } else if (propType_real == "expression") {
                propchild.setAttribute("expression", propValue_real.value);
            }
            var attaching_ns = namespaces[propName_real];
            if (attaching_ns != undefined) {
                var splitted_ns = attaching_ns.split(" ");
                for (var j = 0; j < splitted_ns.length; j++) {
                    var nsparts = splitted_ns[j].split("###");
                    if (nsparts.length == 2) {
                        propchild.setAttribute("xmlns:" + nsparts[0], nsparts[1]);
                    }
                }
            }
            mediator.appendChild(propchild);
        }
    }
    //    alert((new XMLSerializer()).serializeToString(mediator))
    //collectproppertydata(mediator);
    return true;
};

mediatorelementstring["pojoCommand"] = function commandstring() {
    return "<syn:pojoCommand xmlns:syn='http://ws.apache.org/ns/synapse'/>";
};

var propsbeforereload = new Array();

function loadcommandpojo() {

    propsbeforereload = new Array();
    var propertyNames = document.getElementsByName("property_name");
    //    getnestedmediator(internalmodel.sequence, geteditingmediatorposition()).setAttribute("name", document.getElementById("command_pojo_name").value);
    //    for (var i=0; i<propertyNames.length; i++) {
    //        var propName_shown = propertyNames[i].getAttribute("value");
    //        var propName_real = propName_shown.charAt(0).toLowerCase() + propName_shown.substring(1, propName_shown.length);
    //        var propValue_real = document.getElementById("command_med_prop" + propName_real);
    //        var propType_real = document.getElementsByName("prop_type_" + propName_real)[0].value;
    //        propsbeforereload[propName_real] = propType_real + "###" + propValue_real.value;
    //    }

    collectdata["pojoCommand"](getnestedmediator(internalmodel.sequence, geteditingmediatorposition()));

    var body_xml = '<ns1:loadCommand xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:className>' + document.getElementById("command_pojo_name").value + '</ns1:className>' +
                   '</ns1:loadCommand>';
    var callURL = serverURL + "/" + MEDIATOR_ADMIN + "/" ;
    send("loadCommand", body_xml, "", callURL, "", false, loadcommandpojocallback);
}

function loadcommandpojocallback() {
    if (!onError()) {
        return;
    }
    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var properties = xhReq.responseXML.getElementsByTagName(prefix + "property");


    var position = geteditingmediatorposition();
    var mediator = getnestedmediator(internalmodel.sequence, position);
    var existingprops = mediator.getElementsByTagName(prefix + "property");


    while (properties.length > 0) {
        var propName = properties[0].getAttribute("name");
        var exists = false;
        for (var g = 0; g < existingprops.length; g++) {
            if (existingprops[g].getAttribute("name") == propName) {
                //                alert("setting true")
                exists = true;
                //                break;
            }
        }
        //        if (propsbeforereload[propName] != undefined && propsbeforereload[propName].indexOf("value###") == 0) {
        //            properties[0].setAttribute("value", propsbeforereload[propName].substring(8));
        //        } else if (propsbeforereload[propName] != undefined && propsbeforereload[propName].indexOf("expression###") == 0) {
        //            properties[0].setAttribute("expression", propsbeforereload[propName].substring(13));
        //            properties[0].removeAttribute("value");
        //        }
        //        alert(propName + " " + exists)
        if (!exists) {
            //            alert("impossible")
            mediator.appendChild(properties[0]);
        } else {
            properties[0].parentNode.removeChild(properties[0]);
        }
    }

    setnodepositions(mediator, position);

    processXML(mediator, "mediators/pojoCommand_edit.xsl", document.getElementById("command_edit_div"))
}

function removecommandmedprop(propname) {

    // editing mediator position in the internal model
    var position = geteditingmediatorposition();

    // mediator retrieved and extracting the properties
    var mediator = getnestedmediator(internalmodel.sequence, position);

    collectdata["pojoCommand"](mediator, true);

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var existingprops = mediator.getElementsByTagName(prefix + "property");
    for (var k = 0; k < existingprops.length; k++) {
        if (existingprops[k].getAttribute("name") == propname) {
            mediator.removeChild(existingprops[k]);
            break;
        }
    }

    setnodepositions(mediator, position);

    processXML(mediator, "mediators/pojoCommand_edit.xsl", document.getElementById("command_edit_div"))
}