/*
 * Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This js is for proxy service editing and all the management tasks related to proxy services
 */

/* Global variable to store the proxy service administration service */
var PROXY_ADMIN = "ProxyServiceAdmin";

/* Global object to hold the sequence internally */
var internalmodel = new Object();
internalmodel.proxy = "";
internalmodel.proxyname = "";
internalmodel.rolebackproxyname = "";

var proxyxsl = new Object();
proxyxsl["step1"] = "target";
proxyxsl["step2"] = "transport";
proxyxsl["step3"] = "qos";
proxyxsl["step4"] = "misc";

var proxydatacollect = new Object();

var doingadd = false;

var availabelsequences = new Array();
var availabelendpoints = new Array();

function showproxyservices() {

    var body_xml = '<ns1:proxyDataRequest xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:proxyDataRequest>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "proxyData";
    send("proxyData", body_xml, "", callURL, "", false, showproxyservicescallback);
}

function showproxyservicescallback() {

    if (!onError()) {
        return;
    }

    clearProxyHistory();
    callbackhelper("proxy_services.xsl", document.getElementById("divProxyServices"));
}

function deleteproxyservice(proxiservicename) {
    var body_xml = '<ns1:deleteProxyService xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyServiceName>' + proxiservicename + '</ns1:proxyServiceName>' +
                   '</ns1:deleteProxyService>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "deleteProxyService";
    send("deleteProxyService", body_xml, "", callURL, "", false, genericproxycallback);

}

function genericproxycallback() {
    if (!onError()) {
        return;
    }
    showproxyservices();
}

function startproxy(proxyservicename) {
    var body_xml = '<ns1:startProxyService xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyServiceName>' + proxyservicename + '</ns1:proxyServiceName>' +
                   '</ns1:startProxyService>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "startProxyService";
    send("startProxyService", body_xml, "", callURL, "", false, genericproxycallback);

}

function stopproxy(proxyservicename) {
    var body_xml = '<ns1:stopProxyService xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyServiceName>' + proxyservicename + '</ns1:proxyServiceName>' +
                   '</ns1:stopProxyService>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "stopProxyService";
    send("stopProxyService", body_xml, "", callURL, "", false, genericproxycallback);

}

function enableproxystatistics(proxyservicename) {

    var body_xml = '<ns1:enableStatistics xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyName>' + proxyservicename + '</ns1:proxyName>' +
                   '</ns1:enableStatistics>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "enableStatistics";
    send("enableStatistics", body_xml, "", callURL, "", false, genericproxycallback);
}

function disableproxystatistics(proxyservicename) {

    var body_xml = '<ns1:disableStatistics xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyName>' + proxyservicename + '</ns1:proxyName>' +
                   '</ns1:disableStatistics>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "disableStatistics";
    send("disableStatistics", body_xml, "", callURL, "", false, genericproxycallback);
}

function enableproxytracing(proxyservicename) {

    var body_xml = '<ns1:enableTracing xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyName>' + proxyservicename + '</ns1:proxyName>' +
                   '</ns1:enableTracing>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "enableTracing";
    send("enableTracing", body_xml, "", callURL, "", false, genericproxycallback);
}

function disableproxytracing(proxyservicename) {

    var body_xml = '<ns1:disableTracing xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '<ns1:proxyName>' + proxyservicename + '</ns1:proxyName>' +
                   '</ns1:disableTracing>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "disableTracing";
    send("disableTracing", body_xml, "", callURL, "", false, genericproxycallback);
}

/**
 * This function will be called to graphically view the proxy service specified by the name
 */
function viewproxyservice(proxyname) {

    doingadd = false;

    var body_xml = '<ns1:getProxyServiceElement xmlns:ns1="http://org.apache.synapse/xsd">\n' +
                   ' <ns1:proxyName>' + proxyname + '</ns1:proxyName>\n' +
                   ' </ns1:getProxyServiceElement>\n';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" ;

    send("getProxyServiceElement", body_xml, "", callURL, "", false, viewproxyservicecallback);
}

function viewproxyservicecallback() {

    if (!onError()) {
        return;
    }

    // retrieves the proxy element
    var proxyelement = getNodeFromPath("return", xhReq.responseXML).firstChild;

    internalmodel.proxyname = proxyelement.getAttribute("name");
    internalmodel.proxy = proxyelement;

    initproxyview(internalmodel.proxy);
    setparamindexes();
    getavailabeltransports();
}

function initproxyview(proxy) {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }

    var target = proxy.getElementsByTagName(prefix + "target");
    if (target.length != 0) {

        var insequence = target[0].getElementsByTagName(prefix + "inSequence");
        if (insequence.length != 0) {
            proxytarget["insequence"] = insequence[0];
        }

        var outsequence = target[0].getElementsByTagName(prefix + "outSequence");
        if (outsequence.length != 0) {
            proxytarget["outsequence"] = outsequence[0];
        }

        var faultsequence = target[0].getElementsByTagName(prefix + "faultSequence");
        if (faultsequence.length != 0) {
            proxytarget["faultsequence"] = faultsequence[0];
        }

        var endpoint = target[0].getElementsByTagName(prefix + "endpoint");
        if (endpoint.length != 0 && endpoint[0].parentNode.nodeName.indexOf("target") != -1) {
            proxytarget["endpoint"] = endpoint[0];
        }
    }
}

function viewproxyinconsole() {

    if (doingadd) {

        var stepdiv = document.getElementById("addproxystep");

        if (stepdiv != null) {

            var index = stepdiv.getAttribute("name");
            if (proxydatacollect["step" + index](stepdiv, false) == -1) {
                return;
            }
        }
    }

    var proxydiv = document.getElementById("divProxyService");
    proxydiv.innerHTML = "";

    setproxyheader(proxydiv);

    var proxydesc = document.createElement("div");
    proxydesc.className = "sequence-desc";
    proxydesc.innerHTML = "<p class='description'>Confirm selected options for the proxy service "
            + internalmodel.proxyname.substring(0, 1).toUpperCase()
            + internalmodel.proxyname.substring(1, internalmodel.proxyname.length) + "</p>";
    proxydiv.appendChild(proxydesc);

    for (var i = 1; i <= 4; i++) {

        var stepdiv = document.createElement("div");
        stepdiv.setAttribute("name", "proxystep" + i);
        stepdiv.className = "contentPaneClass2";

        var actionpanel = document.createElement("div");
        actionpanel.setAttribute("id", "actiondiv" + i);
        actionpanel.className = "mediator-actions";

        // edit link for the mediator
        actionpanel.innerHTML = "<a id='panel_edit' title='Edit' href='#proxystep" + i + "' onclick='javascript:proxyedit("
                + i + ");return false;'><img src='extensions/core/images/edit.gif'/></a>";

        stepdiv.appendChild(actionpanel);

        var content = document.createElement("div");
        content.setAttribute("id", "proxystepdiv" + i);

        viewproxysteps(content, i);
        stepdiv.appendChild(content);

        proxydiv.appendChild(stepdiv);
        proxydiv.appendChild(document.createElement("br"));
    }

    setproxysavepanel(proxydiv);

    showOnlyOneMain(proxydiv, false);
}

function addproxyservice() {

    doingadd = true;

    internalmodel.proxyname = "";
    internalmodel.rolebackproxyname = "";
    internalmodel.proxy = createesbelement(
            "<syn:proxy xmlns:syn='http://ws.apache.org/ns/synapse' int_op='add'/>");

    var proxydiv = document.getElementById("divProxyService");
    proxydiv.innerHTML = "";

    setproxyheader(proxydiv);
    proxydiv.appendChild(document.createElement("br"));

    var stepdiv = document.createElement("div");
    stepdiv.setAttribute("id", "addproxystep");
    stepdiv.setAttribute("name", 1);
    proxydiv.appendChild(stepdiv);

    proxydiv.appendChild(document.createElement("br"));
    var actionpanel = document.createElement("div");
    actionpanel.setAttribute("id", "actionpanel");
    actionpanel.className = "proxyactionpanel";
    proxydiv.appendChild(actionpanel);

    setactionpanel(actionpanel, 1);

    showOnlyOneMain(proxydiv, false);

    getavailabeltransports();
}

function setactionpanel(actionpanel, index) {

    var panelhtml = "";

    if (index == 1 || index == 4) {
        panelhtml += "<table cellpadding='0' cellspacing='0' border='0' class='data-table'><tr><td><input type='button' class='panelbutton_finish button-space' value='Finish' "
                + "onclick='javascript:addproxysave();return false;'/>";
    }

    if (index == 2 || index == 3) {
        panelhtml += "<table cellpadding='0' cellspacing='0' border='0' class='data-table'><tr><td><input type='button' class='panelbutton_next button-space' value='Simple' "
                + "onclick='javascript:addproxysimplestep();return false;'/>";
    }

    if (index == 1) {
        panelhtml += "<input type='button' class='panelbutton_next button-space' value='Advanced' "
                + "onclick='javascript:addproxynextstep();return false;'/>";
    }

    if (index == 4) {
        panelhtml += "<input type='button' class='panelbutton_next button-space' value='Simple' "
                + "onclick='javascript:addproxysimplestep();return false;'/>";
    }

    if (index == 3 || index == 4) {
        panelhtml += "<input type='button' class='panelbutton_next button-space' value='< Back' "
                + "onclick='javascript:addproxybackstep();return false;'/>";
    }

    if (index == 2 || index == 3) {
        panelhtml += "<input type='button' class='panelbutton_next button-space' value='Next >' "
                + "onclick='javascript:addproxynextstep();return false;'/>";
    }

    panelhtml += "<input type='button' class='panelbutton_cancel button-space' value='Cancel' "
            + "onclick='javascript:showproxyservices();return false;'/></td></tr></table>";

    actionpanel.innerHTML =  panelhtml;
}

function addproxynextstep() {
    var stepdiv = document.getElementById("addproxystep");
    var actionpanel = document.getElementById("actionpanel");
    var index = stepdiv.getAttribute("name");

    if (proxydatacollect["step" + index](stepdiv, false) == -1) {
        return;
    }

    if (index != 4) {
        stepdiv.setAttribute("name", 1 + Number(index));
        editproxysteps(stepdiv, 1 + Number(index));
        setactionpanel(actionpanel, 1 + Number(index));
        showOnlyOneMain(stepdiv.parentNode, false);
    } else {
        viewproxyinconsole();
    }
}

function addproxybackstep() {
    var stepdiv = document.getElementById("addproxystep");
    var actionpanel = document.getElementById("actionpanel");
    var index = stepdiv.getAttribute("name");

    if (proxydatacollect["step" + index](stepdiv, false) == -1) {
        return;
    }

    if (index != 1) {
        stepdiv.setAttribute("name", Number(index) - 1);
        editproxysteps(stepdiv, Number(index) - 1);
        setactionpanel(actionpanel, Number(index) - 1);
        showOnlyOneMain(stepdiv.parentNode, false);
    } else {
        viewproxyinconsole();
    }
}

function addproxysimplestep() {
    var stepdiv = document.getElementById("addproxystep");
    var actionpanel = document.getElementById("actionpanel");
    var index = stepdiv.getAttribute("name");

    if (proxydatacollect["step" + index](stepdiv, false) == -1) {
        return;
    }

    stepdiv.setAttribute("name", 1);
    editproxysteps(stepdiv, 1);
    setactionpanel(actionpanel, 1);
    showOnlyOneMain(stepdiv.parentNode, false);
}

function viewproxysteps(stepdiv, index) {

    stepdiv.innerHTML = "";

    processXML(internalmodel.proxy,
            "proxyservices/proxy_" + proxyxsl["step" + index] + "_view.xsl", stepdiv);

    stepdiv.appendChild(document.createElement("br"));
}

function editproxysteps(stepdiv, index) {

    stepdiv.innerHTML = "";
    document.getElementById("divOverPanel").innerHTML = "";
    document.getElementById("sequencePanel").innerHTML = "";

    processXML(internalmodel.proxy,
            "proxyservices/proxy_" + proxyxsl["step" + index] + "_edit.xsl", stepdiv);

    stepdiv.appendChild(document.createElement("br"));
}

function proxyedit(index) {

    if (geteditingposition() != -1 && geteditingposition() != index) {
        if (window.confirm("You haven't saved your changes. Do you wish to keep any changes?")) {

            if (proxydatacollect["step" + geteditingposition()](
                    document.getElementById("proxystepdiv" + geteditingposition()), false) == -1) {
                return;
            }
        }

        var editingpos = geteditingposition();
        var editedactiondiv = document.getElementById("editingdiv");
        editedactiondiv.innerHTML = "<a id='panel_edit' href='#proxystep" + index
                + "' onclick='javascript:proxyedit(" + editingpos + ");return false;'><img src='extensions/core/images/edit.gif'/></a>";
        editedactiondiv.setAttribute("id", "actiondiv" + editingpos);

        viewproxysteps(document.getElementById("proxystepdiv" + editingpos), editingpos);
    }

    var objdiv = document.getElementById("proxystepdiv" + index);

    var actiondiv = document.getElementById("actiondiv" + index);
    actiondiv.setAttribute("id", "editingdiv");
    actiondiv.innerHTML = "<a href='#proxystep" + index
            + "' onclick='javascript:proxyupdate();return false;' title='Update'><img src='extensions/core/images/update.gif'/></a>";

    editproxysteps(objdiv, index);
}

function proxyupdate() {

    var index = geteditingposition();
    var actiondiv = document.getElementById("editingdiv");

    var objdiv = document.getElementById("proxystepdiv" + index);

    if (proxydatacollect["step" + index](objdiv, false) == -1) {
        return false;
    }

    actiondiv.setAttribute("id", "actiondiv" + index);
    actiondiv.innerHTML = "<a id='panel_edit' href='#proxystep" + index
            + "' onclick='javascript:proxyedit(" + index + ");return false;'> <img src='extensions/core/images/edit.gif'/> </a>";

    viewproxysteps(objdiv, index);
    return true;
}

function proxysave() {

    if (geteditingposition() != -1) {
        if(!proxyupdate()) {
            return;
        }
    }

    if (internalmodel.proxyname == "") {
        showgetproxynamediv(1);
    } else {

        var elementxml = internalmodel.proxy.xml;
        if (elementxml == undefined) {
            elementxml = new XMLSerializer().serializeToString(internalmodel.proxy);
        }

        var body_xml = "<ns1:saveProxyService xmlns:ns1='http://org.apache.synapse/xsd'>"
                + elementxml
                + "</ns1:saveProxyService>";
        var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "saveProxyService";
        send("saveProxyService", body_xml, "", callURL, "", false, proxysavecallback);
    }
}

function proxysavecallback() {
    if (!onError()) {
        return;
    }

    clearProxyHistory();
    showproxyservices();
}

function addproxysave() {

    var stepdiv = document.getElementById("addproxystep");

    if (stepdiv != null) {
        if (proxydatacollect["step" + stepdiv.getAttribute("name")](stepdiv, false) == -1) {
            return;
        }
    }

    var elementxml = internalmodel.proxy.xml;

    if (elementxml == undefined) {
        elementxml = new XMLSerializer().serializeToString(internalmodel.proxy);
    }

    var body_xml = "<ns1:addProxyService xmlns:ns1='http://org.apache.synapse/xsd'>"
            + elementxml
            + "</ns1:addProxyService>";
    var callURL = serverURL + "/" + PROXY_ADMIN + "/" + "addProxyService";
    send("addProxyService", body_xml, "", callURL, "", false, proxysavecallback);
}

function proxysaveas() {

    internalmodel.rolebackproxyname = internalmodel.proxyname;
    internalmodel.proxyname = "";

    proxysave();
}

function rolebackproxy() {
    internalmodel.proxyname = internalmodel.rolebackproxyname;
    viewproxyinconsole();
}

function getvalueofproxyname(type) {
    internalmodel.proxyname = document.getElementById("proxyname").value;
    internalmodel.proxy.setAttribute("name", document.getElementById("proxyname").value);

    if (type == 1) {
        addproxysave();
    } else {
        proxysave();
    }
}

function showgetproxynamediv(type) {

    var savediv = document.getElementById("proxysavediv");
    savediv.innerHTML = "<label class='getname'> Please specify the Proxy Service name </label>"
            + "<input type='text' id='proxyname' value='" + internalmodel.proxyname + "'/>"
            + "<table style='margin-left: 150px;'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default' "
            + "onclick='javascript: getvalueofproxyname(" + type + "); return false;'"
            + " value='Save'/></td>"
            + "<td></td>"
            + "<td><input type='button' class='panelbutton_cancel' "
            + "onclick='javascript: rolebackproxy(); return false;' value='Cancel'/></td>"
            + "</tr></tbody></table>";
}

function setproxyheader(proxydiv) {

    // construct the header for the proxy view using DOM
//    var proxyheader = document.createElement("h4");
//    proxyheader.style.zIndex = 0;
//
//    // link to the proxy main page
//    proxyheader.innerHTML = "<a href='#' onclick='javascript: showproxyservices(); return false;'>"
//            + "Manage Proxy Services</a>";
//
//    proxyheader.appendChild(document.createTextNode(" > "));

    var displayedname = "New Proxy Service";
    if (internalmodel.proxyname != "") {
        displayedname = "Proxy Service " + internalmodel.proxyname;
    }

    // heading of the proxy view
//    var proxyheading = document.createElement("label");
//    proxyheading.appendChild(document.createTextNode(displayedname));
//    proxyheading.style.color = 'orange';
//    proxyheader.appendChild(proxyheading);

//    proxydiv.appendChild(proxyheader);

    proxydiv.innerHTML = "<div class='breadcrumb'><a href='#' onclick='javascript: "
            + "showproxyservices(); return false;'>Manage Proxy Services</a>&#160;&gt;&#160; "
            + displayedname + "</div>"
            + "<div class='page-main-title title-proxy-services'> Manage Proxy Services</div>";
}

function setproxysavepanel(proxydiv) {

    var savepanel = document.createElement("div");
    

    savepanel.innerHTML = "<div class='description'>You must save changes to "
            + "the proxy service for it to be deployed</div>";

    var panelhtml = "<div id='proxysavediv'><table cellpadding='0' cellspacing='0' border='0' class='data-table'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default button-space' "
            + "onclick='javascript: proxysave(); return false;' value='Save'>";

    if (!doingadd) {
        panelhtml += "<input type='button' class='panelbutton_next button-space' "
                + "onclick='javascript: proxysaveas(); return false;' value='Clone'/>";
    }

    panelhtml += "<input type='button' class='panelbutton_cancel button-space' "
            + "onclick='javascript: showproxyservices(); return false;' value='Cancel'/></td>"
            + "</tr></tbody></table></div>";

    savepanel.innerHTML += panelhtml;

    proxydiv.appendChild(savepanel);
}

proxydatacollect["step1"] = function collecttargetdata(objdiv, validate) {

    var targetstring = "<syn:target";
    var targetchildstring = "";
    var hacktovalidatetarget = false;

    var insequence;
    var outsequence;
    var faultsequence;
    var endpoint;

    if (document.getElementById("proxy_name") != null && document.getElementById("proxy_name").value != "" && namevalidate(document.getElementById("proxy_name").value)) {
        internalmodel.proxyname = document.getElementById("proxy_name").value;
        internalmodel.proxy.setAttribute("name", document.getElementById("proxy_name").value);
    } else if (!validate && internalmodel.proxy.getAttribute("int_op") == "add") {
        esbwarning("Please specify a valid name for the Proxy service", TYPE_INFO);
        return -1;
    }

    if (document.getElementById("insequence") != null && document.getElementById("insequence").value != "") {
        hacktovalidatetarget = true;
        targetstring += " inSequence='" + document.getElementById("insequence").value + "'";
    } else if (proxytarget["insequence"]) {
        hacktovalidatetarget = true;
        insequence = proxytarget["insequence"];
    }

    if (document.getElementById("outsequence") != null && document.getElementById("outsequence").value != "") {
        targetstring += " outSequence='" + document.getElementById("outsequence").value + "'";
    } else if (proxytarget["outsequence"]) {
        outsequence = proxytarget["outsequence"];
    } else if (!validate) {
        esbwarning("The sequence to process outgoing messages must be specified", TYPE_INFO);
        return -1;
    }

    if (document.getElementById("faultsequence") != null && document.getElementById("faultsequence").value != "") {
        targetstring += " faultSequence='" + document.getElementById("faultsequence").value + "'";
    } else if (proxytarget["faultsequence"]) {
        faultsequence = proxytarget["faultsequence"];
    }

    if (document.getElementById("endpoint") != null && document.getElementById("endpoint").value != "") {
        hacktovalidatetarget = true;
        targetstring += " endpoint='" + document.getElementById("endpoint").value + "'";
    } else if (proxytarget["endpoint"]) {
        hacktovalidatetarget = true;
        endpoint = proxytarget["endpoint"];
    }

    if (getproxyelements("target").length > 0) {
        internalmodel.proxy.removeChild(getproxyelements("target")[0]);
    }

    targetstring += " xmlns:syn='http://ws.apache.org/ns/synapse'/>";
    var target = createesbelement(targetstring);
    if (insequence)
        target.appendChild(insequence);
    if (outsequence)
        target.appendChild(outsequence);
    if (faultsequence)
        target.appendChild(faultsequence);
    if (endpoint)
        target.appendChild(endpoint);
    internalmodel.proxy.appendChild(target);

    if (!validate && !hacktovalidatetarget) {
        esbwarning("A sequence to process incoming messages, or an endpoint to forward messages received must be specified", TYPE_INFO);
        return -1;
    }
};

proxydatacollect["step2"] = function collecttransportdata(objdiv, validate) {

    var transportstring = "";
    var transports = document.getElementsByName("proxy_transport");

    for (var i = 0; i < transports.length; i++) {
        if (transports[i].checked) {
            transportstring += transports[i].value + " ";
        }
    }

    if (transportstring != "") {
        internalmodel.proxy.setAttribute("transports", transportstring);
    } else {
        internalmodel.proxy.setAttribute("transports", internalmodel.proxy.getAttribute("a_tp"));
    }

    var properties = internalmodel.proxy.getElementsByTagName("parameter");
    if (properties.length == 0) {
        properties = internalmodel.proxy.getElementsByTagName("syn:parameter");
    }

    while (properties.length != 0) {
        internalmodel.proxy.removeChild(properties[properties.length - 1]);
    }

    var paramnames = document.getElementsByName("param_name");
    var paramvalues = document.getElementsByName("param_value");


    for (var i = 0; i < paramnames.length; i++) {
        if (paramnames[i].value != "") {
            internalmodel.proxy.appendChild(createesbelement("<syn:parameter name='"
                    + paramnames[i].value + "' xmlns:syn='http://ws.apache.org/ns/synapse'>" + paramvalues[i].value
                    + "</syn:parameter>"));
        }
    }

    setparamindexes();
};

proxydatacollect["step3"] = function collectqosdata(objdiv, validate) {

    var proxychildren = internalmodel.proxy.childNodes;
    var condition = proxychildren.length;

    var k =0;
    while(k<condition) {
        if(proxychildren[k].nodeName.indexOf("enableRM") != -1 || proxychildren[k].nodeName.indexOf("enableSec") != -1) {
            internalmodel.proxy.removeChild(proxychildren[k]);
            condition--;
        } else {
            k++;
        }
    }

    if (document.getElementById("enableSec").checked) {
        internalmodel.proxy.appendChild(
                createesbelement("<syn:enableSec xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }

    if (document.getElementById("enableRM").checked) {
        internalmodel.proxy.appendChild(
                createesbelement("<syn:enableRM xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }

    var policies = internalmodel.proxy.getElementsByTagName(prefix + "policy");

    var policy = document.getElementById("policy_ref");

    if (policy != null) {
        var policyval = policy.value;

        if (policyval != "") {

            for (var i = 0; i < policies.length; i++) {
                if (policies[i].getAttribute("key") == policyval) {
                    return;
                }
            }

            internalmodel.proxy.appendChild(createesbelement("<syn:policy key='"
                    + policyval + "' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
        }
    }
};

proxydatacollect["step4"] = function collectmiscdata(objdiv, validate) {

    if (document.getElementById("startOnLoad").checked) {
        internalmodel.proxy.setAttribute("startOnLoad", "true");
    } else {
        internalmodel.proxy.setAttribute("startOnLoad", "false");
    }

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }

    if (document.getElementById("wsdl_ref") != undefined) {

        var refwsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
        if (refwsdl.length != 0) {
            internalmodel.proxy.removeChild(refwsdl[0]);
        }

        if (document.getElementById("wsdl_ref").value != "") {
            internalmodel.proxy.appendChild(createesbelement(
                    "<syn:publishWSDL key='" + document.getElementById("wsdl_ref").value + "' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
        }
    }

    if (document.getElementById("wsdl_uri") != undefined) {

        var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
        if (wsdl.length != 0) {
            internalmodel.proxy.removeChild(wsdl[0]);
        }

        if (document.getElementById("wsdl_uri").value != "") {
            internalmodel.proxy.appendChild(createesbelement(
                    "<syn:publishWSDL uri='" + document.getElementById("wsdl_uri").value + "' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
        }
    }
};

function geteditingposition() {

    var editingdiv = document.getElementById("editingdiv");

    if (editingdiv != null) {
        return editingdiv.parentNode.getAttribute("name")
                .substring(9, editingdiv.parentNode.getAttribute("name").length);
    } else {
        return -1;
    }
}

function getproxyelements(localname) {
    var proxychildren;
    if (typeof(internalmodel.proxy.childNodes) != undefined) {
        proxychildren = internalmodel.proxy.childNodes;
    } else {
        proxychildren = internalmodel.proxy.children;
    }

    var nodeset = new Array();
    for (var i = 0; i < proxychildren.length; i++) {
        var nodelocalname = proxychildren[i].nodeName.substring(proxychildren[i].nodeName.indexOf(":") + 1, proxychildren[i].nodeName.length);
        //        if (nodelocalname == undefined) {
        //            nodelocalname = proxychildren[i].nodeName.substring(
        //                    proxychildren[i].nodeName.indexOf(":") + 1, proxychildren[i].nodeName.length);
        //        }
        if (nodelocalname == localname) {
            nodeset[nodeset.length] = proxychildren[i];
        }
    }

    return nodeset;
}

function selecttarget(p_sType, p_aArgs, p_oValue) {

    clearselection("", "", {cleartype:p_oValue.targettype});

    var selectedvalue = document.getElementById(p_oValue.targettype + "_label");
    selectedvalue.innerHTML = "";
    selectedvalue.setAttribute("value", this.cfg.getProperty("text"));
//    selectedvalue.appendChild(document.createTextNode(this.cfg.getProperty("text")));

//    var changeimage = document.getElementById("img_" + p_oValue.targettype);
    //document.getElementById("target_" + p_oValue.targettype).insertBefore(selectedvalue, changeimage);

    document.getElementById(p_oValue.targettype).setAttribute("value", this.cfg.getProperty("text"));
    proxydatacollect["step1"](null, true);
}

function displaytargetmenu(event, menutype) {

    if (yuimenu == null) {

        yuimenu = new YAHOO.widget.Menu("yuimenu", {});

    }

    yuimenu.clearContent();
    var menuItems;
    if (menutype.indexOf("sequence", 0) != -1) {
        menuItems = yuimenu.addItems([
        {text: "Declared Sequence", submenu: {id: "declared", itemdata: availabelsequences}},
        {text: "Specify as Anonymous"}, {text: "Pick from the Registry"}, {text: "Clear selection"}]);
        menuItems[1].clickEvent.subscribe(sequenceeditor, {seqtype: menutype});
    } else if (menutype.indexOf("endpoint") != -1) {
        menuItems = yuimenu.addItems([
        {text: "Declared Endpoint", submenu: {id: "declared", itemdata: availabelendpoints}},
        {text: "Specify as Anonymous", submenu: {id: "anonymous", itemdata: [
        {text: "Address Endpoint", value:"Address", onclick: { fn:anonymousendpoint }},
        {text: "WSDL Endpoint", value: "WSDL", onclick: { fn:anonymousendpoint }},
        {text: "Failover group", value: "FailOver", onclick: { fn:anonymousendpoint }},
        {text: "Load-balance group", value: "LoadBalance", onclick: { fn:anonymousendpoint }}]}},
        {text: "Pick from the Registry"}, {text: "Clear selection"}]);
    }

    var submenu = menuItems[0].cfg.getProperty("submenu").getItems();
    for (var j = 0; j < submenu.length; j++) {
        submenu[j].clickEvent.subscribe(selecttarget, {targettype: menutype});
    }
    menuItems[2].clickEvent.subscribe(targetfromregistry, {targettype: menutype});
    menuItems[3].clickEvent.subscribe(clearselection, {cleartype: menutype});

    yuimenu.render(document.getElementById("divOverMenu"));
    document.getElementById("divOverMenu").style.left = event.clientX;
    document.getElementById("divOverMenu").style.top = document.body.scrollTop + event.clientY;
    document.getElementById("divOverMenu").style.display = "inline";
    yuimenu.show();
}

function anonymousendpoint(p_sType, p_aArgs, p_oValue) {
    clearselection("", "", {cleartype:"endpoint"});
    onMenuItemClickToShowInNewPanel(p_sType, p_aArgs, p_oValue);
}

function displaywsdlmenu(event, current) {

    if (yuimenu == null) {
        yuimenu = new YAHOO.widget.Menu("yuimenu", {});
    }

    yuimenu.clearContent();
    var menuItems;
    if (current == "inline") {
        menuItems = yuimenu.addItems([
        {text: "Specify source URL"},
        {text: "Pick from the Registry"},
        {text: "Clear selection"}]);
        menuItems[0].clickEvent.subscribe(switchproxywsdltosrc);
        menuItems[1].clickEvent.subscribe(switchproxywsdltokey);
        menuItems[2].clickEvent.subscribe(clearpublishwsdl);
    } else if (current == "key") {
        menuItems = yuimenu.addItems([
        {text: "Specify source URL"},
        {text: "Specify in-line"},
        {text: "Clear selection"}]);
        menuItems[0].clickEvent.subscribe(switchproxywsdltosrc);
        menuItems[1].clickEvent.subscribe(switchproxywsdltoinline);
        menuItems[2].clickEvent.subscribe(clearpublishwsdl);
    } else if (current == "uri") {
        menuItems = yuimenu.addItems([
        {text: "Pick from the Registry"},
        {text: "Specify in-line"},
        {text: "Clear selection"}]);
        menuItems[0].clickEvent.subscribe(switchproxywsdltokey);
        menuItems[1].clickEvent.subscribe(switchproxywsdltoinline);
        menuItems[2].clickEvent.subscribe(clearpublishwsdl);
    } else {
        menuItems = yuimenu.addItems([
        {text: "Specify source URL"},
        {text: "Pick from the Registry"},
        {text: "Specify in-line"}]);
        menuItems[0].clickEvent.subscribe(switchproxywsdltosrc);
        menuItems[1].clickEvent.subscribe(switchproxywsdltokey);
        menuItems[2].clickEvent.subscribe(switchproxywsdltoinline);
    }

    yuimenu.render(document.getElementById("divOverMenu"));
    document.getElementById("divOverMenu").style.left = event.clientX;
    document.getElementById("divOverMenu").style.top = document.body.scrollTop + event.clientY;
    document.getElementById("divOverMenu").style.display = "inline";
    yuimenu.show();
}

function clearpublishwsdl(p_sType, p_aArgs, p_oValue) {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
    if (wsdl.length != 0) {
        internalmodel.proxy.removeChild(wsdl[0]);
    }

    addeditwrapper(4);
}

function switchproxywsdltosrc(p_sType, p_aArgs, p_oValue) {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
    if (wsdl.length != 0) {
        internalmodel.proxy.removeChild(wsdl[0]);
    }

    internalmodel.proxy.appendChild(createesbelement(
            "<syn:publishWSDL uri='' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));

    addeditwrapper(4);
}

function switchproxywsdltokey(p_sType, p_aArgs, p_oValue) {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
    if (wsdl.length != 0) {
        internalmodel.proxy.removeChild(wsdl[0]);
    }

    internalmodel.proxy.appendChild(createesbelement(
            "<syn:publishWSDL key='' xmlns:syn='http://ws.apache.org/ns/synapse'/>"));

    addeditwrapper(4);
}

function switchproxywsdltoinline(p_sType, p_aArgs, p_oValue) {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
    if (wsdl.length != 0) {
        internalmodel.proxy.removeChild(wsdl[0]);
    }

    internalmodel.proxy.appendChild(createesbelement(
            "<syn:publishWSDL xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    addeditwrapper(4);
    addInLineProperties("proxy_wsdl", "");
    viewlnlinewsdl("proxy_wsdl", "setinlinewsdl");
}

function showproxywsdl() {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");

    var proxywsdl = "";
    if (wsdl.length != 0) {
        proxywsdl = wsdl[0].firstChild;
    }

    addInLineProperties("proxy_wsdl", proxywsdl);
    viewlnlinewsdl("proxy_wsdl", "setinlinewsdl");
}

function setinlinewsdl() {

    var wsdlvalue = document.getElementById("inlineprop_value");

    if (wsdlvalue != undefined) {
        var prefix = "";
        if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
            prefix = "syn:";
        }
        var wsdl = internalmodel.proxy.getElementsByTagName(prefix + "publishWSDL");
        if (wsdl.length != 0) {
            internalmodel.proxy.removeChild(wsdl[0]);
        }

        internalmodel.proxy.appendChild(createesbelement("<syn:publishWSDL xmlns:syn='http://ws.apache.org/ns/synapse'>" + wsdlvalue.value + "</syn:publishWSDL>"));
    } else {
        esbwarning("WSDL specified is invalid", TYPE_WARN);
    }

    closeLinePropertyEditor();
}

function endpointaddeditwrapper(p_sType, p_aArgs, p_oValue) {

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }
    var target = internalmodel.proxy.getElementsByTagName(prefix + "target");
    var endpoint = new Array();
    if (target.length == 0 || target[0].getElementsByTagName(prefix + "endpoint").length == 0) {
        endpoint[0] = createesbelement("<syn:endpoint xmlns:syn='http://ws.apache.org/ns/synapse'/>");
    } else {
        endpoint = target[0].getElementsByTagName(prefix + "endpoint");
    }
    var divcontrol = document.getElementById("divOverPanel");
    divcontrol.innerHTML = "";
//    if (endpoint[0].childNodes.length != 0) {
    var display_endpoint;
    for (var m=0; m<endpoint.length; m++) {
        if (endpoint[m].parentNode.localName == "target") {
            display_endpoint = endpoint[m];
        }
        //        if (endpoint[0].firstChild.localName.indexOf("address") != -1) {
        //            createRootEndpointDiv("endpoints/addressendpoint_add.xsl", "Address", 0, endpoint[0], "annonymouseendpointadd", "discardfun", "true");
        //        } else if (endpoint[0].firstChild.localName.indexOf("wsdl") != -1) {
        //            createRootEndpointDiv("endpoints/wsdlendpoint_add.xsl", "WSDL", 0, endpoint[0], "annonymouseendpointadd", "discardfun", "true");
        //        } else if (endpoint[0].firstChild.localName.indexOf("loadbalance") != -1) {
        //            createRootEndpointDiv("endpoints/loadbalanceendpoint_add.xsl", "LoadBalance", 0, endpoint[0], "annonymouseendpointadd", "discardfun", "true");
        //        } else if (endpoint[0].firstChild.localName.indexOf("failover") != -1) {
        //            createRootEndpointDiv("endpoints/failoverendpoint_add.xsl", "FailOver", 0, endpoint[0], "annonymouseendpointadd", "discardfun", "true");
        //        }
    }
    showepOnEditMode(display_endpoint);
}

function saveproxyEndponit(type) {
    currentepstr = getXmlForAnonymousEndpoint(type);
    var body_xml_ = '<ns1:convertToEndpointData xmlns:ns1="http://org.apache.synapse/xsd">' +
                    currentepstr +
                    '</ns1:convertToEndpointData>';
    var callURL = serverURL + "/" + ENDPOINT_MANAGEMENT + "/" + "convertToEndpointData";
    send("convertToEndpointData", body_xml_, "", callURL, "", false, validatendpointproxyCallback);
}

function clearselection(p_sType, p_aArgs, p_oValue) {

    proxydatacollect["step1"](null, true);
    var type = p_oValue.cleartype;
    proxytarget[type] = null;
    if (document.getElementById(type) != null && document.getElementById(type) != undefined && document.getElementById(type) != "undefined") {
        document.getElementById(type).setAttribute("value", "");
    }

    if (type != "endpoint") {
        type = type.substring(0, type.length - "sequence".length) + "Sequence";
    }

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }

    if (internalmodel.proxy.getElementsByTagName(prefix + "target").length != 0) {

        internalmodel.proxy.getElementsByTagName(prefix + "target")[0].removeAttribute(type);

        if (type == "endpoint") {
            var ep_elems = internalmodel.proxy.getElementsByTagName(prefix + "target")[0].getElementsByTagName(prefix + "endpoint");
            for (var h=0; h<ep_elems.length; h++) {
                if (ep_elems[h].parentNode.localName == "target") {
                    internalmodel.proxy.getElementsByTagName(prefix + "target")[0].removeChild(ep_elems[h]);
                }
            }
        } else if (internalmodel.proxy.getElementsByTagName(
                prefix + "target")[0].getElementsByTagName(prefix + type).length != 0) {
            internalmodel.proxy.getElementsByTagName(prefix + "target")[0].removeChild(
                    internalmodel.proxy.getElementsByTagName(
                            prefix + "target")[0].getElementsByTagName(prefix + type)[0]);
        }
    }

    addeditwrapper(1);
}

///////////////////////////////////////////////////////////////////////////////////

function getavailabeltransports() {

    var body_xml = '<ns1:getAvailabelTransports xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getAvailabelTransports>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" ;

    send("getAvailabelTransports", body_xml, "", callURL, "", false, getavailabeltransportscallback);
}

function getavailabeltransportscallback() {

    if (!onError()) {
        return;
    }

    var tp = xhReq.responseXML.getElementsByTagName("return");
    var tpstring = "";
    for (var i = 0; i < tp.length; i++) {
        if (tp[i].firstChild.text != undefined) {
            if (tp[i].firstChild.text.indexOf("admin/https") == -1) {
                tpstring += tp[i].firstChild.text + " ";
            }
        } else if (tp[i].firstChild.textContent.indexOf("admin/https") == -1) {
            tpstring += tp[i].firstChild.textContent + " ";
        }
    }

    internalmodel.proxy.setAttribute("a_tp", tpstring);

    getavailabelsequences();
}

function getavailabelsequences() {

    var body_xml = '<ns1:getAvailabelSequences xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getAvailabelSequences>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" ;

    send("getAvailabelSequences", body_xml, "", callURL, "", false, getavailabelsequencescallback);
}

function getavailabelsequencescallback() {

    if (!onError()) {
        return;
    }

    var sq = xhReq.responseXML.getElementsByTagName("return");
    var sqstring = "";
    availabelsequences.length = 0;
    for (var i = 0; i < sq.length; i++) {
        if (sq[i].firstChild.text != undefined) {
            sqstring += sq[i].firstChild.text + " ";
            availabelsequences[availabelsequences.length] = {text: sq[i].firstChild.text};
        } else {
            sqstring += sq[i].firstChild.textContent + " ";
            availabelsequences[availabelsequences.length] = {text: sq[i].firstChild.textContent};
        }
    }

    internalmodel.proxy.setAttribute("a_sq", sqstring);

    getavailabelendpoints();
}

function getavailabelendpoints() {

    var body_xml = '<ns1:getAvailabelEndpoints xmlns:ns1="http://org.apache.synapse/xsd">' +
                   '</ns1:getAvailabelEndpoints>';

    var callURL = serverURL + "/" + PROXY_ADMIN + "/" ;

    send("getAvailabelEndpoints", body_xml, "", callURL, "", false, getavailabelendpointscallback);
}

function getavailabelendpointscallback() {

    if (!onError()) {
        return;
    }

    var ep = xhReq.responseXML.getElementsByTagName("return");
    var epstring = "";
    availabelendpoints.length = 0;
    for (var i = 0; i < ep.length; i++) {
        if (ep[i].firstChild.text != undefined) {
            epstring += ep[i].firstChild.text + " ";
            availabelendpoints[availabelendpoints.length] = {text: ep[i].firstChild.text};
        } else {
            epstring += ep[i].firstChild.textContent + " ";
            availabelendpoints[availabelendpoints.length] = {text: ep[i].firstChild.textContent};
        }
    }

    internalmodel.proxy.setAttribute("a_ep", epstring);

    if (doingadd) {
        editproxysteps(document.getElementById("addproxystep"), 1);
        showOnlyOneMain(document.getElementById("addproxystep").parentNode, false);
    } else {
        viewproxyinconsole();
    }
}

function sequenceeditor(args, params, value) {
    _sequenceeditor(value.seqtype);
}

var targetelement = null;

function _sequenceeditor(seqtype) {

    if (document.getElementById("editingDiv") != null || document.getElementById("editingDiv") != undefined) {
        document.getElementById("editingDiv").removeAttribute("id");
    }
    
    internalmodel.sequence = createesbelement("<syn:sequence name='' "
            + "xmlns:syn='http://ws.apache.org/ns/synapse'></syn:sequence>");

    var prefix = "";
    if (browsername.indexOf(IE_BROWSER_NAME) != -1) {
        prefix = "syn:";
    }

    //    if (proxytarget[seqtype] == undefined || proxytarget[seqtype] == "undefined") {
    var targetelem = internalmodel.proxy.getElementsByTagName(prefix + "target");
    if (targetelem.length != 0) {
        var seq = targetelem[0].getElementsByTagName(
                prefix + seqtype.substring(
                        0, seqtype.length - "sequence".length) + "Sequence");
        if (seq.length != 0) {
            targetelement = seq[0].cloneNode(100);
            proxytarget[seqtype] = seq[0];
        } else {
            clearselection("", "", {cleartype:seqtype});
        }
    }
    //    }

    if (proxytarget[seqtype] != undefined && proxytarget[seqtype] != null) {
        var mediatorlist = proxytarget[seqtype].childNodes;
        var condition = mediatorlist.length;
        for (var i = 0; i < condition; i++) {
            internalmodel.sequence.appendChild(mediatorlist[i].cloneNode(100));
        }
    }

    var sequence_div = document.createElement("div");
    sequence_div.style.height = 400;
    sequence_div.style.overflowY = "auto";
    sequence_div.style.overflowX = "hidden";
    internalmodel.sequence.setAttribute("anonymous", "true");
    getsequencedisplay(sequence_div);
    var temp = document.createElement("div");
    temp.appendChild(sequence_div);

    var bodyHTML =  "<div id='divSequence'>" + temp.innerHTML//new XMLSerializer().serializeToString(sequence_div)
            + "</div><div><table style='margin-left: 150px;'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default' "
            + "onclick=annonymoussequence('" + seqtype + "') value='Save'></td>"
            + "<td></td><td><input type='button' class='panelbutton_cancel' "
            + "onclick='javascript: closesequenceeditor(\"" + seqtype + "\"); return false;' value='Cancel'/></td>"
            + "</tr></tbody></table></div>";

    yuieditorpanel("WSO2-ESB Sequence Editor", bodyHTML, "Anonymous sequence", "panelSequence", "800px");
}

function closesequenceeditor(seqtype) {
    proxytarget[seqtype] = targetelement;
    proxydatacollect["step1"](null, true);
    addeditwrapper(1);
}

function clearProxyHistory() {
    internalmodel.proxy = null;
    internalmodel.proxyname = "";
    internalmodel.rolebackproxyname = "";
    proxytarget["insequence"] = null;
    proxytarget["outsequence"] = null;
    proxytarget["faultsequence"] = null;
    proxytarget["endpoint"] = null;
}

var proxytarget = new Array();

function annonymoussequence(seqtype) {

    if (document.getElementById("editingDiv") != null || document.getElementById("editingDiv") != undefined) {
        document.getElementById("editingDiv").removeAttribute("id");
    }

    var seq_elem_name = seqtype.substring(0, (seqtype.length - "sequence".length)) + "Sequence";

    proxytarget[seqtype] = createesbelement("<syn:" + seq_elem_name + " xmlns:syn='http://ws.apache.org/ns/synapse'/>");
    var mediatorlist = internalmodel.sequence.childNodes;
    var condition = mediatorlist.length;
    for (var i = 0; i < condition; i++) {
        proxytarget[seqtype].appendChild(mediatorlist[0]);
    }
    proxydatacollect["step1"](null, true);
    addeditwrapper(1);
}

var currentepstr = null;
function annonymouseendpointadd(type) {
    save_state = true;
    var body_xml;
    if ("Address" == type) {
        var addrXML = getAnonymousAddressEndPointString(0);
        if (addrXML == undefined) {
            return;
        }
        body_xml = addrXML;
    }
    if ("WSDL" == type) {
        var wsdlXml = getAnonymousWSDLEndPointString(0);
        if (wsdlXml == undefined) {
            return;
        }
        body_xml = wsdlXml;
    } else if ("FailOver" == type) {
        body_xml = getAnonymousFailOverEndPointString(0);

    } else if ("LoadBalance" == type) {
        body_xml = getAnonymousLoadBalanceEndPointString(0);
    } else if ("InDirect" == type) {
        body_xml = getInDirectEndPointString(0);
    }
    currentepstr = body_xml;
//    alert(currentepstr) ;
    var body_xml_ = '<ns1:convertToEndpointData xmlns:ns1="http://org.apache.synapse/xsd">' +
                    body_xml +
                    '</ns1:convertToEndpointData>';
    var callURL = serverURL + "/" + ENDPOINT_MANAGEMENT + "/" + "convertToEndpointData";
    send("convertToEndpointData", body_xml_, "", callURL, "", false, validatendpointproxyCallback);

}
function validatendpointproxyCallback() {
    if (!onError()) {
        return;
    }
    if (currentepstr != null && currentepstr != undefined) {
        clearInLineProperties();
        proxytarget["endpoint"] = createesbelement(currentepstr);
        currentepstr = null;
        discardfun();
        closesequenceeditor();
    }
}
function proxypolicyfromregistry() {
    registrybrowser("setpolicyfromregistry", "dicardregistrybrowser", "", 1, "registryPanel");
}

function proxywsdlfromregistry() {
    registrybrowser("setwsdlfromregistry", "dicardregistrybrowser", "", 1, "registryPanel");
}

function targetfromregistry(p_sType, p_aArgs, p_oValue) {
    //    clearselection("", "", {cleartype:p_oValue.targettype});
    registrybrowser("settargetfromregistry", "dicardregistrybrowser", p_oValue.targettype, 1, "registryPanel");
}

function setpolicyfromregistry() {
    var policykey = getRegistryKey();
    document.getElementById("policy_ref").setAttribute("value", policykey);
    dicardregistrybrowser(1);
    var proxychildren = internalmodel.proxy.childNodes;
    var condition = proxychildren.length;

    var k =0;
    while(k<condition) {
        if(proxychildren[k].nodeName.indexOf("enableRM") != -1 || proxychildren[k].nodeName.indexOf("enableSec") != -1) {
            internalmodel.proxy.removeChild(proxychildren[k]);
            condition--;
        } else {
            k++;
        }
    }

    if (document.getElementById("enableSec").checked) {
        internalmodel.proxy.appendChild(
                createesbelement("<syn:enableSec xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }

    if (document.getElementById("enableRM").checked) {
        internalmodel.proxy.appendChild(
                createesbelement("<syn:enableRM xmlns:syn='http://ws.apache.org/ns/synapse'/>"));
    }
    addeditwrapper(3);
    document.getElementById("policy_ref").setAttribute("value", policykey);
}

function setwsdlfromregistry() {

    document.getElementById("wsdl_ref").setAttribute("value", getRegistryKey());
    dicardregistrybrowser(1);
}

function settargetfromregistry(targettype) {
    document.getElementById(targettype).setAttribute("value", getRegistryKey());
    dicardregistrybrowser(1);
    proxydatacollect["step1"](null, true);
    addeditwrapper(1);
}

function registrybrowser(saveFn, discardFn, param1, param2, panelId) {
    var bodyHTML = "<div id='registrybrowser' style='height:200px;_height:350px; overflow-x:hidden; overflow-y:auto;'>"
            + "<p><div><img src='extensions/core/images/registry_picker.gif'/><label class='styled-link'>Integrated Registry</label></div><div id='psrdiv' style='position:absolute; border: 1px solid gray; top:80px; "
            + "left:20px; width:300px; height:150px; overflow-x:auto; overflow-y:auto;'></div>"
            + "<div id='psrdata' style='position:absolute; border: 1px solid gray; top:80px; "
            + "left:340px; width:300px; height:150px; overflow-x:auto; overflow-y:auto;'>"
            + "Select a registry entry to view details.</div><input id='psrvalue' type='hidden' />"
            + "</p><div style='position:absolute;top:250px; "
            + "width:300px; height:50px; overflow-x:auto; overflow-y:auto;'><img src='extensions/core/images/_properties.gif'/><label class='styled-link'>Local Registry</label></div>"
            + "<div id='localregkey' style='position:absolute; border: 1px solid gray; top:280px; "
            + "left:20px; width:620px; height:70px; overflow-x:auto; overflow-y:auto;'>"
            + "</div></div><div><table style='margin-left: 210px;margin-top: 150px;_margin-top: 40px;'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default' "
            + "onclick=" + saveFn + "('" + param1 + "')  value='Select'></td><td></td>"
            + "<td><input type='button' class='panelbutton_cancel' "
            + "onclick=" + discardFn + "('" + param2 + "') value='Cancel'/></td>"
            + "</tr></tbody></table></div>";

    yuieditorpanel("WSO2-ESB Registry Browser", bodyHTML, "Registry Browser", "panelRegistry", "665px");
    getAvailableEntries();
}

function registrybrowserforsave(saveFn, discardFn, param1, param2, panelId) {
    var bodyHTML = "<div id='registrybrowser' style='height:200px;_height:350px; overflow-x:hidden; overflow-y:auto;'>"
            + "<p><div><img src='extensions/core/images/registry_picker.gif'/><label class='styled-link'>Integrated Registry</label></div><div id='psrdiv' style='position:absolute; border: 1px solid gray; top:80px; "
            + "left:20px; width:220px; height:250px; overflow-x:auto; overflow-y:auto;'></div>"


            + "<div id='psrdata' style='position:absolute; border: 1px solid gray; top:80px; "
            + "left:260px; width:380px; height:120px; overflow-x:auto; overflow-y:auto;'>"
            + "<p style='font-weight:bold; padding: 10px;'>Entry Details</p><table><tr><td>Registry Key</td><td><input type='text' id='regKeyField' class='esb-edit' style='width: 160px;'/></td></tr>"
            + "<tr><td>Cachable Duration</td><td><input type='text' id='cacheDurField' class='esb-edit' style='width: 160px;'/></td></tr></table></div>"
            + "<input id='psrvalue' type='hidden' />"


            + "<div id='utilpanel' style='position:absolute; border: 1px solid gray; top:210px; "
            + "left:260px; width:380px; height:120px; overflow-x:auto; overflow-y:auto;'>"
            + "<p style='font-weight:bold; padding: 10px;'>Create New Folder</p>"
            + "<table>"
            + "<tr><td>Folder Name</td><td><input type='text' id='folderNameField' class='esb-edit' style='width: 160px;'/></td></tr>"
            + "<tr><td></td><td><input type='button' id='createFolderButton' value='Create Folder' onclick='javascript: addRegistryFolderForSave(); return false;' class='panelbutton_default' style='width: 100px; height:20px;'/></td></tr></table></div>"


                   
            + "</p>"

//            + "<br/><div style='position:absolute;top:250px; "
//            + "width:300px; height:50px; overflow-x:auto; overflow-y:auto;'><img src='extensions/core/images/_properties.gif'/><label class='styled-link'>Local Registry</label><br/></div>"


//            + "<div id='localregkey' style='position:absolute; border: 1px solid gray; top:280px; "
//            + "left:20px; width:620px; height:70px; overflow-x:auto; overflow-y:auto;'>"
//            + "</div>"
            

            + "</div><div><table style='margin-left: 210px;margin-top: 150px;_margin-top: 40px;'><tbody><tr>"
            + "<td><input type='button' class='panelbutton_default' "
            + "onclick=" + saveFn + "('" + param1 + "')  value='Save'></td><td></td>"
            + "<td><input type='button' class='panelbutton_cancel' "
            + "onclick=" + discardFn + "('" + param2 + "') value='Cancel'/></td>"
            + "</tr></tbody></table></div>";

    yuieditorpanel("WSO2-ESB Registry Browser", bodyHTML, "Registry Browser", "panelRegistry", "665px");
    showRegistryPanelForSave("psrdiv", "", "", "psrvalue");
}

function addserviceparameter() {
    if (proxydatacollect["step2"]() == -1) {
        return;
    }

    var properties = internalmodel.proxy.getElementsByTagName("parameter");
    if (properties.length == 0) {
        properties = internalmodel.proxy.getElementsByTagName("syn:parameter");
    }

    internalmodel.proxy.appendChild(
            createesbelement("<syn:parameter name='' index='"
                    + properties.length + "' xmlns:syn='http://ws.apache.org/ns/synapse'></syn:parameter>"));
    addeditwrapper(2);
}

function addeditwrapper(index) {

    var objdiv;
    if (doingadd) {
        objdiv = document.getElementById("addproxystep");
    }

    if (objdiv == null) {
        objdiv = document.getElementById("proxystepdiv" + index);
    }

    editproxysteps(objdiv, index);
}

function deleteproxyparameter(index) {

    if (proxydatacollect["step2"]() == -1) {
        return;
    }

    var properties = internalmodel.proxy.getElementsByTagName("parameter");
    // this is a hack to the wrong behaviour of the IE in getElementsByTagName method
    if (properties.length == 0) {
        properties = internalmodel.proxy.getElementsByTagName("syn:parameter");
    }

    if (properties.length > index) {
        internalmodel.proxy.removeChild(properties[index]);
    }

    addeditwrapper(2);

    if (proxydatacollect["step2"]() == -1) {
        return;
    }

    addeditwrapper(2);
}

function addpolicyview() {
    var objdiv = document.getElementById("proxypolicydiv");

    objdiv.innerHTML = "<div><label class='hard-indent'>Policy Key</label>"
            + "<select id='propertyset' class='property-set'/></div>"
            + "<div class='hard-indent'><input type='button' class='contentbutton' "
            + "onclick='addeditwrapper(3)' value='Cancel'/>"
            + "<input type='button' class='contentbutton' "
            + "onclick='addpolicy()' value='Add Policy'/></div>";

    populatePropertySet("propertyset", "");
}

function setpolicy() {
    if (proxydatacollect["step3"]() == -1) {
        return;
    }

    addeditwrapper(3);
}

function addpolicy() {

    if (proxydatacollect["step3"]() == -1) {
        return;
    }

    addeditwrapper(3);
}

function removepolicy(key) {

    var policies = internalmodel.proxy.getElementsByTagName("policy");
    if (policies.length == 0) {
        policies = internalmodel.proxy.getElementsByTagName("syn:policy");
    }

    for (var i = 0; i < policies.length; i++) {
        if (policies[i].getAttribute("key") == key) {
            internalmodel.proxy.removeChild(policies[i]);
        }
    }

    addeditwrapper(3);
}

function removewsdl() {

    if (proxydatacollect["step4"]() == -1) {
        return;
    }

    var wsdl = internalmodel.proxy.getElementsByTagName("publishWSDL");
    if (wsdl.length == 0) {
        wsdl = internalmodel.proxy.getElementsByTagName("syn:publishWSDL");
    }

    if (wsdl.length != 0) {
        internalmodel.proxy.removeChild(wsdl[0]);
    }

    addeditwrapper(4);
}

function newwsdl() {

    var objdiv = document.getElementById("proxyWsdl");

    objdiv.innerHTML = "<div><label class='hard-indent'>WSDL Key</label>"
            + "<select id='propertyset' class='property-set'/></div>"
            + "<div class='hard-indent'><input type='button' class='contentbutton' "
            + "onclick='addeditwrapper(4)' value='Cancel'/>"
            + "<input type='button' class='contentbutton' "
            + "onclick='setwsdl()' value='Set WSDL'/></div>";

    populatePropertySet("propertyset", "");
}

function setwsdl() {

    if (proxydatacollect["step4"]() == -1) {
        return;
    }

    addeditwrapper(4);
}

function setparamindexes() {
    var properties = internalmodel.proxy.getElementsByTagName("parameter");
    if (properties.length == 0) {
        properties = internalmodel.proxy.getElementsByTagName("syn:parameter");
    }

    for (var i = 0; i < properties.length; i++) {
        properties[i].setAttribute("index", i);
    }
}