<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="ns1:endpointDataResponse" xmlns:ns1="http://org.apache.synapse/xsd">
        
         <div class="breadcrumb" style="z-index:0;"> Manage Endpoints</div>
         
         <div class="page-main-title title-endpoints">
         	Manage Endpoints
         	<img src="extensions/core/images/help.gif" alt=""
                  onmouseover="showHelp(event,'endpointHelpDiv')"
                  onmouseout="hideHelp(event,'endpointHelpDiv')"/>
         </div>
         
         <div id="endpointHelpDiv" class="helptip"></div>
        <fieldset style="border:none;z-index:0;">
            <div id='formset'>
                <xsl:choose>
                        <xsl:when test="return">
                            <table class="styled">
                                <thead>
                                <tr>
                                    <th>Endpoint Name</th>
                                    <th>Type</th>
                                    <th>Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                <xsl:for-each select="return">
                                    <tr>
                                        <td>
                                            <xsl:element name="a">
                                                <xsl:attribute name="href">#</xsl:attribute>
                                                <xsl:attribute name="onClick">javascript:editEndpoint('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                <xsl:value-of select="name"/>
                                            </xsl:element>
                                        </td>
                                        <td>
                                            <xsl:if test="type=0">
                                                <xsl:text>Address Endpoint</xsl:text>
                                            </xsl:if>
                                            <xsl:if test="type=1">
                                                <xsl:text>WSDL Endpoint</xsl:text>
                                            </xsl:if>
                                            <xsl:if test="type=2">
                                                <xsl:text>Failover group</xsl:text>
                                            </xsl:if>
                                            <xsl:if test="type=3">
                                                <xsl:text>Load-balance group</xsl:text>
                                            </xsl:if>
                                        </td>
                                        <td>
                                            <nobr>
                                                <a href="#" id="edit_link">
                                                    <xsl:attribute name="onClick">javascript:editEndpoint('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Edit endpoint: <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Edit endpoint</xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>

                                                <a href="#" id="delete_link">
                                                    <xsl:attribute name="onClick">javascript:deleteEndpoint('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Delete endpoint: <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Delete endpoint <xsl:value-of select="name"/> </xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>

                                                <xsl:if test="type=0 or type=1">
                                                    <xsl:if test="enableStatistics='true'">
                                                        <a href="#" id="statistic_disable">
                                                            <xsl:attribute name="onClick">javascript:disableendpointstatistics('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                            <xsl:attribute name="title">Disable statistics for the Endpoint <xsl:value-of select="name"/></xsl:attribute>
                                                            <xsl:attribute name="alt">Disable Statistics</xsl:attribute>
                                                            &#160;&#160;&#160;&#160;
                                                        </a>
                                                    </xsl:if>
                                                    <xsl:if test="enableStatistics='false'">
                                                        <a href="#" id="statistic_enable">
                                                            <xsl:attribute name="onClick">javascript:enableendpointstatistics('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                            <xsl:attribute name="title">Enable statistics for the Endpoint <xsl:value-of select="name"/></xsl:attribute>
                                                            <xsl:attribute name="alt">Enable Statistics</xsl:attribute>
                                                            &#160;&#160;&#160;&#160;
                                                        </a>
                                                    </xsl:if>
                                                </xsl:if>

                                            </nobr>
                                        </td>
                                    </tr>
                                </xsl:for-each>
                            </tbody>
                            </table>
                    </xsl:when>
                    <xsl:otherwise>
                        <br/><i><font style='color: brown'>No endpoints are currently defined. Click 'Add' to define a new endpoint</font></i><br/><br/>
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <input name="addEndpoints" type="button" class='panelbutton_default' value="Add" onclick="javascript:addEndpoint(event);return false;"/>
        </fieldset>
        
    </xsl:template>
 </xsl:stylesheet>
