<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="return|endpoints" xmlns:syn="http://ws.apache.org/ns/synapse">
        
         <xsl:element name="div">
           <xsl:attribute name="id"><xsl:value-of select="concat('esb_endpoint_div',@index)"/></xsl:attribute>
           <xsl:attribute name="style">width:500px;</xsl:attribute>
            <div class="content-header">
                <img src="extensions/core/images/address_endpoint.gif" align="top"/>
                <xsl:text> Address Endpoint </xsl:text>
            
             	<xsl:if test="@index != '0' ">
	            <xsl:element name="img">
	                <xsl:attribute name="style">margin-left:15px</xsl:attribute>
	                <xsl:attribute name="src">
	                    extensions/core/images/delete.gif</xsl:attribute>
	                <xsl:attribute name="title">Delete Endpoint</xsl:attribute>
	                <xsl:attribute name="onClick">
	                    javascript:deleteChildEndpoint('<xsl:value-of select="@index"/>');return false;
	                </xsl:attribute>
	            </xsl:element>
	            </xsl:if>
            
            </div>
                      
            <div id="endpoint_edit" class="end-point-div">
                <table border="0" class="data-table" style="width:450px;">
                    <tbody>
                        <xsl:if test="@anonymous = 'false' ">
                         <tr>
                            <xsl:if test="name">
                                <td style="width:150px;">
                                   Name<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="disabled">true</xsl:attribute>
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_name',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                        <xsl:attribute name="value">
                                                <xsl:value-of select="name/child::text()"/>
                                        </xsl:attribute>
                                        <xsl:attribute name="DISABLED"/>
                                     </xsl:element>
                                  </td>
                            </xsl:if>
                            <xsl:if test="not(name)">
                                <td>
                                    Name<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_name',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                       <xsl:attribute name="value">
                                            <xsl:text></xsl:text>
                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                            </xsl:if>
                        </tr>
                        </xsl:if>
                        <tr>
                            <xsl:if test="endpointDefinition/address">
                                <td>
                                    Address<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_address',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>
                                        <xsl:attribute name="value">
                                           <xsl:value-of select="endpointDefinition/address/child::text()"/>

                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                            </xsl:if>
                            <xsl:if test="not(endpointDefinition/address/child::text())">
                                <td>
                                   Address<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                     <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_address',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>
                                        <xsl:attribute name="value">
                                            <xsl:text></xsl:text>
                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                            </xsl:if>
                        </tr>
                        <tr>
                                <td>
                                    <xsl:text>Format</xsl:text>
                                </td>
                                <td>
                                     <xsl:element name="select">
                                          <xsl:attribute name="onchange">
                                             javascript:onformatchange('<xsl:value-of select="@index"/>');
                                         </xsl:attribute>
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_format',@index)"/></xsl:attribute>
                                          <xsl:attribute name="class">esb-edit</xsl:attribute>
                                            <xsl:if test="endpointDefinition/forcePOX/child::text() ='true'">
                                             <option value="POX">Plain Old XML (POX)</option>
                                             <option value="SOAP11">Simple Object Access Protocol - 1.1 (SOAP-11)</option>
                                             <option value="SOAP12">Simple Object Access Protocol - 1.2 (SOAP-12)</option>
                                             <option value="Select A Value">Leave As-Is</option>
                                            </xsl:if>
                                            <xsl:if test="endpointDefinition/forceSOAP11/child::text() ='true'">
                                             <option value="SOAP11">Simple Object Access Protocol - 1.1 (SOAP-11)</option>
                                             <option value="SOAP12">Simple Object Access Protocol - 1.2 (SOAP-12)</option>
                                             <option value="POX">Plain Old XML (POX)</option>
                                             <option value="Select A Value">Leave As-Is</option>
                                            </xsl:if>
                                            <xsl:if test="endpointDefinition/forceSOAP12/child::text() ='true'">
                                             <option value="SOAP12">Simple Object Access Protocol - 1.2 (SOAP-12)</option>
                                             <option value="SOAP11">Simple Object Access Protocol - 1.1 (SOAP-11)</option>
                                             <option value="POX">Plain Old XML (POX)</option>
                                             <option value="Select A Value">Leave As-Is</option>
                                            </xsl:if>
                                            <xsl:if test="(endpointDefinition/forcePOX/child::text() ='false')and (endpointDefinition/forceSOAP11/child::text() ='false') and (endpointDefinition/forceSOAP12/child::text() ='false')">
                                             <option value="Select A Value">Leave As-Is</option>
                                             <option value="SOAP11">Simple Object Access Protocol - 1.1 (SOAP-11)</option>
                                             <option value="SOAP12">Simple Object Access Protocol - 1.2 (SOAP-12)</option>
                                             <option value="POX">Plain Old XML (POX)</option>
                                            </xsl:if>

                                    </xsl:element>
                                </td>
                        </tr>
                        <tr>
                                <td>
                                    <xsl:text>Optimize</xsl:text>
                                </td>
                                <td>
                                     <xsl:element name="select">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_optimize',@index)"/></xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>
                                            <xsl:if test="endpointDefinition/useMTOM/child::text() ='true'">
                                                <option value="MTOM">MTOM</option>
                                                <option value="SwA">SwA</option>
                                                <option value="Select A Value">Leave As-Is</option>
                                            </xsl:if>
                                            <xsl:if test="endpointDefinition/useSwa/child::text() ='true'">
                                                <option value="SwA">SwA</option>
                                                <option value="MTOM">MTOM</option>
                                                <option value="Select A Value">Leave As-Is</option>
                                            </xsl:if>
                                           <xsl:if test="(endpointDefinition/useSwa/child::text() ='false') and (endpointDefinition/useMTOM/child::text() ='false')">
                                                <option value="Select A Value">Leave As-Is</option>
                                                <option value="SwA">SwA</option>
                                                <option value="MTOM">MTOM</option>
                                            </xsl:if>
                                        </xsl:element>
                                </td>
                        </tr>
                        <tr>
                            <td>
                                <xsl:text>Suspend </xsl:text>
                            </td>
                              </tr>
                        <tr>
                             <td class="indent-small form-sub-field">
                                    <xsl:text>Duration (Secs)</xsl:text>
                                </td>
                            <td>
                              <xsl:element name="input">
                                    <xsl:variable name="duration"><xsl:value-of select="suspendDurationOnFailure/child::text()"/></xsl:variable>
                                    <xsl:attribute name="id">
                                        <xsl:value-of select="concat('endpoint_suspend_duration',@index)"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="type">text</xsl:attribute>
                                    <xsl:attribute name="class">esb-edit</xsl:attribute>
                                    <xsl:attribute name="value">
                                        <xsl:if test="suspendDurationOnFailure">
                                            <xsl:if test="$duration != -1 ">
                                                <xsl:value-of
                                                        select="$duration div 1000"></xsl:value-of>
                                            </xsl:if>
                                        </xsl:if>
                                        <xsl:if test="not(suspendDurationOnFailure)">
                                             <xsl:text></xsl:text>
                                        </xsl:if>
                                    </xsl:attribute>
                                </xsl:element>
                            </td>
                        </tr>
                         <tr>
                                <td>
                                    <xsl:text>Timeout</xsl:text>
                                </td>
                             </tr>
                          <tr>
                          <td class="indent-small form-sub-field">
                                <xsl:text>Action</xsl:text>
                                </td>
                                <td>
                                    <xsl:element name="select">
                                         <xsl:attribute name="onchange">
                                        javascript:onActionChange('<xsl:value-of select="@index"/>');
                                    </xsl:attribute>
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_timeout_action',@index)"/></xsl:attribute>
                                          <xsl:attribute name="class">esb-edit</xsl:attribute>
                                            <xsl:if test="endpointDefinition/timeoutAction/child::text() ='101'">
                                             <option value="discard">Discard message</option>
                                             <option value="fault">Execute fault sequence</option>
                                             <option value="Select A Value">Never timeout</option>
                                            </xsl:if>
                                            <xsl:if test="endpointDefinition/timeoutAction/child::text() ='102'">
                                             <option value="fault">Execute fault sequence</option>
                                             <option value="discard">Discard message</option>
                                              <option value="Select A Value">Never timeout</option>
                                            </xsl:if>
                                            <xsl:if test="not(endpointDefinition/timeoutAction)or(endpointDefinition/timeoutAction/child::text() ='100')">
                                             <option value="Select A Value">Never timeout</option>
                                             <option value="discard">Discard message</option>
                                             <option value="fault">Execute fault sequence</option>
                                            </xsl:if>
                                    </xsl:element>
                                </td>
                        </tr>
                        <tr>
                             <td class="indent-small form-sub-field">
                                    <xsl:text>Duration (Secs)</xsl:text>
                                </td>
                                <td>
                                     <xsl:element name="input">
                                         <xsl:variable name="duration">
                                             <xsl:if test="endpointDefinition/timeoutDuration">
                                                <xsl:value-of select="endpointDefinition/timeoutDuration/child::text()"/>
                                             </xsl:if>
                                        </xsl:variable>
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_duration',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>
                                        <xsl:attribute name="value">
                                            <xsl:if test="endpointDefinition/timeoutDuration">
                                            <xsl:value-of select="$duration div 1000"></xsl:value-of>
                                            </xsl:if>
                                             <xsl:if test="not(endpointDefinition/timeoutDuration)">
                                              <xsl:text>3</xsl:text>
                                            </xsl:if>
                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                        </tr>
                         <tr>
                            <td>
                                <xsl:text>WS-Addressing</xsl:text>
                            </td>
                            <td>
                                <xsl:element name="input">
                                    <xsl:attribute name="type">checkbox</xsl:attribute>
                                    <xsl:attribute name="id"><xsl:value-of select="concat('wsAddressingEngaged',@index)"/></xsl:attribute>
                                         <xsl:choose>
                                            <xsl:when test="endpointDefinition/forcePOX/child::text() ='true'">
                                                <xsl:attribute name="disabled">
                                                    true
                                                </xsl:attribute>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:if test="(endpointDefinition/addressingOn/child::text() ='true')">
                                                <xsl:attribute name="checked">
                                                    checked</xsl:attribute>
                                                 </xsl:if>
                                            </xsl:otherwise>
                                        </xsl:choose>

                                </xsl:element>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <xsl:text>WS-Security</xsl:text>
                            </td>
                            <td>
                               <xsl:element name="input">
                                    <xsl:attribute name="type">checkbox</xsl:attribute>
                                    <xsl:attribute name="id"><xsl:value-of select="concat('wsSecEngaged',@index)"/></xsl:attribute>
                                          <xsl:choose>
                                            <xsl:when test="endpointDefinition/forcePOX/child::text() ='true'">
                                                <xsl:attribute name="disabled">
                                                    true
                                                </xsl:attribute>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:if test="(endpointDefinition/securityOn/child::text() ='true')">
                                                <xsl:attribute name="checked">
                                                    checked</xsl:attribute>
                                                </xsl:if>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                     <xsl:attribute name="onClick">
                                        javascript:onwssecchange('<xsl:value-of select="@index"/>');
                                    </xsl:attribute>
                                </xsl:element>
                            </td>
                          </tr>
                            <tr>
                                <td class="indent-small form-sub-field">
                                    <xsl:text>Policy key</xsl:text>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('sec_policy',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                        <xsl:attribute name="value">
                                             <xsl:value-of select="endpointDefinition/wsSecPolicyKey"/>
                                        </xsl:attribute>
                                        <xsl:attribute name="DISABLED"/>
                                    </xsl:element>

                                </td>
                                <td>
                                    <xsl:element name="img">
                                        <xsl:attribute name="src">
                                            extensions/core/images/registry_picker.gif</xsl:attribute>
                                        <xsl:attribute name="title">Registry Browser</xsl:attribute>
                                        <xsl:attribute name="onClick">
                                            javascript:policyfromregistry('<xsl:value-of select="@index"/>','SEC','Address','<xsl:value-of select="@anonymous"/>');return false;
                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                                </tr>

                        <tr>
                            <td>
                                <xsl:text>WS-RM</xsl:text>
                            </td>
                            <td>
                                <xsl:element name="input">
                                    <xsl:attribute name="type">checkbox</xsl:attribute>
                                    <xsl:attribute name="id"><xsl:value-of select="concat('wsRMEngaged',@index)"/></xsl:attribute>
                                          <xsl:choose>
                                            <xsl:when test="endpointDefinition/forcePOX/child::text() ='true'">
                                                <xsl:attribute name="disabled">
                                                    true
                                                </xsl:attribute>
                                            </xsl:when>
                                            <xsl:otherwise>
                                                <xsl:if test="(endpointDefinition/reliableMessagingOn/child::text() ='true')">
                                                <xsl:attribute name="checked">
                                                    checked</xsl:attribute>
                                                </xsl:if>
                                            </xsl:otherwise>
                                        </xsl:choose>
                                    <xsl:attribute name="onClick">
                                        javascript:onwsrmchange('<xsl:value-of select="@index"/>');
                                    </xsl:attribute>
                                </xsl:element>
                            </td>
                            </tr>
                            <tr>
                                <td class="indent-small form-sub-field">
                                    <xsl:text>Policy key</xsl:text>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('rm_policy',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                        <xsl:attribute name="value">
                                             <xsl:value-of select="endpointDefinition/wsRMPolicyKey"/>
                                        </xsl:attribute>
                                        <xsl:attribute name="DISABLED"/>
                                    </xsl:element>
                                </td>
                                <td>
                                    <xsl:element name="img">
                                        <xsl:attribute name="src">
                                            extensions/core/images/registry_picker.gif</xsl:attribute>
                                        <xsl:attribute name="title">Registry Browser</xsl:attribute>
                                        <xsl:attribute name="onClick">
                                            javascript:policyfromregistry('<xsl:value-of select="@index"/>','RM','Address','<xsl:value-of select="@anonymous"/>');return false;
                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                                </tr>

                    </tbody>
                </table>
            </div>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>