<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="../commons.xsl"/>

    <xsl:template match="return|endpoints" xmlns:syn="http://ws.apache.org/ns/synapse">
         <xsl:element name="div">
           <xsl:attribute name="id"><xsl:value-of select="concat('esb_endpoint_div',@index)"/></xsl:attribute>
           <xsl:attribute name="style">width:500px;</xsl:attribute>
           <div class="content-header">
                <img src="extensions/core/images/look_up_endpoint.gif"/>
                <xsl:text>Lookup Endpoint</xsl:text>
            
				<xsl:if test="@index != '0' ">
					<xsl:element name="img">
					    <xsl:attribute name="style">margin-left:15px</xsl:attribute>
					    <xsl:attribute name="src">
					        extensions/core/images/delete.gif</xsl:attribute>
					    <xsl:attribute name="title">Delete Endpoint</xsl:attribute>
					    <xsl:attribute name="onClick">
					        javascript:deleteChildEndpoint('<xsl:value-of select="@index"/>');return false;
					    </xsl:attribute>
					</xsl:element>
				</xsl:if>
            </div>
            <div id="endpoint_edit" class="end-point-div">
                
                <table border="0" class="data-table" style="width:450px;">
                    <tbody>
                        <tr>
                            <td style="width:130px;">
                                <xsl:text>Key</xsl:text>
                            </td>
                            <td>
                                <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_key',@index)"/></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                        <xsl:attribute name="value">
                                               <xsl:if test="key">
                                             <xsl:value-of select="key/child::text()"/>
                                            </xsl:if>
                                           </xsl:attribute>
                                        <xsl:attribute name="DISABLED"/>
                                    </xsl:element>
                                </td>
                                <td>
                                    <xsl:element name="img">
                                        <xsl:attribute name="src">
                                            extensions/core/images/registry_picker.gif</xsl:attribute>
                                        <xsl:attribute name="title">Registry Browser</xsl:attribute>
                                        <xsl:attribute name="onClick">
                                            javascript:endpointfromregistry('<xsl:value-of select="@index"/>','<xsl:value-of select="@anonymous"/>');return false;
                                        </xsl:attribute>
                                    </xsl:element>
                                </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>