<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="syn:endpoint" xmlns:syn="http://ws.apache.org/ns/synapse">
         <xsl:element name="div">
           <xsl:attribute name="id"><xsl:value-of select="concat('esb_endpoint_div',@index)"/></xsl:attribute>
           <xsl:attribute name="style">width:500px;</xsl:attribute>
            <div class="content-header">
                <img src="extensions/core/images/load_balance_endpoint.gif" align="top"/>
                <xsl:text> Load-balance Endpoint </xsl:text>
            
	          <xsl:if test="@index != '0' ">
	          <xsl:element name="img">
	                <xsl:attribute name="style">margin-left:15px</xsl:attribute>
	                <xsl:attribute name="src">
	                    extensions/core/images/delete.gif</xsl:attribute>
	                <xsl:attribute name="title">Delete Endpoint</xsl:attribute>
	                <xsl:attribute name="onClick">
	                    javascript:deleteChildEndpoint('<xsl:value-of select="@index"/>');return false;
	                </xsl:attribute>
	            </xsl:element>
	            </xsl:if>
            </div>
            
            <div id="endpoint_edit" style="margin-left:10px;">
                
                <table border="0" class="data-table">
                    <tbody>
                        <xsl:if test="@anonymous = 'false' ">
                        <tr>
                            <td style="width:150px;">
                                   Name<font style='color: red;font-size: 8pt;'>&#160;*</font>
                                </td>
                                <td>
                                    <xsl:element name="input">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('endpoint_name',@index)" /></xsl:attribute>
                                        <xsl:attribute name="type">text</xsl:attribute>
                                         <xsl:attribute name="size">40</xsl:attribute>
                                        <xsl:attribute name="class">esb-edit</xsl:attribute>
                                       <xsl:attribute name="value">
                                            <xsl:text></xsl:text>
                                        </xsl:attribute>
                                          </xsl:element>
                                </td>
                        </tr>
                             </xsl:if>
                       <tr>
                                <td>
                                    <xsl:text>Session Management </xsl:text>
                                </td>
                                 <td>
                                     <xsl:element name="select">
                                        <xsl:attribute name="id"><xsl:value-of select="concat('lbep_session_type',@index)"/></xsl:attribute>
                                          <xsl:attribute name="class">esb-edit</xsl:attribute>
                                           <xsl:if test="syn:session">
                                            <xsl:if test="syn:session/@type ='simpleClientSession'">
                                             <option value="simpleClientSession">Client ID</option>
                                             <option value="http">Transport</option>
                                             <option value="soap">Simple Object Access Protocol (SOAP)</option>
                                             <option value="Select A Value">None</option>
                                            </xsl:if>
                                            <xsl:if test="syn:session/@type ='http'">
                                             <option value="http">Transport</option>
                                              <option value="soap">Simple Object Access Protocol (SOAP)</option>
                                             <option value="simpleClientSession">Client ID</option>
                                             <option value="Select A Value">None</option>
                                            </xsl:if>
                                             <xsl:if test="syn:session/@type ='soap'">
                                             <option value="soap">Simple Object Access Protocol (SOAP)</option>
                                             <option value="http">Transport</option>
                                             <option value="simpleClientSession">Client ID</option>
                                             <option value="Select A Value">None</option>
                                            </xsl:if>
                                            </xsl:if>
                                            <xsl:if test="not(syn:session)">
                                             <option value="Select A Value">None</option>
                                             <option value="http">Transport</option>
                                             <option value="soap">Simple Object Access Protocol (SOAP)</option>
                                             <option value="simpleClientSession">Client ID</option>
                                            </xsl:if>
                                    </xsl:element>
                                </td>
                        </tr>

                    </tbody>
                </table>
                <fieldset class="field-group">
                <xsl:element name="div">
                    <xsl:attribute name="id"><xsl:value-of select="concat('childEndPointsDIV',@index)"/>
                    </xsl:attribute>
                </xsl:element>
                	<legend>
                    <img src='extensions/core/images/add_mediator.gif'>
                        <xsl:attribute name="onclick">javascript:addChildEndpoint(event,'<xsl:value-of select="@index"/>');</xsl:attribute>
                    </img>
                    
                <label class='styled-link'>Add Endpoint</label>
                </legend>
				</fieldset>
            </div>
        </xsl:element>
    </xsl:template>
</xsl:stylesheet>