<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>
    <xsl:include href="target_edit.xsl"/>
    <!--<xsl:include href="target_view.xsl"/> -->

    <xsl:template match="syn:cache" xmlns:syn="http://ws.apache.org/ns/synapse">
    
        <div id="cache_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/cache-big.jpg"/>
                <xsl:text>Cache Mediator</xsl:text>
            </label>
            
            <div class="inside-content">
            <table border="0" cellpadding="0" cellspacing="0" class="data-table">
            <tbody>
                
                <tr>
                    <td style="width: 200px;">Cache Id </td>
                    <td>
                        <input type="text" id="cache_id" class="esb-edit">
                            <xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
                        </input>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Cache Type</td>
                    <td>
                        <select id="cachemessageflow" onchange="javascript: changeCacheType(); return false;">
                            <option value="finder">
                                <xsl:if test="not(@_cacheType) or @_cacheType!='collector'">
                                <xsl:attribute name="selected">true</xsl:attribute>
                                </xsl:if>
                                Finder</option>
                            <option value="collector">
                                <xsl:if test="@_cacheType='collector'">
                                <xsl:attribute name="selected">true</xsl:attribute>
                                </xsl:if>
                                Collector</option>
                        </select>
                    </td>
                </tr>
                <xsl:if test="not(@_cacheType) or @_cacheType!='collector'">
                <tr>
                    <td style="width: 200px;">Hash Generator </td>
                    <td>
                        <input type="text" id="hash_generator" class="esb-edit">
                            <xsl:attribute name="value"><xsl:value-of select="@hashGenerator"/></xsl:attribute>
                        </input>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Cache Scope </td>
                    <td>
                        <select type="text" id="cache_scope" class="esb-edit">
                            <xsl:choose>
                            <xsl:when test="@scope='per-host'">
                                <option value="per-host" selected="true">Per-Host</option>
                                <option value="per-mediator">Per-Mediator</option>
                            </xsl:when>
                            <xsl:when test="@scope='per-mediator'">
                                <option value="per-host">Per-Host</option>
                                <option value="per-mediator" selected="true">Per-Mediator</option>
                            </xsl:when>
                                <xsl:otherwise>
                                    <option value="per-host">Per-Host</option>
                                    <option value="per-mediator">Per-Mediator</option>
                                </xsl:otherwise>

                            </xsl:choose>
                        </select>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Cache Timeout </td>
                    <td>
                        <input type="text" id="cache_timeout" class="esb-edit">
                            <xsl:attribute name="value"><xsl:value-of select="@timeout"/></xsl:attribute>
                        </input>
                    </td>
                </tr>
                </xsl:if>

            </tbody>
        </table>
                <xsl:if test="not(@_cacheType) or @_cacheType!='collector'">

            <div class="sub-small-title">Cache Implementation Details</div>
            <table border="0" cellpadding="0" cellspacing="0" class="data-table">
                <tbody>

                    <tr>
                        <td style="width: 200px;">Implementation Type</td>
                        <td>
                            <select id="impl_type" class="esb-edit" disabled="true">
                                <option value="memory">In-Memory</option>
                            </select>
                        </td>
                    </tr>

                    <tr>
                        <td>Maximum Size </td>
                        <td>
                            <input type="text" id="max_size" class="esb-edit">
                                <xsl:attribute name="value"><xsl:value-of select="syn:implementation/@maxSize"/></xsl:attribute>
                            </input>
                        </td>
                    </tr>

                </tbody>
            </table>

            <div class="sub-small-title">On Cache Hit</div>
            <!--<xsl:for-each select="onCacheHit">-->
            <xsl:choose>
                <xsl:when test="syn:onCacheHit/@sequence">
                    <input type="button" value="Specify In-line" onclick="javascript: cacheonhittoinline(); return false;" class="panelbutton_default"/>
                    <table border="0" cellpadding="0" cellspacing="0" class="data-table">
                        <tbody>
                            <tr>
                                <td style="width: 200px;">Sequence Ref </td>
                                <td>
                                    <input type="text" class="esb-edit" id="on_cahe_hit" disabled="true">
                                        <xsl:attribute name="value">
                                            <xsl:value-of select="syn:onCacheHit/@sequence"/>
                                        </xsl:attribute>
                                    </input>
                                    <img src="extensions/core/images/registry_picker.gif" align="middle" hspace="20" title="Registry Browser" onclick="javascript:oncachehitfromregistry(); return false;"/>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </xsl:when>
                <xsl:otherwise>
                    <input type="button" value="Specify Reference" onclick="javascript: cacheonhittoref(); return false;" style="margin-top:5px;margin-bottom:5px;" class="panelbutton_default" />
                    <xsl:if test="count(syn:onCacheHit/child::*)=0">
                        <xsl:call-template name="add_mediator_control">
                            <xsl:with-param name="head_pos"
                                            select="concat(concat(syn:onCacheHit/@esb_med_pos, '.'), count(syn:onCacheHit/child::*))"/>
                        </xsl:call-template>
                    </xsl:if>
                    <xsl:for-each select="syn:onCacheHit">
                        <div class='indent'>
                            <xsl:apply-templates/>
                        </div>
                    </xsl:for-each>
                </xsl:otherwise>
            </xsl:choose>
            
                </xsl:if>
            </div><!-- End text alignment div -->

        <!--</xsl:for-each>-->
        </div>
        
    </xsl:template>

</xsl:stylesheet>