<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>
    <xsl:include href="target_edit.xsl"/>
    <!--<xsl:include href="target_view.xsl"/> -->

    <xsl:template match="syn:clone" xmlns:syn="http://ws.apache.org/ns/synapse">
        <div id="clone_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/clone-big.jpg" align="middle"/>
                <xsl:text> Clone Mediator</xsl:text>
            </label>
           <!--<div id="clone_edit_body">-->
            <table border="0" cellpadding="0" cellspacing="0" class="data-table">
            <tbody>
                <tr>
                    <td style="width: 200px;">
                        Continue Parent
                    </td>
                    <td>
                        <select id="continueParent" class="esb-edit" style="width: 80px;">
                            <xsl:if test="@continueParent='true'">
                                <option value="true" selected="true">True</option>
                                <option value="false">False</option>
                            </xsl:if>
                            <xsl:if test="not(@continueParent) or @continueParent='false'">
                                <option value="true">True</option>
                                <option value="false" selected="true">False</option>
                            </xsl:if>
                        </select>
                    </td>
                </tr>
            </tbody>
        </table>
        <div class="subtitle">Targets</div>
            <xsl:for-each select="syn:target">
                
                <div>
                    <label class="sub-small-title">Target information for the cloned copy <xsl:value-of
                        select="@tg_pos"/></label>

                    <a id="panel_delete" title="Delete">
                        <xsl:attribute name="href">#mediatordiv<xsl:value-of select="@esb_med_pos"/></xsl:attribute>
                        <xsl:attribute name="onclick">javascript:deletemediator('<xsl:value-of select="@esb_med_pos"/>'); return false;</xsl:attribute>
                        <img src="extensions/core/images/delete.gif"/>
                    </a>
                    
                    <br/><br/>
                    <xsl:attribute name="id">
                        <xsl:value-of select="@esb_med_pos"/>
                    </xsl:attribute>
                    <xsl:call-template name="syn-target-edit"/>
                </div>
            </xsl:for-each><br/>
            
            <input type="button" value="Add Target" onclick="javascript: addtarget(); return false;" style="width:100px;" class="panelbutton_default"/>
            <br/>
            <!--</div>-->
        </div>
    </xsl:template>

</xsl:stylesheet>