<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="syn:connection" xmlns:syn="http://ws.apache.org/ns/synapse">
        <table cellpadding="0" cellspacing="0" border="0" class="form-table"
               style="margin-left:10px;" >
            <tbody>
                <xsl:if test="@pool">
                    <tr>
                        <td>
                            Driver
                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                        </td>
                        <td>
                            <xsl:element name="input">
                                <xsl:attribute name="id">driver_id</xsl:attribute>
                                <xsl:attribute name="type">text</xsl:attribute>
                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                <xsl:attribute name="value">
                                    <xsl:value-of
                                        select="@driver"/>
                                </xsl:attribute>
                            </xsl:element>
                        </td>
                    </tr>
                </xsl:if>
                <xsl:if test="@ds">
                    <tr>
                        <td>
                            Initial Context
                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                        </td>
                        <td>
                            <xsl:element name="input">
                                <xsl:attribute name="id">ic_class_id</xsl:attribute>
                                <xsl:attribute name="type">text</xsl:attribute>
                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                <xsl:attribute name="value">
                                    <xsl:value-of
                                        select="@icClass"/>
                                </xsl:attribute>
                            </xsl:element>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Data Source Name
                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                        </td>
                        <td>
                            <xsl:element name="input">
                                <xsl:attribute name="id">ds_name_id</xsl:attribute>
                                <xsl:attribute name="type">text</xsl:attribute>
                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                <xsl:attribute name="value">
                                    <xsl:value-of
                                        select="@dsName"/>
                                </xsl:attribute>
                            </xsl:element>
                        </td>
                    </tr>
                </xsl:if>
                <tr>
                    <td>
                        Url
                        <font style='color: red;font-size: 8pt;'>&#160;*</font>
                    </td>
                    <td>
                        <xsl:element name="input">
                            <xsl:attribute name="id">url_id</xsl:attribute>
                            <xsl:attribute name="type">text</xsl:attribute>
                            <xsl:attribute name="class">esb-edit</xsl:attribute>
                            <xsl:attribute name="value">
                                <xsl:value-of
                                    select="@url"/>
                            </xsl:attribute>
                        </xsl:element>
                    </td>
                </tr>
                <tr>
                    <td>
                        User
                        <font style='color: red;font-size: 8pt;'>&#160;*</font>
                    </td>
                    <td>
                        <xsl:element name="input">
                            <xsl:attribute name="id">user_id</xsl:attribute>
                            <xsl:attribute name="type">text</xsl:attribute>
                            <xsl:attribute name="class">esb-edit</xsl:attribute>
                            <xsl:attribute name="value">
                                <xsl:value-of
                                    select="@user"/>
                            </xsl:attribute>
                        </xsl:element>
                    </td>
                </tr>
                <tr>
                    <td>
                        Password
                        <font style='color: red;font-size: 8pt;'>&#160;*</font>
                    </td>
                    <td>
                        <xsl:element name="input">
                            <xsl:attribute name="id">password_id</xsl:attribute>
                            <xsl:attribute name="type">text</xsl:attribute>
                            <xsl:attribute name="class">esb-edit</xsl:attribute>
                            <xsl:attribute name="value">
                                <xsl:value-of
                                    select="@password"/>
                            </xsl:attribute>
                        </xsl:element>
                    </td>
                </tr>
            </tbody>
        </table>
    </xsl:template>
</xsl:stylesheet>