<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>

    <xsl:template match="syn:dbreport" xmlns:syn="http://ws.apache.org/ns/synapse">
        <xsl:variable name="pool" select="@pool"/>
        <xsl:variable name="ds" select="@datasource"/>
        <xsl:variable name="ps" select="@esb_med_pos"/>
        <div id="dbreport_edit_div">
            <label class="content-header headding-gap">
                <img src="extensions/core/images/dbreport-big.jpg"/>
                <xsl:text>Data Base Report Mediator</xsl:text>
            </label>
            
            <div id="dbreport_edit" style="padding-left:20px;">
                
                <table cellpadding="0" cellspacing="0" border="0" class="form-table">
                	<tr>
                		<td class="sub-title">Connection Information :</td>
                		<td>
			                <xsl:element name="input">
			                    <xsl:attribute name="id">radio_pool</xsl:attribute>
			                    <xsl:attribute name="onClick">javascript:showpooldbr('<xsl:value-of select="@esb_med_pos"/>');
			                    </xsl:attribute>
			                    <xsl:attribute name="type">radio</xsl:attribute>
			                    <xsl:attribute name="name">
			                        connectiongroup
			                    </xsl:attribute>
			                    <xsl:attribute name="value">poolprop</xsl:attribute>
			                    <xsl:attribute name="style"></xsl:attribute>
			                    <xsl:if test="(not(syn:connection) or syn:connection/syn:pool/syn:driver) and not(syn:connection/syn:pool/syn:dsName)">
			                        <xsl:attribute name="checked">checked</xsl:attribute>
			                    </xsl:if>
			                </xsl:element>
			            
                			<label>Pool</label>
                		</td>
                		<td>
			                <xsl:element name="input">
			                    <xsl:attribute name="id">radio_datasource</xsl:attribute>
			                    <xsl:attribute name="onClick">javascript:showdatasourcedbr('<xsl:value-of select="@esb_med_pos"/>');
			                    </xsl:attribute>
			                    <xsl:attribute name="type">radio</xsl:attribute>
			                    <xsl:attribute name="name">
			                        connectiongroup
			                    </xsl:attribute>
			                    <xsl:attribute name="value">datasourceprop</xsl:attribute>
			                    <xsl:attribute name="style"></xsl:attribute>
			                    <xsl:if test="syn:connection/syn:pool/syn:dsName or syn:connection/syn:pool/syn:icClass">
			                        <xsl:attribute name="checked">checked</xsl:attribute>
			                    </xsl:if>
			                </xsl:element>
			                <label>Data Source</label>
			            </td>
			        </tr>
			    </table>
                <xsl:if test="syn:connection/syn:pool or not(syn:connection)">
                    <div id="poollayoutdiv">
                        <div id="connection_edit">
                           
                            <table cellpadding="0" cellspacing="0" border="0" class="form-table" style="margin-left:10px;">
                                <tbody>
                                    <xsl:if test="syn:connection/syn:pool/syn:driver or not(syn:connection)">
                                    <tr>
                                        <td>
                                            Driver
                                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="id">driver_id</xsl:attribute>
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of
                                                            select="syn:connection/syn:pool/syn:driver"/>
                                                </xsl:attribute>
                                            </xsl:element>
                                        </td>
                                    </tr>
                                   </xsl:if>
                                    <xsl:if test="(syn:connection/syn:pool/syn:icClass) or (syn:connection/syn:pool/syn:dsName)">
                                    <tr>
                                        <td>
                                            Initial Context
                                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="id">ic_class_id</xsl:attribute>
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of
                                                            select="syn:connection/syn:pool/syn:icClass"/>
                                                </xsl:attribute>
                                            </xsl:element>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Data Source Name
                                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="id">ds_name_id</xsl:attribute>
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of
                                                            select="syn:connection/syn:pool/syn:dsName"/>
                                                </xsl:attribute>
                                            </xsl:element>
                                        </td>
                                    </tr>
                                   </xsl:if>

                                    <tr>
                                        <td>
                                            Url
                                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="id">url_id</xsl:attribute>
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of
                                                            select="syn:connection/syn:pool/syn:url"/>
                                                </xsl:attribute>
                                            </xsl:element>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            User
                                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="id">user_id</xsl:attribute>
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of
                                                            select="syn:connection/syn:pool/syn:user"/>
                                                </xsl:attribute>
                                            </xsl:element>
                                        </td>
                                    </tr>

                                    <tr>
                                        <td>
                                            Password
                                            <font style='color: red;font-size: 8pt;'>&#160;*</font>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="id">password_id</xsl:attribute>
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit</xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of
                                                            select="syn:connection/syn:pool/syn:password"/>
                                                </xsl:attribute>
                                            </xsl:element>
                                        </td>
                                    </tr>

                                </tbody>
                            </table>
                        </div>

                            <div class="sub-sub-title">Properties defined for the DBReport Mediator</div>
                            
                             <div id="common_table_content" style="margin-left:10px">
                            <table>
                                <xsl:attribute name="border">0</xsl:attribute>
                                <xsl:attribute name="cellpadding">0</xsl:attribute>
                                <xsl:attribute name="width">600</xsl:attribute>
                                <xsl:attribute name="cellspacing">0</xsl:attribute>
                                <tbody id="properties">
                                <xsl:if test="syn:connection/syn:pool/syn:property">
                                <tr>
                                    <th>Name</th>
                                    <th>Value</th>
                                    <th></th>
                                </tr>
                                <xsl:for-each select="syn:connection/syn:pool/syn:property">
                                     <tr>
                                        <xsl:attribute name="name">syn-property</xsl:attribute>
                                        <xsl:attribute name="id">
                                            <xsl:value-of
                                                    select="concat('property',@property_index)"/>
                                        </xsl:attribute>
                                        <td>
                                           <xsl:element name="select">
                                               <xsl:attribute name="onchange">javascript:onpropertynamechangedbr('<xsl:value-of select="@property_index"/>');
                                               </xsl:attribute>
                                               <xsl:attribute name="id">propert_value</xsl:attribute>
                                                            <xsl:attribute name="class">esb-edit small_textbox</xsl:attribute>
                                                            <xsl:if test="@name">
                                                                <xsl:element name="option">
                                                                    <xsl:attribute name="name">
                                                                        <xsl:value-of select="@name"/>
                                                                    </xsl:attribute>
                                                                    <xsl:value-of select="@name"/>
                                                                </xsl:element>
                                                                <xsl:if test="@name='autocommit'">
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='isolation'">
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='maxactive'">
                                                                <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='maxidle'">
                                                                   <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='maxopenstatements'">
                                                                  <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='maxwait'">
                                                                   <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='minidle'">
                                                               <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='poolstatements'">
                                                                   <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='testonborrow'">
                                                                  <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='testwhileidle'">
                                                                   <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='validationquery'">
                                                               <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="initialsize">initialsize</option>
                                                                </xsl:if>
                                                                <xsl:if test="@name='initialsize'">
                                                               <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                </xsl:if>

                                                            </xsl:if>
                                                            <xsl:if test="not(@name)">
                                                                <option value="Select A Value"  selected="true">Select A Property</option>
                                                                <option value="autocommit">autocommit</option>
                                                                <option value="isolation">isolation</option>
                                                                <option value="maxactive">maxactive</option>
                                                                <option value="maxidle">maxidle</option>
                                                                <option value="maxopenstatements">maxopenstatements</option>
                                                                <option value="maxwait">maxwait</option>
                                                                <option value="minidle">minidle</option>
                                                                <option value="poolstatements">poolstatements</option>
                                                                <option value="testonborrow">testonborrow</option>
                                                                <option value="testwhileidle">testwhileidle</option>
                                                                <option value="validationquery">validationquery</option>
                                                                <option value="initialsize">initialsize</option>
                                                            </xsl:if>
                                                            </xsl:element>
                                        </td>
                                         <td>
                                             <xsl:if test="@name">

                                                 <xsl:if test="@name='autocommit'">
                                                     <xsl:element name="select">
                                                         <xsl:attribute name="class">esb-edit small_textbox
                                                         </xsl:attribute>
                                                         <xsl:if test="@value">
                                                             <xsl:element name="option">
                                                                 <xsl:attribute name="name">
                                                                     <xsl:value-of select="@value"/>
                                                                 </xsl:attribute>
                                                                 <xsl:value-of select="@value"/>
                                                             </xsl:element>
                                                             <xsl:if test="@value='true'">
                                                              <option value="false">false</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='false'">
                                                              <option value="true">true</option>
                                                             </xsl:if>
                                                         </xsl:if>
                                                     </xsl:element>
                                                 </xsl:if>
                                                 <xsl:if test="@name='isolation'">
                                                         <xsl:element name="select">
                                                         <xsl:attribute name="class">esb-edit small_textbox
                                                         </xsl:attribute>
                                                         <xsl:if test="@value">
                                                             <xsl:element name="option">
                                                                 <xsl:attribute name="name">
                                                                     <xsl:value-of select="@value"/>
                                                                 </xsl:attribute>
                                                                 <xsl:value-of select="@value"/>
                                                             </xsl:element>
                                                             <xsl:if test="@value='Connection.TRANSACTION_NONE'">
                                                              <option value="Connection.TRANSACTION_READ_COMMITTED">Connection.TRANSACTION_READ_COMMITTED</option>
                                                              <option value="Connection.TRANSACTION_READ_UNCOMMITTED">Connection.TRANSACTION_READ_UNCOMMITTED</option>
                                                              <option value="Connection.TRANSACTION_REPEATABLE_READ">Connection.TRANSACTION_REPEATABLE_READ</option>
                                                              <option value="Connection.TRANSACTION_SERIALIZABLE">Connection.TRANSACTION_SERIALIZABLE</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='Connection.TRANSACTION_READ_UNCOMMITTED'">
                                                              <option value="Connection.TRANSACTION_READ_COMMITTED">Connection.TRANSACTION_READ_COMMITTED</option>
                                                              <option value="Connection.TRANSACTION_NONE">Connection.TRANSACTION_NONE</option>
                                                              <option value="Connection.TRANSACTION_REPEATABLE_READ">Connection.TRANSACTION_REPEATABLE_READ</option>
                                                              <option value="Connection.TRANSACTION_SERIALIZABLE">Connection.TRANSACTION_SERIALIZABLE</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='Connection.TRANSACTION_READ_COMMITTED'">
                                                              <option value="Connection.TRANSACTION_NONE">Connection.TRANSACTION_NONE</option>
                                                              <option value="Connection.TRANSACTION_READ_UNCOMMITTED">Connection.TRANSACTION_READ_UNCOMMITTED</option>
                                                              <option value="Connection.TRANSACTION_REPEATABLE_READ">Connection.TRANSACTION_REPEATABLE_READ</option>
                                                              <option value="Connection.TRANSACTION_SERIALIZABLE">Connection.TRANSACTION_SERIALIZABLE</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='Connection.TRANSACTION_REPEATABLE_READ'">
                                                              <option value="Connection.TRANSACTION_READ_COMMITTED">Connection.TRANSACTION_READ_COMMITTED</option>
                                                              <option value="Connection.TRANSACTION_READ_UNCOMMITTED">Connection.TRANSACTION_READ_UNCOMMITTED</option>
                                                              <option value="Connection.TRANSACTION_NONE">Connection.TRANSACTION_NONE</option>
                                                              <option value="Connection.TRANSACTION_SERIALIZABLE">Connection.TRANSACTION_SERIALIZABLE</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='Connection.TRANSACTION_SERIALIZABLE'">
                                                              <option value="Connection.TRANSACTION_READ_COMMITTED">Connection.TRANSACTION_READ_COMMITTED</option>
                                                              <option value="Connection.TRANSACTION_READ_UNCOMMITTED">Connection.TRANSACTION_READ_UNCOMMITTED</option>
                                                              <option value="Connection.TRANSACTION_NONE">Connection.TRANSACTION_NONE</option>
                                                              <option value="Connection.TRANSACTION_REPEATABLE_READ">Connection.TRANSACTION_REPEATABLE_READ</option>
                                                             </xsl:if>
                                                         </xsl:if>
                                                     </xsl:element>
                                                 </xsl:if>
                                                 <xsl:if test="@name='maxactive'">
                                                     <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>
                                                 <xsl:if test="@name='maxidle'">
                                                     <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>
                                                 <xsl:if test="@name='maxopenstatements'">
                                                      <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>
                                                 <xsl:if test="@name='maxwait'">
                                                      <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>
                                                 <xsl:if test="@name='minidle'">
                                                      <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>
                                                 <xsl:if test="@name='poolstatements'">
                                                     <xsl:element name="select">
                                                         <xsl:attribute name="class">esb-edit small_textbox
                                                         </xsl:attribute>
                                                         <xsl:if test="@value">
                                                             <xsl:element name="option">
                                                                 <xsl:attribute name="name">
                                                                     <xsl:value-of select="@value"/>
                                                                 </xsl:attribute>
                                                                 <xsl:value-of select="@value"/>
                                                             </xsl:element>
                                                             <xsl:if test="@value='true'">
                                                              <option value="false">false</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='false'">
                                                              <option value="true">true</option>
                                                             </xsl:if>
                                                         </xsl:if>
                                                     </xsl:element>
                                                 </xsl:if>
                                                 <xsl:if test="@name='testonborrow'">
                                                    <xsl:element name="select">
                                                         <xsl:attribute name="class">esb-edit small_textbox
                                                         </xsl:attribute>
                                                         <xsl:if test="@value">
                                                             <xsl:element name="option">
                                                                 <xsl:attribute name="name">
                                                                     <xsl:value-of select="@value"/>
                                                                 </xsl:attribute>
                                                                 <xsl:value-of select="@value"/>
                                                             </xsl:element>
                                                             <xsl:if test="@value='true'">
                                                              <option value="false">false</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='false'">
                                                              <option value="true">true</option>
                                                             </xsl:if>
                                                         </xsl:if>
                                                     </xsl:element>
                                                 </xsl:if>
                                                 <xsl:if test="@name='testwhileidle'">
                                                       <xsl:element name="select">
                                                         <xsl:attribute name="class">esb-edit small_textbox
                                                         </xsl:attribute>
                                                         <xsl:if test="@value">
                                                             <xsl:element name="option">
                                                                 <xsl:attribute name="name">
                                                                     <xsl:value-of select="@value"/>
                                                                 </xsl:attribute>
                                                                 <xsl:value-of select="@value"/>
                                                             </xsl:element>
                                                             <xsl:if test="@value='true'">
                                                              <option value="false">false</option>
                                                             </xsl:if>
                                                             <xsl:if test="@value='false'">
                                                              <option value="true">true</option>
                                                             </xsl:if>
                                                         </xsl:if>
                                                     </xsl:element>
                                                 </xsl:if>
                                                 <xsl:if test="@name='validationquery'">
                                                    <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>
                                                 <xsl:if test="@name='initialsize'">
                                                    <input type="text" id="property_name"
                                                            class="esb-edit small_textbox">
                                                         <xsl:attribute name="value">
                                                             <xsl:value-of select="@value"/>
                                                         </xsl:attribute>
                                                     </input>
                                                 </xsl:if>

                                             </xsl:if>
                                        </td>
                                        <td>
                                            <a href="#" id="delete_link">
                                                <xsl:attribute name="onclick">javascript:deletepoolpropertydbr('<xsl:value-of select="@property_index"/>'); return false;
                                                </xsl:attribute>
                                                &#160;&#160;&#160;&#160;
                                            </a>
                                        </td>

                                    </tr>
                                </xsl:for-each>
                                 </xsl:if>
                                </tbody>
                               </table>
                             </div>
                           <xsl:element name="input">
                                <xsl:attribute name="href">#</xsl:attribute>
                                <xsl:attribute name="type">button</xsl:attribute>
                                <xsl:attribute name="class">panelbutton_default</xsl:attribute>
                                <xsl:attribute name="value">Add Property</xsl:attribute>
                                <xsl:attribute name="onclick">javascript:addpoolpropertydbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="count(syn:connection/syn:pool/syn:property)"/>');
                                </xsl:attribute>
                                <xsl:attribute name="style">width:110px;margin-left:10px;</xsl:attribute>
                            </xsl:element>
                        
                    </div>
                </xsl:if>
                <div class="sub-title">Statements</div>
                
                <div id="queries">
                    <xsl:for-each select="syn:statement">
	                        <xsl:element name="div">
	                            <xsl:attribute name="id">
	                                <xsl:value-of select="concat('statement',@statement_index)"/>
	                            </xsl:attribute>
                                <div class="area-div" style="margin-bottom:20px;">

	                            <table border="0" class="data-table">
	                            <tr>
	                            <td>SQL<font style='color: red;font-size: 8pt;'>&#160;*</font></td>
	                            <td>
	                            <xsl:element name="input">
	                                <xsl:attribute name="id">
	                                    <xsl:value-of
	                                            select="concat('sql_id',@statement_index)"/>
	                                </xsl:attribute>
	                                <xsl:attribute name="type">text</xsl:attribute>
	                                <xsl:attribute name="class">esb-edit</xsl:attribute>
	                                <xsl:attribute name="value">
	                                    <xsl:value-of
	                                            select="syn:sql"/>
	                                </xsl:attribute>
	                            </xsl:element>
	                            </td>
	                            <td>
	                            	<label>statement</label>
	                            <a href="#" id="delete_link">
	                                                <xsl:attribute name="onclick">javascript:deletestatementdbr('<xsl:value-of select="@statement_index"/>','<xsl:value-of select="$ps"/>'); return false;
	                                                </xsl:attribute>
	                                                &#160;&#160;&#160;&#160;
	                            </a>
	                            </td>
	                            </tr>
	                            </table>
	                            <div style="padding-left:10px;">Parameters</div>
	                            <div id="common_table_content">
	                            <xsl:element name="table">
	                                <xsl:attribute name="border">0</xsl:attribute>
	                                <xsl:attribute name="cellpadding">0</xsl:attribute>
	                                <xsl:attribute name="width">600</xsl:attribute>
	                                <xsl:attribute name="cellspacing">0</xsl:attribute>
                                    <tbody>
                                        <xsl:attribute name="id">
	                                    <xsl:value-of
	                                            select="concat('parameters',@statement_index)"/>
	                                </xsl:attribute>
                                    <xsl:if test="syn:parameter">
	                                <tr>
	                                    <th>Parameter Type</th>
	                                    <th>Property Type</th>
	                                    <th>Value / expression</th>
	                                    <th></th>
	                                </tr>
	                                <xsl:for-each select="syn:parameter">
	                                    <tr>
	                                        <xsl:attribute name="name">syn-parameter</xsl:attribute>
	                                        <xsl:attribute name="id">
	                                            <xsl:value-of
	                                                    select="concat(concat(@parameter_index,'parameter_id'),@statement_index)"/>
	                                        </xsl:attribute>
	                                        <td>
	                                            <xsl:element name="select">
	                                                <xsl:attribute name="class">
	                                                esb-edit small_textbox</xsl:attribute>
	                                                <xsl:attribute name="id">
	                                                    <xsl:value-of
	                                                            select="concat('javaType',@esb_med_pos)"/>
	                                                </xsl:attribute>
	                                               <xsl:if test="@type ='CHAR'">
	                                                    <option value="CHAR" selected="true">CHAR
	                                                    </option>
	                                                    <option value="VARCHAR">VARCHAR</option>
	                                                    <option value="NUMERIC">NUMERIC</option>
	                                                    <option value="DECIMAL">DECIMAL</option>
	                                                    <option value="BIT">BIT</option>
	                                                    <option value="TINYINT">TINYINT</option>
	                                                    <option value="SMALLINT">SAMLLINT</option>
	                                                    <option value="INTEGER">INTEGER</option>
	                                                    <option value="BIGINT">BIGINT</option>
	                                                    <option value="REAL">REAL</option>
	                                                    <option value="DOUBLE">DOUBLE</option>
	                                                    <option value="DATE">DATE</option>
	                                                    <option value="TIME">TIME</option>
	                                                    <option value="TIMESTAMP">TIMESTAMP</option>
	                                                </xsl:if>
	                                                <xsl:if test="@type ='VARCHAR'">
	                                                    <option value="VARCHAR" selected="true">VARCHAR
	                                                    </option>
	                                                    <option value="CHAR">CHAR</option>
	                                                    <option value="NUMERIC">NUMERIC</option>
	                                                    <option value="DECIMAL">DECIMAL</option>
	                                                    <option value="BIT">BIT</option>
	                                                    <option value="TINYINT">TINYINT</option>
	                                                    <option value="SMALLINT">SAMLLINT</option>
	                                                    <option value="INTEGER">INTEGER</option>
	                                                    <option value="BIGINT">BIGINT</option>
	                                                    <option value="REAL">REAL</option>
	                                                    <option value="DOUBLE">DOUBLE</option>
	                                                    <option value="DATE">DATE</option>
	                                                    <option value="TIME">TIME</option>
	                                                    <option value="TIMESTAMP">TIMESTAMP</option>
	                                                </xsl:if>
	                                                <xsl:if test="@type ='INTEGER'">
	                                                    <option value="INTEGER" selected="true">INTEGER
	                                                    </option>
	                                                    <option value="CHAR">CHAR</option>
	                                                    <option value="VARCHAR">VARCHAR</option>
	                                                    <option value="NUMERIC">NUMERIC</option>
	                                                    <option value="DECIMAL">DECIMAL</option>
	                                                    <option value="BIT">BIT</option>
	                                                    <option value="TINYINT">TINYINT</option>
	                                                    <option value="SMALLINT">SAMLLINT</option>
	                                                    <option value="BIGINT">BIGINT</option>
	                                                    <option value="REAL">REAL</option>
	                                                    <option value="DOUBLE">DOUBLE</option>
	                                                    <option value="DATE">DATE</option>
	                                                    <option value="TIME">TIME</option>
	                                                    <option value="TIMESTAMP">TIMESTAMP</option>
	                                                </xsl:if>
                                                     <xsl:if test="@type ='NUMERIC'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" selected="true">NUMERIC</option>
                                                    <option value="DECIMAL">DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='DECIMAL'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" selected="true">DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='BIT'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT" selected="true">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='TINYINT'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT" selected="true" >TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='SMALLINT'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT" selected="true">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='BIGINT'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT" selected="true">BIGINT</option>
                                                    <option value="REAL">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='REAL'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL"  selected="true">REAL</option>
                                                    <option value="DOUBLE">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='DOUBLE'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL" >REAL</option>
                                                    <option value="DOUBLE" selected="true">DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='DATE'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL" >REAL</option>
                                                    <option value="DOUBLE" >DOUBLE</option>
                                                    <option value="DATE" selected="true">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='TIME'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL" >REAL</option>
                                                    <option value="DOUBLE" >DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME"  selected="true">TIME</option>
                                                    <option value="TIMESTAMP">TIMESTAMP</option>
                                                </xsl:if>
                                                <xsl:if test="@type ='TIMESTAMP'">
                                                    <option value="INTEGER">INTEGER
                                                    </option>
                                                    <option value="CHAR">CHAR</option>
                                                    <option value="VARCHAR">VARCHAR</option>
                                                    <option value="NUMERIC" >NUMERIC</option>
                                                    <option value="DECIMAL" >DECIMAL</option>
                                                    <option value="BIT">BIT</option>
                                                    <option value="TINYINT">TINYINT</option>
                                                    <option value="SMALLINT">SAMLLINT</option>
                                                    <option value="BIGINT">BIGINT</option>
                                                    <option value="REAL" >REAL</option>
                                                    <option value="DOUBLE" >DOUBLE</option>
                                                    <option value="DATE">DATE</option>
                                                    <option value="TIME">TIME</option>
                                                    <option value="TIMESTAMP" selected="true">TIMESTAMP</option>
                                                </xsl:if>

                                                    <xsl:if test="not(@type)">
	                                                    <option value="Select A Value">Leave As-Is
	                                                    </option>
	                                                    <option value="CHAR">CHAR</option>
	                                                    <option value="VARCHAR">VARCHAR</option>
	                                                    <option value="NUMERIC">NUMERIC</option>
	                                                    <option value="DECIMAL">DECIMAL</option>
	                                                    <option value="BIT">BIT</option>
	                                                    <option value="TINYINT">TINYINT</option>
	                                                    <option value="SMALLINT">SAMLLINT</option>
	                                                    <option value="INTEGER">INTEGER</option>
	                                                    <option value="BIGINT">BIGINT</option>
	                                                    <option value="REAL">REAL</option>
	                                                    <option value="DOUBLE">DOUBLE</option>
	                                                    <option value="DATE">DATE</option>
	                                                    <option value="TIME">TIME</option>
	                                                    <option value="TIMESTAMP">TIMESTAMP</option>
	                                                </xsl:if>
	                                            </xsl:element>
	                                        </td>
	                                         <xsl:if test="@value">
	                                        <td>
	                                            <select class="esb-edit small_textbox">
	                                                <xsl:attribute name="id">
	                                                    <xsl:value-of
	                                                            select="concat('parameterType',@esb_med_pos)"/>
	                                                </xsl:attribute>
	                                                <xsl:attribute name="onchange">
	                                                    javascript:showNamespaceButtonForPrametersdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','parameterType','namespaceCell');;
	                                                </xsl:attribute>
	                                                <option value="value" selected="true">Value</option>
	                                                <option value="expression">expression</option>
	                                            </select>
	                                        </td>
	                                        <td>
	                                            <input type="text" id="parameter_value"
	                                                   class="esb-edit small_textbox">
	                                                <xsl:attribute name="value">
	                                                    <xsl:value-of select="@value"/>
	                                                </xsl:attribute>
	                                            </input>
	                                        </td>
	                                        <td>
	                                            <xsl:attribute name="id">
	                                                <xsl:value-of
	                                                        select="concat('namespaceCell',@esb_med_pos)"/>
	                                            </xsl:attribute>
	                                        </td>
	                                        </xsl:if>
	                                        <xsl:if test="@expression">
	                                            <td id="parameter_value">
	                                                <select class="esb-edit small_textbox">
	                                                    <xsl:attribute name="id">
	                                                        <xsl:value-of
	                                                                select="concat('parameterType',@esb_med_pos)"/>
	                                                    </xsl:attribute>
	                                                    <xsl:attribute name="onchange">
	                                                        javascript:showNamespaceButtonForPrametersdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','parameterType','namespaceCell');;
	                                                    </xsl:attribute>
	                                                    <option value="value">Value</option>
	                                                    <option value="expression" selected="true">
	                                                        expression
	                                                    </option>
	                                                </select>
	                                            </td>
	                                            <td>
	                                                <input type="text" class="esb-edit small_textbox">
	                                                    <xsl:attribute name="value">
	                                                        <xsl:value-of select="@expression"/>
	                                                    </xsl:attribute>
	                                                </input>
	                                            </td>
	                                            <td>
	                                                <xsl:attribute name="id">
	                                                    <xsl:value-of
	                                                            select="concat('namespaceCell',@esb_med_pos)"/>
	                                                </xsl:attribute>
	                                                <a title="Namespace Editor" class="ns_editor">
	                                                    <xsl:attribute name="onclick">
	                                                        javascript:showNameSpaceEditorForParameterdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','','');
	                                                    </xsl:attribute>
	                                                    <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
	                                                </a>
	                                            </td>
	                                        </xsl:if>
	                                        <td>
	                                            <a href="#" id="delete_link">
	                                                <xsl:attribute name="onclick">javascript:deletemediatorparameterdbr('<xsl:value-of select="@statement_index"/>','<xsl:value-of select="@parameter_index"/>'); return false;
	                                                </xsl:attribute>
	                                                &#160;&#160;&#160;&#160;
	                                            </a>
	                                        </td>

	                                    </tr>
	                                </xsl:for-each>
	                                </xsl:if>
                                   </tbody>
                                </xsl:element>
	                            </div>

	                            <xsl:element name="input">
	                                <xsl:attribute name="href">#</xsl:attribute>
	                                <xsl:attribute name="type">button</xsl:attribute>
	                                <xsl:attribute name="class">panelbutton_default</xsl:attribute>
	                                <xsl:attribute name="value">Add Parameter</xsl:attribute>
	                                <xsl:attribute name="onclick">javascript:addparameterdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','<xsl:value-of select="@statement_index"/>','<xsl:value-of select="count(syn:parameter)"/>');
	                                </xsl:attribute>
	                                <xsl:attribute name="style">width:110px;margin-left:10px;</xsl:attribute>
	                            </xsl:element>
                                </div>
	                          </xsl:element>
                    </xsl:for-each>
                </div>

                <xsl:element name="input">
                    <xsl:attribute name="href">#</xsl:attribute>
                    <xsl:attribute name="type">button</xsl:attribute>
                    <xsl:attribute name="class">panelbutton_default</xsl:attribute>
                    <xsl:attribute name="value">Add statement</xsl:attribute>
                    <xsl:attribute name="onclick">javascript:addstatementdbr('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="count(syn:statement)"/>');
                    </xsl:attribute>
                    <xsl:attribute name="style">width:110px;margin-top:10px;</xsl:attribute>
                </xsl:element>
                
            </div>
        </div>
    </xsl:template>
</xsl:stylesheet>