<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:filter" mode="custom" priority="2"
                  xmlns:syn="http://ws.apache.org/ns/synapse">
        <label class="content-header">
            <img src="extensions/core/images/filter-mediator.gif"/>
            <xsl:call-template name="capitalize-first"/>
            <xsl:text> Mediator</xsl:text>
        </label>
        <br/>
        <br/>
        <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th>Property</th>
                    <th>Value</th>
                </tr>
                <xsl:if test="@xpath">
                <tr>
                    <td>
                        <label class="log-attribute-name">
                            XPath
                        </label>
                    </td>
                    <td>
                        <label class="log-attribute-value">
                            <xsl:value-of select="@xpath"/>
                        </label>
                    </td>
                </tr>
               </xsl:if>
               <xsl:if test="not(@xpath)">
                  <tr>
                    <td>
                        <label class="log-attribute-name">
                            Source
                        </label>
                    </td>
                    <td>
                        <label class="log-attribute-value">
                            <xsl:value-of select="@source"/>
                        </label>
                    </td>
                </tr> <tr>
                    <td>
                        <label class="log-attribute-name">
                            Regex
                        </label>
                    </td>
                    <td>
                        <label class="log-attribute-value">
                            <xsl:value-of select="@regex"/>
                        </label>
                    </td>
                </tr>
            </xsl:if>
            </tbody>
        </table>
        </div>
        <xsl:if test="count(child::*)=0">
            <xsl:call-template name="add_mediator_control">
                <xsl:with-param name="head_pos"
                                select="concat(concat(@esb_med_pos, '.'), count(child::*))"/>
            </xsl:call-template>
        </xsl:if>
        <div class='indent'><xsl:apply-templates/></div>
    </xsl:template>
</xsl:stylesheet>