<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>
    <xsl:include href="target_edit.xsl"/>

    <xsl:template match="syn:iterate" xmlns:syn="http://ws.apache.org/ns/synapse">
        <div id="iterate_edit_div">
            <label class="content-header">
                <img src="extensions/core/images/iterate-big.jpg"/>
                <xsl:text> Iterate Mediator</xsl:text>
            </label>
            <br/><br/>

            <table border="0" style="margin-left: 2em; width: 550px;">
            <tbody>
                <tr>
                    <td style="width: 200px;">Continue Parent </td>
                    <td colspan="2">
                        <select id="continueParent" class="esb-edit" style="width: 80px;">
                            <xsl:if test="@continueParent='true'">
                                <option value="true" selected="true">True</option>
                                <option value="false">False</option>
                            </xsl:if>
                            <xsl:if test="not(@continueParent) or @continueParent='false'">
                                <option value="true">True</option>
                                <option value="false" selected="true">False</option>
                            </xsl:if>
                        </select>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Preserve Payload </td>
                    <td colspan="2">
                        <select id="preservePayload" class="esb-edit" style="width: 80px;">
                            <xsl:if test="@preservePayload='true'">
                                <option value="true" selected="true">True</option>
                                <option value="false">False</option>
                            </xsl:if>
                            <xsl:if test="not(@preservePayload) or @preservePayload='false'">
                                <option value="true">True</option>
                                <option value="false" selected="true">False</option>
                            </xsl:if>
                        </select>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Iterate Expression </td>
                    <td>
                        <input type="text" class="esb-edit" id="itr_expression">
                            <xsl:attribute name="value"><xsl:value-of select="@expression"/></xsl:attribute>
                        </input>
                    </td>
                    <td>
                        <a class="ns_editor" title="Namespace Editor">
                            <xsl:attribute name="onclick">javascript: showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','')</xsl:attribute>
                        </a>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Attach Path </td>
                    <td>
                        <input type="text" class="esb-edit" id="attach_path">
                            <xsl:attribute name="value"><xsl:value-of select="@attachPath"/></xsl:attribute>
                        </input>
                    </td>
                    <td>
                        <a class="ns_editor" title="Namespace Editor">
                            <xsl:attribute name="onclick">javascript: showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','')</xsl:attribute>
                        </a>
                    </td>
                </tr>
                
            </tbody>
            </table>

            <label style="margin-left: 2em;">Target Information</label>

            <xsl:for-each select="syn:target">
                <br/><br/>
                <div>
                    <xsl:call-template name="syn-target-edit"/>
                </div>
            </xsl:for-each>
            <xsl:if test="not(syn:target)">
                <input type="button" onclick="javascript: addtarget(); return false;" style="margin-left: 5em; width:100px;" class="panelbutton_default" value="Add Target"/>
            </xsl:if>
            
        </div>
    </xsl:template>

</xsl:stylesheet>