<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:iterate" mode="custom" priority="2"
                  xmlns:syn="http://ws.apache.org/ns/synapse">
        <label class="content-header">
            <img src="extensions/core/images/iterate-big.jpg"/>
            <xsl:text> Iterate Mediator</xsl:text>
        </label>
        <br/><br/>

        <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <td style="width: 200px;">Continue Parent </td>
                    <td>
                        <xsl:if test="@continueParent='true'">True</xsl:if>
                        <xsl:if test="not(@continueParent) or @continueParent='false'">False</xsl:if>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Preserve Payload </td>
                    <td>
                            <xsl:if test="@preservePayload='true'">True</xsl:if>
                            <xsl:if test="not(@preservePayload) or @preservePayload='false'">False</xsl:if>
                    </td>
                </tr>

                <tr>
                    <td style="width: 200px;">Iterate Expression </td>
                    <td><xsl:value-of select="@expression"/></td>
                </tr>

                <tr>
                    <td style="width: 200px;">Attach Path </td>
                    <td><xsl:value-of select="@attachPath"/></td>
                </tr>

            </tbody>
            </table>
        </div>

        <br/>

        <xsl:for-each select="syn:target">
            <label style="margin-left:10px; font-weight: 400;">Target information </label>
            <br/><br/>
            <xsl:call-template name="syn-target-view"/>
        </xsl:for-each>

    </xsl:template>

</xsl:stylesheet>