<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:log" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">
    <!--<xsl:template match="syn:log" xmlns:syn="http://ws.apache.org/ns/synapse">-->

        <label class="content-header">
            <img src="extensions/core/images/log-mediator.gif"/>  <xsl:call-template name="capitalize-first"/>
            <xsl:text> Mediator</xsl:text>
        </label><br/>

        <!--<p class="mediator-description">-->
            <!--<img src="extensions/core/images/log-mediator.gif"/>-->
            <!--Log Mediator will log the messages going through ESB depending on the specified log level-->
        <!--</p>-->

        <!--<p>Configurations for Log Mediator</p>-->
        <!--<br/>-->
        <div id="common_table_content">
        <table border="0" cellpadding="0" cellspacing="0">
            <tbody>
                <tr><th>Property</th><th>Value</th></tr>
                <tr><td>
        <label class="log-attribute-name">
            <!--<img src="extensions/core/images/pill.gif"/>-->
            Log level
        </label>
                </td><td>
        <label class="log-attribute-value">

            <xsl:if test="@level">
                <xsl:value-of select="concat(translate(substring(@level,1,1),'abcdefghijklmnopqrstuvwxyz',
                'ABCDEFGHIJKLMNOPQRSTUVWXYZ'), substring(@level,2,string-length(@level)))"/>
            </xsl:if>

            <xsl:if test="not(@level)">Simple</xsl:if>

        </label>
                </td></tr>
        <!--<br/>-->
                <tr><td>

        <label class="log-attribute-name">
            <!--<img src="extensions/core/images/house.gif"/>-->
            Separator
        </label>
                </td><td>
        <label class="log-attribute-value">

            <xsl:if test="@separator">
                <xsl:value-of select="@separator"/>
            </xsl:if>
            <xsl:if test="not(@separator)">,</xsl:if>

        </label>
                </td></tr>
            </tbody>
        </table>
        </div>

        <xsl:if test="syn:property">
            <span style="margin-left:10px;display:block;">Properties defined for Log mediator</span>
            <div id="common_table_content">
             <table border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <th>Property Name</th>
                    <th>Property Type</th>
                    <th><nobr>Value / Expression</nobr></th>
                </tr>
                <xsl:for-each select="syn:property">
                    <xsl:call-template name="syn-property-view"/>
                </xsl:for-each>
            </table>
            </div>
        </xsl:if>

    </xsl:template>

</xsl:stylesheet>