<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:include href="commons.xsl"/>

    <xsl:template match="syn:pojoCommand" xmlns:syn="http://ws.apache.org/ns/synapse">
        <div id="command_edit_div">
        <label class="content-header">
            <img src="extensions/core/images/command-big.jpg"/>
            <xsl:text>POJOCommand Mediator</xsl:text>
        </label>
        <br/>
        <br/>
         <div id="xslt_edit" class="end-point-div">
        <br/>
        <table border="0" style="margin-left: 3em; width: 150px;">
            <tbody>
                <tr>
                    <td>
                        Name<font style='color: red;font-size: 8pt;'>&#160;*</font>
                    </td>
                    <td>
                        <input type="text" class="esb-edit" size="40"
                               id="command_pojo_name">
                            <xsl:attribute name="value">
                                <xsl:if test="not(@name)"></xsl:if>
                                <xsl:if test="@name">
                                    <xsl:value-of select="@name"/>
                                </xsl:if>
                            </xsl:attribute>
                        </input>
                    </td>
                    <td>
                        <xsl:if test="not(syn:property)">
                            <input type="button" href="#" onclick="javascript: loadcommandpojo(); return false;" style="margin-left: 3em;width:100px;" value="Load Class" class="panelbutton_default"/>
                        </xsl:if>
                        <xsl:if test="syn:property">
                            <input type="button" href="#" onclick="javascript: loadcommandpojo(); return false;" style="margin-left: 3em;width:100px;" value="Reload Class" class="panelbutton_default"/>
                        </xsl:if>
                    </td>
                </tr>
            </tbody>
        </table>
        <xsl:if test="syn:property">
            <p>Properties defined for POJOCommand mediator</p>
            <br/>
            <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0" width="600">
                <tr>
                    <th>Property Name</th>
                    <th>Property Type</th>
                    <th>Value / Expression</th>
                    <th></th>
                </tr>
                <xsl:for-each select="syn:property">
                    <tr>
                        <xsl:attribute name="name">syn-property</xsl:attribute>
                        <td>
                            <input type="text" name="property_name" class="esb-edit small_textbox" disabled="true">
                                <xsl:attribute name="value">
                                    <xsl:value-of select="concat(translate(substring(@name,1,1),
                                    'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),
                                    substring(@name,2,string-length(@name)))"/>
                                </xsl:attribute>
                            </input>
                        </td>

                        <xsl:if test="@value">
                            <td>
                                <select class="esb-edit small_textbox">
                                    <xsl:attribute name="id"><xsl:value-of select="concat('propertyType',@esb_med_pos)"/></xsl:attribute>
                                    <xsl:attribute name="name"><xsl:value-of select="concat('prop_type_', @name)"/></xsl:attribute>
                                    <xsl:attribute name="onchange">
                                        javascript:showNamespaceButtonForProperties('<xsl:value-of select="@esb_med_pos"/>','propertyType','namespaceCell');;
                                    </xsl:attribute>
                                    <option value="value" selected="true">Value</option>
                                    <option value="expression">Expression</option>
                                </select>
                            </td>
                            <td>
                                <input type="text" class="esb-edit small_textbox">
                                    <xsl:attribute name="id">
                                        <xsl:value-of select="concat('command_med_prop', @name)"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
                                </input>
                            </td>
                            <td>
                                <xsl:attribute name="id"><xsl:value-of select="concat('namespaceCell',@esb_med_pos)"/></xsl:attribute>
                            </td>
                        </xsl:if>

                        <xsl:if test="@expression">
                            <td id="property_value">
                                <select class="esb-edit small_textbox">
                                    <xsl:attribute name="id"><xsl:value-of select="concat('propertyType',@esb_med_pos)"/></xsl:attribute>
                                    <xsl:attribute name="name"><xsl:value-of select="concat('prop_type_', @name)"/></xsl:attribute>
                                    <xsl:attribute name="onchange">
                                        javascript:showNamespaceButtonForProperties('<xsl:value-of select="@esb_med_pos"/>','propertyType','namespaceCell');;
                                    </xsl:attribute>
                                    <option value="value">Value</option>
                                    <option value="expression" selected="true">Expression</option>
                                </select>
                            </td>
                            <td>
                                <input type="text" class="esb-edit small_textbox">
                                    <xsl:attribute name="id">
                                        <xsl:value-of select="concat('command_med_prop', @name)"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="value"><xsl:value-of select="@expression"/></xsl:attribute>
                                </input>
                            </td>
                            <td>
                                <xsl:attribute name="id"><xsl:value-of select="concat('namespaceCell',@esb_med_pos)"/></xsl:attribute>
                                <a title="Namespace Editor" class="ns_editor">
                                    <xsl:attribute name="onclick">
                                        javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','');
                                    </xsl:attribute>
                                    <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                </a>
                            </td>
                        </xsl:if>




                        <!--<td>-->
                        <!--<input type="text" class="esb-edit small_textbox">-->
                        <!--<xsl:attribute name="id">-->
                        <!--<xsl:value-of select="concat('command_med_prop', @name)"/>-->
                        <!--</xsl:attribute>-->
                        <!--<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>-->
                        <!--</input>-->
                        <!--</td>-->
                        <!--<td>-->
                        <!--<xsl:attribute name="id"><xsl:value-of select="concat('namespaceCell',@esb_med_pos)"/></xsl:attribute>-->
                        <!--</td>-->
                        <td><a href="#" id="delete_link">
                            <xsl:attribute name="onclick">javascript: removecommandmedprop('<xsl:value-of select="@name"/>'); return false;</xsl:attribute>&#160;&#160;&#160;&#160;</a></td>
                    </tr>
                </xsl:for-each>
            </table>
            </div>
        </xsl:if>
             <br/>
             <br/>
         </div>
        </div>
    </xsl:template>

</xsl:stylesheet>