<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <!--<xsl:include href="mediator_view.xsl"/>-->

    <xsl:template name="syn-target-view">

        <div class="popup-box">
            <table style="width: 600px;"><tr>
            <td style="width: 200px;"><label style="margin-left: 5px;">Mediation Sequence</label></td>
            <xsl:if test="@sequence">
                <td style="width: 200px;"><label style="margin-left:3em;"><xsl:value-of select="@sequence"/></label></td>
                <td style="width: 100px;"></td>
            </xsl:if>
            <xsl:if test="not(@sequence)">
                <td colspan="2" style="width: 200px;"></td>
            </xsl:if>
            <td style="width: 100px;"></td>
            </tr></table>
            <!--<xsl:if test="syn:sequence">-->
            <xsl:for-each select="syn:sequence">
                <xsl:if test="count(child::*)!=0">
                    <div class='indent'>
                        <xsl:apply-templates/>
                    </div>
                </xsl:if>
                <xsl:if test="count(child::*)=0">
                    <xsl:call-template name="add_mediator_control">
                        <xsl:with-param name="head_pos"
                                        select="concat(concat(@esb_med_pos, '.'), count(child::*))"/>
                    </xsl:call-template>
                </xsl:if>
            </xsl:for-each>
            <!--</xsl:if>-->
            <br/>



            <table style="width: 600px;"><tr>
            <td style="width: 200px;"><label style="margin-left:5px;;">Delivery Endpoint</label></td>
            <xsl:if test="@endpoint">
                <td style="width: 200px;"><label style="margin-left:3em;"><xsl:value-of select="@endpoint"/></label></td>
                <td style="width: 100px;"></td>
            </xsl:if>
            <xsl:if test="not(@endpoint)">
                <td colspan="2" style="width: 200px;"></td>
            </xsl:if>
            <td style="width: 100px;"></td>
            </tr></table>

            <xsl:for-each select="syn:endpoint">
            <div id="send_edit_div" class="end-point-div">
                <br/>
                <xsl:if test="@key">
                    <label class="content-header">
                        <img src="extensions/core/images/look_up_endpoint.gif"/>
                        <xsl:text>Lookup Endpoint</xsl:text>
                    </label>
                    <br/>
                    <br/>
                    <label class="end-point-address">
                        <xsl:if test="@key">
                            <xsl:text>Key :</xsl:text>
                            <font style=' color: purple;font-family: Tahoma;font-size: 12px;'>
                                <xsl:value-of select="@key"/>
                            </font>
                        </xsl:if>
                    </label>
                </xsl:if>
                <xsl:if test="syn:address">
                    <label class="content-header">
                        <img src="extensions/core/images/address_endpoint.gif"/>
                        <xsl:text>Address Endpoint</xsl:text>
                    </label>
                    <br/>
                    <br/>
                    <label class="end-point-address">
                        <xsl:if test="syn:address/@uri">
                            <xsl:text>Uri :</xsl:text>
                            <font style=' color: purple;font-family: Tahoma;font-size: 12px;'>
                                <xsl:value-of select="syn:address/@uri"/>
                            </font>
                        </xsl:if>
                    </label>
                </xsl:if>
                <xsl:if test="syn:wsdl">
                    <label class="content-header">
                        <img src="extensions/core/images/wsdl_endpoint.gif"/>
                        <xsl:text>WSDL Endpoint</xsl:text>
                    </label>
                </xsl:if>
                <xsl:if test="syn:loadbalance">
                    <label class="content-header">
                        <img src="extensions/core/images/load_balance_endpoint.gif"/>
                        <xsl:text>Load-balance Endpoint</xsl:text>
                    </label>
                </xsl:if>
                <xsl:if test="syn:failover">
                    <label class="content-header">
                        <img src="extensions/core/images/failover_endpoint.gif"/>
                        <xsl:text>Failover Endpoint</xsl:text>
                    </label>
                </xsl:if>
            </div>
        </xsl:for-each>

        </div>
    </xsl:template>
    </xsl:stylesheet>