<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:throttle" mode="custom" priority="2"
                xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy"  xmlns:syn="http://ws.apache.org/ns/synapse">
        <label class="content-header">
            <img src="extensions/core/images/throttle_mediator.gif"/>
            <xsl:call-template name="capitalize-first"/>
            <xsl:text>Mediator</xsl:text>
        </label>
        <br/>
        <br/>
        <xsl:if test="@id">
            <br/>
            <div class="indent">
                <label>Thottle Group ID</label>
                <xsl:element name="input">
                    <xsl:attribute name="style">margin-left: 55px;</xsl:attribute>
                    <xsl:attribute name="type">text</xsl:attribute>
                    <xsl:attribute name="size">20</xsl:attribute>
                    <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                    <xsl:attribute name="value">
                        <xsl:if test="@id!=''">
                            <xsl:value-of select="@id"/>
                        </xsl:if>
                    </xsl:attribute>
                    <xsl:attribute name="DISABLED"/>
                </xsl:element>
            </div>
            <br/>
            <br/>
        </xsl:if>
        <xsl:if test="syn:policy/@key">
            <br/>
             <div class="indent" ><label>Referring Policy</label>
                 <xsl:element name="input">
                     <xsl:attribute name="style">margin-left: 55px;</xsl:attribute>
                     <xsl:attribute name="type">text</xsl:attribute>
                     <xsl:attribute name="size">20</xsl:attribute>
                     <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                     <xsl:attribute name="value">
                         <xsl:if test="syn:policy/@key!=''">
                    <xsl:value-of select="syn:policy/@key"/>
                </xsl:if>
                <xsl:if test="syn:policy/@key=''">Not specified</xsl:if>
                     </xsl:attribute>
                     <xsl:attribute name="DISABLED"/>
                 </xsl:element>
            </div>
            <br/>
            <br/>
        </xsl:if>
        <xsl:if test="syn:policy/*">
            <br/>
             <div class="indent" ><label>In-lined Policy</label>
            <xsl:element name="img">
                <xsl:attribute name="style">margin-left:3em;</xsl:attribute>
                <xsl:attribute name="src">
                    extensions/core/images/_edit.gif</xsl:attribute>
                <xsl:attribute name="title">View Policy</xsl:attribute>
                <xsl:attribute name="onClick">
                    javascript:viewinlinethrottlepolicy('<xsl:value-of select="@esb_med_pos"/>');return false;
                </xsl:attribute>
            </xsl:element>
            </div>
            <br/>
            <br/>
        </xsl:if>
        <xsl:for-each select="syn:onAccept">
                 <div class="indent" ><label class="sub-small-title">On Acceptance</label> </div>
                 <xsl:choose>
                        <xsl:when test="count(child::*)!=0">
                            <div class="indent" style="margin-left:1em;">
                                <xsl:apply-templates/>
                            </div>
                        </xsl:when>
                        <xsl:otherwise>
                            <div class="indent">
                                <xsl:call-template name="add_mediator_control">
                                    <xsl:with-param name="head_pos">
                                        <xsl:value-of select="concat(@esb_med_pos,'.0')"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </div>
                        </xsl:otherwise>
                    </xsl:choose>           
            <br/>
        </xsl:for-each>
        <xsl:for-each select="syn:onReject">
                 <div class="indent" > <label class="sub-small-title">On Rejection</label></div>
                    <xsl:choose>
                        <xsl:when test="count(child::*)!=0">
                            <div class="indent" style="margin-left:1em;">
                                <xsl:apply-templates/>
                            </div>
                        </xsl:when>
                        <xsl:otherwise>
                            <div class="indent">
                                <xsl:call-template name="add_mediator_control">
                                    <xsl:with-param name="head_pos">
                                        <xsl:value-of select="concat(@esb_med_pos,'.0')"/>
                                    </xsl:with-param>
                                </xsl:call-template>
                            </div>
                        </xsl:otherwise>
                    </xsl:choose>
            <br/>
         </xsl:for-each>
    </xsl:template>
</xsl:stylesheet>