<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="syn:validate" mode="custom" priority="2"
                  xmlns:syn="http://ws.apache.org/ns/synapse">
        <label class="content-header">
            <img src="extensions/core/images/validate-mediator.gif"/>
            <xsl:call-template name="capitalize-first"/>
            <xsl:text>Mediator</xsl:text>
        </label>
        <br/>
        <xsl:if test="syn:schema">
            <br/>
            <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th>Property</th>
                        <th>Value</th>
                    </tr>
                    <tr>
                        <td>
                            <label class="log-attribute-name">
                                Schema Keys
                            </label>
                        </td>
                        <td>                              
                            <label class="log-attribute-value">
                                <xsl:for-each select="syn:schema" >
                                 <xsl:value-of select="concat(@key,'')"/>
                                 <xsl:text>&#10;</xsl:text>
                                </xsl:for-each>
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label class="log-attribute-name">
                                Source node XPath
                            </label>
                        </td>
                        <td>
                            <label class="log-attribute-value">
                                <xsl:value-of select="@source"/>
                            </label>
                        </td>
                    </tr>
                </tbody>
            </table>
            </div>
            <br/>
            <br/>

            <xsl:if test="syn:feature">
                <p>Xerces-J validator <a href="http://xerces.apache.org/xerces2-j/features.html"
                                          target="_blank">features</a> (optional)</p>
                <br/>
                <div id="common_table_content">
                    <table>
                        <tr>
                            <th>Feature Name</th>
                            <th>Feature Value</th>
                        </tr>
                        <xsl:for-each select="syn:feature">
                            <xsl:call-template name="syn-feature-view"/>
                        </xsl:for-each>
                    </table>
                </div>
            </xsl:if>
            <br/>
        </xsl:if>
        <xsl:for-each select="syn:on-fail">
            <br/><label style="font-size:13px;">On validation failure</label><br/>
            <xsl:if test="count(child::*)=0">
                <xsl:call-template name="add_mediator_control">
                    <xsl:with-param name="head_pos"
                                select="concat(concat(@esb_med_pos, '.'), count(child::*))"/>
                </xsl:call-template>
            </xsl:if>
            <div class='indent'><xsl:apply-templates/></div>
        </xsl:for-each>
    </xsl:template>

    <xsl:template match="syn:schema" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">
        
    </xsl:template>

</xsl:stylesheet>