<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="*">
        <table><tbody>
        <xsl:if test="@thneed = 'true'">
            <tr>
                <th>Variable Type</th>
                <th>Variable Name</th>
                <th>Value Type</th>
                <th>Value / Expression</th>
                <th></th>
                <th>Registry Key</th>                 
                <th></th>
                <th></th>
            </tr>
        </xsl:if>
        <tr>
            <xsl:attribute name="name">syn-variable</xsl:attribute>
            <xsl:attribute name="id">
                <xsl:value-of
                    select="concat(@variable_index,'variable_id')"/>
            </xsl:attribute>
            <td>
                <xsl:element name="select">
                    <xsl:attribute name="class">
                        esb-edit small_textbox
                    </xsl:attribute>
                    <xsl:attribute name="onchange">
                      javascript:onvariabletypechange('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="@pindex"/>','<xsl:value-of select="@variable_index"/>');
                    </xsl:attribute>
                    <xsl:attribute name="id">
                        <xsl:value-of
                            select="concat('javaType',@esb_med_pos)"/>
                    </xsl:attribute>

                    <option value="Select A Value">Leave As-Is
                    </option>
                    <option value="INT">INT</option>
                    <option value="INTEGER">INTEGER</option>
                    <option value="BOOLEAN">BOOLEAN</option>
                    <option value="BYTE">BYTE</option>
                    <option value="DOUBLE">DOUBLE</option>
                    <option value="SHORT">SHORT</option>
                    <option value="LONG">LONG</option>
                    <option value="FLOAT">FLOAT</option>
                    <option value="STRING">STRING</option>
                    <option value="DOCUMENT">DOCUMENT
                    </option>
                    <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                    <option value="ELEMENT">ELEMENT</option>

                </xsl:element>
            </td>
            <td>
                <input type="text" id="variable_name"
                       class="esb-edit" style="width: 100px ! important;">
                    <xsl:attribute name="value">
                        <xsl:value-of select="@name"/>
                    </xsl:attribute>
                </input>
            </td>
            <td>
                <select class="esb-edit">
                    <xsl:attribute name="id">
                        <xsl:value-of select="concat('parameterType',@esb_med_pos)"/>
                    </xsl:attribute>
                    <xsl:attribute name="style">width: 80px ! important</xsl:attribute>
                    <xsl:attribute name="onchange">
                        javascript:showNamespaceButtonForVariable('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="@pindex"/>','<xsl:value-of select="@variable_index"/>','parameterType','namespaceCell');
                    </xsl:attribute>
                    <option value="Select A Value"  selected="true">Leave As-Is</option>
                    <option value="value">Value</option>
                    <option value="expression">expression</option>
                </select>
            </td>
            <td>
                <input type="text" id="parameter_value" class="esb-edit small_textbox" style="width: 120px ! important;">
                    <xsl:attribute name="value">
                        <xsl:value-of select="@value"/>
                    </xsl:attribute>
                </input>
            </td>
            <td>
                <xsl:attribute name="id">
                    <xsl:value-of select="concat('namespaceCell',@esb_med_pos)"/>
                </xsl:attribute>
            </td>
            <td>
                <xsl:element name="input">
                    <xsl:attribute name="type">text</xsl:attribute>
                    <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                    <xsl:attribute name="style">width:100px</xsl:attribute>
                    <xsl:attribute name="id"><xsl:value-of select="concat('registry_key',@variable_index)"/></xsl:attribute>
                    <xsl:attribute name="value">
                        <xsl:value-of select="@key"/>
                    </xsl:attribute>
                    <xsl:attribute name="DISABLED"/>
                </xsl:element>
            </td>
            <td>
                <xsl:attribute name="id"><xsl:value-of select="concat('registry_key_cell',@variable_index)"/></xsl:attribute>                        
            </td>
            <td>
                <a href="#" id="delete_link">
                    <xsl:attribute name="onclick">javascript:deletemediatorvariable('<xsl:value-of select="@variable_index"/>','<xsl:value-of select="@esb_med_pos"/>'); return false;
                    </xsl:attribute>
                    &#160;&#160;&#160;&#160;
                </a>
            </td>
        </tr>
            </tbody>
     </table>
    </xsl:template>
</xsl:stylesheet>