<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

    <!--
    ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
    ~
    ~ Licensed under the Apache License, Version 2.0 (the "License");
    ~ you may not use this file except in compliance with the License.
    ~ You may obtain a copy of the License at
    ~
    ~      http://www.apache.org/licenses/LICENSE-2.0
    ~
    ~ Unless required by applicable law or agreed to in writing, software
    ~ distributed under the License is distributed on an "AS IS" BASIS,
    ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    ~ See the License for the specific language governing permissions and
    ~ limitations under the License.
    -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:include href="mediator_view.xsl"/>
    <xsl:template match="syn:xquery"
                  xmlns:syn="http://ws.apache.org/ns/synapse">
        <xsl:variable name="ps" select="@esb_med_pos"/>
        <div id="xquery_div">
            <label class="content-header">
                <img src="extensions/core/images/xquery.jpg" align="middle"/>
                <span>
                <xsl:text>XQuery Mediator</xsl:text>
                </span>
            </label>
            <div class="inside-content">
            <div id="xquery_edit_div">
                
            <table border="0" cellpadding="0" cellspacing="0" class="data-table">
            <tbody>
                <tr>
                    <td style="width: 70px;">
                        Key<font style='color: red;font-size: 8pt;'>&#160;*</font>
                    </td>
                    <td style="width: 260px;">
                        <input type="text" class="esb-edit_disabled"
                               size="40"
                               id="xquery_key">
                            <xsl:attribute name="value">
                                <xsl:if test="not(@key)"></xsl:if>
                                <xsl:if test="@key">
                                    <xsl:value-of select="@key"/>
                                </xsl:if>
                            </xsl:attribute>
                            <xsl:attribute name="DISABLED"/>
                        </input>
                    </td>
                    <td>
                        <xsl:element name="img">
                            <xsl:attribute name="src">
                                extensions/core/images/registry_picker.gif</xsl:attribute>
                            <xsl:attribute name="title">Registry Browser</xsl:attribute>
                            <xsl:attribute name="onClick">
                                javascript:xquerykeyfromregistry('<xsl:value-of select="@esb_med_pos"/>');return false;
                            </xsl:attribute>
                        </xsl:element>
                    </td>
                </tr>
                <tr>
                    <td>
                        <xsl:text>Target</xsl:text>
                    </td>
                    <td>
                        <input type="text" class="esb-edit" size="40"
                               id="xquery_target">
                            <xsl:attribute name="value">
                                <xsl:value-of select="@target"/>
                            </xsl:attribute>
                        </input>
                    </td>
                    <td>
                        <a title="Namespace Editor" class="ns_editor">
                            <xsl:attribute name="onclick">
                                javascript:showNameSpaceEditor('<xsl:value-of select="@esb_med_pos"/>','','');
                            </xsl:attribute>
                            <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                        </a>
                    </td>
                </tr>
            </tbody>
        </table>
                <div class="sub-small-title">Variables defined for the XQuery Mediator</div>
                <div id="common_table_content">
                    <xsl:element name="table">
                        <xsl:attribute name="border">0</xsl:attribute>
                        <xsl:attribute name="cellpadding">0</xsl:attribute>
                        <xsl:attribute name="class">data-table</xsl:attribute>
                        <xsl:attribute name="cellspacing">0</xsl:attribute>
                        <tbody id="variables">
                        <xsl:if test="syn:variable">
                            <tr>
                                <th>Variable Type</th>
                                <th>Variable Name</th>
                                <th>Value Type</th>
                                <th>Value / Expression</th>
                                <th></th>
                                <th>Registry Key</th>
                                <th></th>
                            </tr>
                            <xsl:for-each select="syn:variable">
                                <tr>
                                    <xsl:attribute name="name">syn-variable</xsl:attribute>
                                    <xsl:attribute name="id">
                                        <xsl:value-of
                                            select="concat(@variable_index,'variable_id')"/>
                                    </xsl:attribute>
                                    <td>
                                        <xsl:element name="select">
                                            <xsl:attribute name="onchange">
                                                javascript:onvariabletypechange('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','<xsl:value-of select="@variable_index"/>');
                                            </xsl:attribute>
                                            <xsl:attribute name="class">
                                                esb-edit small_textbox
                                            </xsl:attribute>
                                            <xsl:attribute name="id">
                                                <xsl:value-of
                                                    select="concat('javaType',@esb_med_pos)"/>
                                            </xsl:attribute>
                                            <xsl:if test="@type ='DOCUMENT'">
                                                <option value="DOCUMENT" selected="true">DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                                <option value="INT">INT</option>
                                                <option value="INTEGER">INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='DOCUMENT_ELEMENT'">
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT" selected="true">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                                <option value="INT">INT</option>
                                                <option value="INTEGER">INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='ELEMENT'">
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT" selected="true">ELEMENT</option>
                                                <option value="INT">INT</option>
                                                <option value="INTEGER">INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='INT'">
                                                <option value="INT" selected="true">INT</option>
                                                <option value="INTEGER">INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='INTEGER'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" selected="true">INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='BOOLEAN'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN" selected="true">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='BYTE'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE" selected="true">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='DOUBLE'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE"  selected="true">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='SHORT'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE" >DOUBLE</option>
                                                <option value="SHORT"  selected="true">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='LONG'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE" >DOUBLE</option>
                                                <option value="SHORT"  >SHORT</option>
                                                <option value="LONG" selected="true">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='FLOAT'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE" >DOUBLE</option>
                                                <option value="SHORT"  >SHORT</option>
                                                <option value="LONG" >LONG</option>
                                                <option value="FLOAT" selected="true">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                            <xsl:if test="@type ='STRING'">
                                                <option value="INT" >INT</option>
                                                <option value="INTEGER" >INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE" >DOUBLE</option>
                                                <option value="SHORT"  >SHORT</option>
                                                <option value="LONG" >LONG</option>
                                                <option value="FLOAT" >FLOAT</option>
                                                <option value="STRING" selected="true">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>

                                            <xsl:if test="not(@type)">
                                                <option value="Select A Value">Leave As-Is</option>
                                                <option value="INT">INT</option>
                                                <option value="INTEGER">INTEGER</option>
                                                <option value="BOOLEAN">BOOLEAN</option>
                                                <option value="BYTE">BYTE</option>
                                                <option value="DOUBLE">DOUBLE</option>
                                                <option value="SHORT">SHORT</option>
                                                <option value="LONG">LONG</option>
                                                <option value="FLOAT">FLOAT</option>
                                                <option value="STRING">STRING</option>
                                                <option value="DOCUMENT" >DOCUMENT</option>
                                                <option value="DOCUMENT_ELEMENT">DOCUMENT_ELEMENT</option>
                                                <option value="ELEMENT">ELEMENT</option>
                                            </xsl:if>
                                        </xsl:element>
                                    </td>
                                    <td>
                                        <input type="text" id="variable_name"
                                               class="esb-edit" style="width: 100px ! important;">
                                            <xsl:attribute name="value">
                                                <xsl:value-of select="@name"/>
                                            </xsl:attribute>
                                        </input>
                                    </td>
                                    <xsl:if test="@value">
                                        <td>
                                            <select class="esb-edit">
                                                <xsl:attribute name="id">
                                                    <xsl:value-of
                                                        select="concat('parameterType',@esb_med_pos)"/>
                                                </xsl:attribute>
                                                <xsl:attribute name="style">width: 80px ! important</xsl:attribute>
                                                <xsl:attribute name="onchange">
                                                    javascript:showNamespaceButtonForVariable('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','<xsl:value-of select="@variable_index"/>','parameterType','namespaceCell');;</xsl:attribute>
                                                <option value="value" selected="true">Value</option>
                                                <option value="expression">expression</option>
                                            </select>
                                        </td>
                                        <td>
                                            <input type="text" id="parameter_value"
                                                   class="esb-edit small_textbox" style="width: 120px ! important;">
                                                <xsl:attribute name="value">
                                                    <xsl:value-of select="@value"/>
                                                </xsl:attribute>
                                            </input>
                                        </td>
                                        <td>
                                            <xsl:attribute name="id">
                                                <xsl:value-of
                                                    select="concat('namespaceCell',@esb_med_pos)"/>
                                            </xsl:attribute>
                                        </td>
                                        <td>
                                            <xsl:element name="input">
                                                <xsl:attribute name="type">text</xsl:attribute>
                                                <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                                <xsl:attribute name="style">width:100px</xsl:attribute>
                                                <xsl:attribute name="id">
                                                    <xsl:value-of
                                                        select="concat('registry_key',@variable_index)"/>
                                                </xsl:attribute>
                                                <xsl:attribute name="value">
                                                    <xsl:value-of select="@key"/>
                                                </xsl:attribute>
                                                <xsl:attribute name="DISABLED"/>
                                            </xsl:element>
                                        </td>
                                        <td>
                                            <xsl:attribute name="id">
                                                <xsl:value-of
                                                    select="concat('registry_key_cell',@variable_index)"/>
                                            </xsl:attribute>
                                        </td>
                                    </xsl:if>
                                    <xsl:if test="@expression">
                                        <td id="parameter_value">
                                            <select class="esb-edit small_textbox">
                                                <xsl:attribute name="id">
                                                    <xsl:value-of
                                                        select="concat('parameterType',@esb_med_pos)"/>
                                                </xsl:attribute>
                                                <xsl:attribute name="style">width: 80px ! important</xsl:attribute>
                                                <xsl:attribute name="onchange">
                                                    javascript:showNamespaceButtonForVariable('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','<xsl:value-of select="@variable_index"/>','parameterType','namespaceCell');;</xsl:attribute>
                                                <xsl:if test="(@type ='DOCUMENT') or (@type ='DOCUMENT_ELEMENT') or (@type ='ELEMENT')">
                                                    <option value="expression"  selected="true">expression</option>
                                                    <option value="Select A Value"  >Leave As-Is</option>
                                                </xsl:if>
                                                <xsl:if test="not(@type ='DOCUMENT') and not(@type ='DOCUMENT_ELEMENT') and not(@type ='ELEMENT')">
                                                    <option value="expression" selected="true">expression</option>
                                                    <option value="value">Value</option>                                                         
                                                </xsl:if>
                                            </select>
                                        </td>
                                        <td>
                                            <input type="text" class="esb-edit small_textbox">
                                                <xsl:attribute name="value">
                                                    <xsl:value-of select="@expression"/>
                                                </xsl:attribute>
                                            </input>
                                        </td>
                                        <td>
                                            <xsl:attribute name="id">
                                                <xsl:value-of
                                                    select="concat('namespaceCell',@esb_med_pos)"/>
                                            </xsl:attribute>
                                            <a title="Namespace Editor" class="ns_editor">
                                                <xsl:attribute name="onclick">
                                                    javascript:showNameSpaceEditorForVariable('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','<xsl:value-of select="@variable_index"/>','','');;</xsl:attribute>
                                                <xsl:text>&#160;&#160;&#160;&#160;</xsl:text>
                                            </a>
                                        </td>
                                    <td>
                                        <xsl:element name="input">
                                            <xsl:attribute name="type">text</xsl:attribute>
                                            <xsl:attribute name="class">esb-edit_disabled</xsl:attribute>
                                            <xsl:attribute name="id">
                                                <xsl:value-of
                                                    select="concat('registry_key',@variable_index)"/>
                                            </xsl:attribute>
                                            <xsl:attribute name="value">
                                                <xsl:value-of select="@key"/>
                                            </xsl:attribute>
                                            <xsl:attribute name="DISABLED"/>
                                        </xsl:element>
                                    </td>
                                    <td>
                                        <xsl:attribute name="id">
                                                <xsl:value-of
                                                    select="concat('registry_key_cell',@variable_index)"/>
                                            </xsl:attribute>
                                        <xsl:element name="img">
                                            <xsl:attribute name="src">extensions/core/images/registry_picker.gif</xsl:attribute>
                                            <xsl:attribute name="title">Registry Browser</xsl:attribute>
                                            <xsl:attribute name="onClick">javascript:variablekeyfromregistry('<xsl:value-of select="@variable_index"/>','<xsl:value-of select="@esb_med_pos"/>');;</xsl:attribute>
                                        </xsl:element>
                                    </td>
                                  </xsl:if>
                                  <xsl:if test="not(@value) and not(@expression)">
                                      <td>
                                          <select class="esb-edit">
                                              <xsl:attribute name="id">
                                                  <xsl:value-of
                                                      select="concat('parameterType',@esb_med_pos)"/>
                                              </xsl:attribute>
                                              <xsl:attribute name="style">width: 80px ! important</xsl:attribute>
                                              <xsl:attribute name="onchange">
                                                  javascript:showNamespaceButtonForVariable('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="$ps"/>','<xsl:value-of select="@variable_index"/>','parameterType','namespaceCell');
                                              </xsl:attribute>
                                              <xsl:if test="(@type ='DOCUMENT') or (@type ='DOCUMENT_ELEMENT') or (@type ='ELEMENT')">
                                              <option value="Select A Value"  selected="true">Leave As-Is</option>
                                              <option value="expression">expression</option>
                                              </xsl:if>
                                              <xsl:if test="not(@type ='DOCUMENT') and not(@type ='DOCUMENT_ELEMENT') and not(@type ='ELEMENT')">
                                              <option value="value">Value</option>
                                              <option value="expression">expression</option>
                                              </xsl:if>
                                          </select>
                                      </td>
                                      <td>
                                          <input type="text" id="parameter_value"
                                                 class="esb-edit small_textbox"
                                                 style="width: 120px ! important;">
                                              <xsl:attribute name="value">
                                                  <xsl:value-of select="@value"/>
                                              </xsl:attribute>
                                          </input>
                                      </td>
                                      <td>
                                          <xsl:attribute name="id">
                                              <xsl:value-of
                                                  select="concat('namespaceCell',@esb_med_pos)"/>
                                          </xsl:attribute>
                                      </td>
                                      <td>
                                          <xsl:element name="input">
                                              <xsl:attribute name="type">text</xsl:attribute>
                                              <xsl:attribute name="class">esb-edit_disabled
                                              </xsl:attribute>
                                              <xsl:attribute name="style">width:100px
                                              </xsl:attribute>
                                              <xsl:attribute name="id">
                                                  <xsl:value-of
                                                      select="concat('registry_key',@variable_index)"/>
                                              </xsl:attribute>
                                              <xsl:attribute name="value">
                                                  <xsl:value-of select="@key"/>
                                              </xsl:attribute>
                                              <xsl:attribute name="DISABLED"/>
                                          </xsl:element>
                                      </td>
                                      <td>
                                          <xsl:attribute name="id">
                                              <xsl:value-of
                                                  select="concat('registry_key_cell',@variable_index)"/>
                                          </xsl:attribute>
                                      </td>
                                  </xsl:if>
                                    <td>
                                        <a href="#" id="delete_link">
                                            <xsl:attribute name="onclick">javascript:deletemediatorvariable('<xsl:value-of select="@variable_index"/>','<xsl:value-of select="$ps"/>');;</xsl:attribute>
                                            &#160;&#160;&#160;&#160;
                                        </a>
                                    </td>

                                </tr>
                            </xsl:for-each>
                        </xsl:if>
                        </tbody>
                    </xsl:element>
                </div>

                <xsl:element name="input">
                    <xsl:attribute name="href">#</xsl:attribute>
                    <xsl:attribute name="type">button</xsl:attribute>
                    <xsl:attribute name="class">panelbutton_default</xsl:attribute>
                    <xsl:attribute name="value">Add Variable</xsl:attribute>
                    <xsl:attribute name="onclick">javascript:addvariable('<xsl:value-of select="@esb_med_pos"/>','<xsl:value-of select="count(syn:variable)"/>');
                    </xsl:attribute>
                </xsl:element>
                <br/>
            </div>
        	</div><!-- Inside Content ends -->
        </div>
    </xsl:template>
</xsl:stylesheet>
