<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

   <xsl:template match="syn:xquery" mode="custom" priority="2" xmlns:syn="http://ws.apache.org/ns/synapse">
        <label class="content-header">
            <img src="extensions/core/images/xquery.jpg"/>
            <xsl:call-template name="capitalize-first"/>
            <xsl:text> Mediator</xsl:text>
        </label>
        <br/>
        <br/>
        <xsl:if test="@key">
            <div id="common_table_content">
            <table border="0" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th>Property</th>
                        <th>Value</th>
                    </tr>
                    <tr>
                        <td>
                            <label class="log-attribute-name">
                                Key
                            </label>
                        </td>
                        <td>
                            <label class="log-attribute-value">
                                <xsl:value-of select="@key"/>
                            </label>
                        </td>
                    </tr>
                    <xsl:if test="@target">
                        <tr>
                            <td>
                                <label class="log-attribute-name">
                                    Target
                                </label>
                            </td>
                            <td>
                                <label class="log-attribute-value">
                                    <xsl:value-of select="@target"/>
                                </label>
                            </td>
                        </tr>
                    </xsl:if>
                </tbody>
            </table>
            </div>
             <br/>
        <br/>

        <xsl:if test="syn:variable">
            <p>Variables defined for the XQuery Mediator</p>
            <br/>
            <div id="common_table_content">
            <table>
                <tr>
                    <th>Variable Name</th>
                    <th>Variable Type</th>
                    <th>Value / Expression</th>
                    <th>Registry Key</th>
                </tr>
                <xsl:for-each select="syn:variable">
                    <xsl:call-template name="syn-variable-view"/>
                </xsl:for-each>
            </table>
            </div>
        </xsl:if>
        <br/>
        <br/>
        </xsl:if>
    </xsl:template>
    <xsl:template name="syn-variable-view">
        <tr>
            <td>
                <xsl:value-of select="@name"/>
            </td>
            <td>
                <xsl:value-of select="@type"/>
            </td>
            <td>
                <xsl:if test="@value">
                    <xsl:value-of select="@value"/>
                </xsl:if>
                <xsl:if test="@expression">
                    <xsl:value-of select="@expression"/>
                </xsl:if>
            </td>
            <td>
                <xsl:value-of select="@key"/>
            </td>
        </tr>
    </xsl:template>
</xsl:stylesheet>