<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        
        <div class="content-header proxy-miscellaneous">Miscellaneous configuration</div>
        <!--<label class="content-description">-->
            <!--<img src="extensions/core/images/miscellaneous-configuration.gif"/>-->
            <!--Configure miscellaneous options for the proxy service.-->
        <!--</label>-->
        
		<table cellpadding="0" cellspacing="0" border="0" class="data-table">
		
        <xsl:choose>
            <xsl:when test="syn:publishWSDL">
                <xsl:choose>
                    <xsl:when test="syn:publishWSDL/@key">
                    	<tr>
        					<td style="width:170px;">Publishing WSDL</td>
                    	<td align="left">
                        <img  src="extensions/core/images/dropdown.gif">
                            <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,'key'); return false;</xsl:attribute>
                        </img>
                        </td>
                        </tr>
                        <tr>
                        <td style="width:160px;" class="indent-small form-sub-field">Reference key</td>
                        <td align="left">
                        <input id="wsdl_ref"  type="text" size="20" class="esb-edit_disabled">
                            <xsl:attribute name="DISABLED"/>
                            <xsl:attribute name="value"><xsl:value-of select="syn:publishWSDL/@key"/></xsl:attribute>
                        </input>
                        <img src="extensions/core/images/registry_picker.gif"
                            title="Registry Browser" onclick="javascript:proxywsdlfromregistry();return false;" style="margin-left: 10px;" align="top"/>
                        </td>
                        </tr>
                    </xsl:when>
                    <xsl:when test="syn:publishWSDL/@uri">
                    	                    	<tr>
        					<td style="width:170px;">Publishing WSDL</td>
                    	<td align="left">
	                        <img src="extensions/core/images/dropdown.gif">
	                            <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,'uri'); return false;</xsl:attribute>
	                        </img>
	                    </td>
	                    </tr>
	                    <tr>
                        <td class="indent-small form-sub-field" style="width:160px;">
                            Source URL
                        </td>
                        <td>
                            <input type="text" id="wsdl_uri" class="esb-edit">
                                <xsl:attribute name="value"><xsl:value-of select="syn:publishWSDL/@uri"/></xsl:attribute>
                            </input>
                        </td>
                        </tr>
                        
                    </xsl:when>
                    <xsl:otherwise>
                                        	<tr>
        					<td style="width:170px;">Publishing WSDL</td>
                    	<td align="left">
                        <img src="extensions/core/images/dropdown.gif">
                            <xsl:attribute name="onclick">javascript: displaywsdlmenu(event,'inline'); return false;</xsl:attribute>
                        </img>
                        </td>
                        </tr>
                        <tr>
                        <td style="width:160px" class="indent-small form-sub-field">
                        	Specified as inline 
                        </td>
                        <td>
                        <img src="extensions/core/images/edit.gif" onclick="javascript: showproxywsdl(); return false;" align="top"/>
                        </td>
                    </tr>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
                                	<tr>
        					<td style="width:170px;">Publishing WSDL</td>
	            	<td>
	                	<img src="extensions/core/images/dropdown.gif">
	                    	<xsl:attribute name="onclick">javascript: displaywsdlmenu(event,''); return false;</xsl:attribute>
	                	</img>
	                </td>
                </tr>
                <tr>
                	<td colspan="2">
               			<div id="wsdl_div" ></div>
               		</td>
               	</tr>
            </xsl:otherwise>
        </xsl:choose>
		</table>
        <table cellpadding="0" cellspacing="0" border="0" class="data-table">
	        <tr>
	        <td style="width:170px;">Load service on startup</td>
	        <td>
	            <xsl:choose>
	                <xsl:when test="@startOnLoad != 'true'">
	                    <input type="checkbox" id="startOnLoad"/>
	                </xsl:when>
	                <xsl:otherwise>
	                    <input type="checkbox" id="startOnLoad" checked="true"/>
	                </xsl:otherwise>
	            </xsl:choose>
	        </td>
	        </tr>
	    </table>
    </xsl:template>

</xsl:stylesheet>