<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        <div class="content-header proxy-miscellaneous">
            Miscellaneous configuration
        </div>
        <!--<label class="content-description">-->
            <!--Configure miscellaneous options for the proxy service.-->
        <!--</label>-->
        
        <xsl:if test="syn:publishWSDL">
        	<table cellpadding="0" cellspacing="0" border="0" class="data-table">
        	<tr>
            <td class="sub-small-title" colspan="2">Publishing WSDL</td>
            </tr>
            <xsl:choose>
                    <xsl:when test="syn:publishWSDL/@key">
                    <tr>
                        <td class="indent-small" style="width:150px;">
                        	Reference key
                        </td>
                        <td id="wsdl_div" >
                            <xsl:value-of select="syn:publishWSDL/@key"/>
                        </td>
                    </tr>
                    </xsl:when>
                    <xsl:when test="syn:publishWSDL/@uri">
                    <tr>
                        <td class="indent-small">
                            Source URL
                        </td>
                        <td id="wsdl_div">
                                <xsl:value-of select="syn:publishWSDL/@uri"/>
                        </td>
                    </tr>
                    </xsl:when>
                    <xsl:otherwise>
                        <tr>
            				<td class="sub-small-title" colspan="2">Specified as inline</td>
            			</tr>
                    </xsl:otherwise>
            </xsl:choose>
            </table>
        </xsl:if>
        <table cellpadding="0" cellspacing="0" border="0" class="data-table">
        <tr>
        <td style="width:170px;">Load service on startup</td>
        <td>
            <xsl:choose>
                <xsl:when test="@startOnLoad != 'true'">
                    <img src="extensions/core/images/disabled_icon.png" style="margin-right:10px;" align="absmiddle"/><xsl:text>Disabled</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <img src="extensions/core/images/enabled_icon.png" style="margin-right:10px;" align="absmiddle"/><xsl:text>Enabled</xsl:text>
                </xsl:otherwise>
            </xsl:choose>
        </td>
        </tr>
        </table>
    </xsl:template>

</xsl:stylesheet>