<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:include href="../commons.xsl"/>

    <xsl:template match="syn:proxy">

        <xsl:choose>
            <xsl:when test="@int_op and @int_op='add'">
                <label class="content-header">
                    <img src="extensions/core/images/target-configuration.gif"/>
                    <xsl:text> Basic configuration</xsl:text>
                </label>
                
                <!--<label class="content-description">-->
                <!--Define how messages arriving and departing through this proxy service should be handled. Available-->
                <!--options are to directly route messages to an endpoint; or to process incoming and outgoing messages-->
                <!--through already defined sequences of mediation.-->
                <!--</label>-->
                
            </xsl:when>
            <xsl:otherwise>
                <div class="content-header proxy-target">
                    Target configuration
                </div>
            </xsl:otherwise>
        </xsl:choose>
        
		
			
        
        
        <table cellpadding="0" cellspacing="0" border="0" class="data-table" style="width:500px;">
        	
            <xsl:if test="@int_op and @int_op='add'">
                <tr>
                    <td style="width: 150px;">Proxy service name<font style='color: red;font-size: 8pt;'>&#160;*</font></td>
                    <td colspan="2">
                        <input type="text" class="esb-edit" id="proxy_name">
                            <xsl:attribute name="value">
                                <xsl:value-of select="@name"/>
                            </xsl:attribute>
                        </input>
                    </td>
                </tr>
            </xsl:if>
            <tr>
                <td colspan="3" class="sub-small-title">Target Sequences</td>
            </tr>
            <tr id="target_insequence">
                <td style="width: 150px;" class="indent-small">Incoming messages</td>

                <td>
                    <xsl:choose>
                        <xsl:when test="syn:target/syn:inSequence">
                            <input type="text" class="esb-edit" id="insequence_label" disabled="true" value="Anonymous Sequence"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <input type="text" class="esb-edit" disabled="true" id="insequence_label">
                                <xsl:attribute name="value"><xsl:value-of select="syn:target/@inSequence"/></xsl:attribute>
                            </input>
                        </xsl:otherwise>
                    </xsl:choose>
                </td>

                <td style="width: 50px; margin-left:0; padding-left:0;">
                    <xsl:if test="syn:target/syn:inSequence">
                        <img src="extensions/core/images/_edit-proxy.gif" onclick="javascript: _sequenceeditor('insequence'); return false;" align="top" hspace="5"/>
                    </xsl:if>
                    <!--<xsl:choose>-->
                    <!--<xsl:when test="syn:target/@inSequence or syn:target/syn:inSequence">-->
                    <img src="extensions/core/images/dropdown.gif"
                         id="img_insequence">
                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
                            'insequence'); return false;
                        </xsl:attribute>
                    </img>
                    <!--</xsl:when>-->
                    <!--<xsl:otherwise>-->
                    <!--<img src="extensions/core/images/dropdown.gif"-->
                    <!--id="img_insequence">-->
                    <!--<xsl:attribute name="onclick">javascript: displaytargetmenu(event,-->
                    <!--'insequence'); return false;-->
                    <!--</xsl:attribute>-->
                    <!--</img>-->
                    <!--</xsl:otherwise>-->
                    <!--</xsl:choose>-->
                </td>
            </tr>
            <input type="hidden" id="insequence">
                <xsl:attribute name="value">
                    <xsl:value-of select="syn:target/@inSequence"/>
                </xsl:attribute>
            </input>
            <input type="hidden" id="insequence_elem" value=""/>
        

        <tr id="target_outsequence">
            <td class="indent-small" style="width:150px;">Outgoing messages<font style='color: red;font-size: 8pt;'>&#160;*</font></td>
            <td>
                <xsl:choose>
                    <xsl:when test="syn:target/syn:outSequence">
                        <input type="text" class="esb-edit" id="outsequence_label" disabled="true" value="Anonymous Sequence"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <input type="text" class="esb-edit" disabled="true" id="outsequence_label">
                            <xsl:attribute name="value"><xsl:value-of select="syn:target/@outSequence"/></xsl:attribute>
                        </input>
                    </xsl:otherwise>
                </xsl:choose>
            </td>
            <td style="width: 50px; margin-left:0; padding-left:0;">
                <xsl:if test="syn:target/syn:outSequence">
                    <img src="extensions/core/images/_edit-proxy.gif" onclick="javascript: _sequenceeditor('outsequence'); return false;" hspace="5" align="top"/>
                </xsl:if>
                <!--<xsl:choose>-->
	                <!--<xsl:when test="syn:target/@outSequence or syn:target/syn:outSequence">-->
	                    <img src="extensions/core/images/dropdown.gif"
	                         id="img_outsequence">
	                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
	                            'outsequence'); return false;
	                        </xsl:attribute>
	                    </img>
	                <!--</xsl:when>-->
	                <!--<xsl:otherwise>-->
	                    <!--<img src="extensions/core/images/dropdown.gif"-->
	                         <!--id="img_outsequence">-->
	                        <!--<xsl:attribute name="onclick">javascript: displaytargetmenu(event,-->
	                            <!--'outsequence'); return false;-->
	                        <!--</xsl:attribute>-->
	                    <!--</img>-->
	                <!--</xsl:otherwise>-->
	            <!--</xsl:choose>-->
            </td>
        </tr>
        
        <input type="hidden" id="outsequence">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@outSequence"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="outsequence_elem" value=""/>
        

        <tr id="target_faultsequence">
            <td class="indent-small" style="width: 150px;">Fault flow</td>
            <td>
                <xsl:choose>
                    <xsl:when test="syn:target/syn:faultSequence">
                        <input id="faultsequence_label" value="Anonymous Sequence" class="esb-edit" disabled="true"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <input id="faultsequence_label" class="esb-edit" disabled="true">
                            <xsl:attribute name="value"><xsl:value-of select="syn:target/@faultSequence"/></xsl:attribute>
                        </input>
                    </xsl:otherwise>
                </xsl:choose>
            </td>
            <td style="width:50px; margin-left: 0; padding-left: 0;">
                <xsl:if test="syn:target/syn:faultSequence">
                    <img src="extensions/core/images/_edit-proxy.gif" onclick="javascript: _sequenceeditor('faultsequence'); return false;" hspace="5" align="top"/>
                </xsl:if>
                <!--<xsl:choose>-->
                <!--<xsl:when test="syn:target/@faultSequence or syn:target/syn:faultSequence">-->
                <img src="extensions/core/images/dropdown.gif"
                     id="img_faultsequence">
	                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
	                            'faultsequence'); return false;
	                        </xsl:attribute>
	                    </img>
	                <!--</xsl:when>-->
	                <!--<xsl:otherwise>-->
	                    <!--<img src="extensions/core/images/dropdown.gif"-->
	                         <!--id="img_faultsequence">-->
	                        <!--<xsl:attribute name="onclick">javascript: displaytargetmenu(event,-->
	                            <!--'faultsequence'); return false;-->
	                        <!--</xsl:attribute>-->
	                    <!--</img>-->
	                <!--</xsl:otherwise>-->
	            <!--</xsl:choose>-->
            </td>
        </tr>
        
        <input type="hidden" id="faultsequence">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@faultSequence"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="faultsequence_elem" value=""/>
        

        <tr id="target_endpoint">
            <td class="sub-small-title" style="width: 150px;">Target Endpoint</td>
            <td>
                         <xsl:choose>
                <xsl:when test="syn:target/syn:endpoint">
                    <input id="endpoint_label" value="Anonymous Endpoint" class="esb-edit" disabled="true">
                        <!--todo-->
                        <!--<xsl:choose>-->
                        <!--<xsl:when test="syn:target/syn:endpoint/syn:address">-->
                        <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "Address"); return false;</xsl:attribute>-->
                        <!--</xsl:when>-->
                        <!--<xsl:when test="syn:target/syn:endpoint/syn:wsdl">-->
                        <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "WSDL"); return false;</xsl:attribute>-->
                        <!--</xsl:when>-->
                        <!--<xsl:when test="syn:target/syn:endpoint/syn:failover">-->
                        <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "FailOver"); return false;</xsl:attribute>-->
                        <!--</xsl:when>-->
                        <!--<xsl:when test="syn:target/syn:endpoint/syn:loadBalance">-->
                        <!--<xsl:attribute name="onclick">javascript: onMenuItemClickToShowInNewPanel("", "", "LoadBalance"); return false;</xsl:attribute>-->
                        <!--</xsl:when>-->
                        <!--</xsl:choose>-->
                    </input>
                </xsl:when>
                <xsl:otherwise>
                    <input id="endpoint_label" class="esb-edit" disabled="true">
                        <xsl:attribute name="value"><xsl:value-of select="syn:target/@endpoint"/></xsl:attribute>
                    </input>
                </xsl:otherwise>
                </xsl:choose>
            </td>
            <td style="width: 50px; margin-left:0; padding-left:0;">

                <xsl:if test="syn:target/syn:endpoint">
                    <img src="extensions/core/images/_edit-proxy.gif" onclick="javascript: endpointaddeditwrapper(); return false;" hspace="5" align="top"/>
            </xsl:if>
                <!--<xsl:choose>-->
	                <!--<xsl:when test="syn:target/@endpoint or syn:target/syn:endpoint">-->
	                    <img src="extensions/core/images/dropdown.gif"
	                         id="img_endpoint">
	                        <xsl:attribute name="onclick">javascript: displaytargetmenu(event,
	                            'endpoint'); return false;
	                        </xsl:attribute>
	                    </img>
	                <!--</xsl:when>-->
	                <!--<xsl:otherwise>-->
	                    <!--<img src="extensions/core/images/dropdown.gif"-->
	                         <!--id="img_endpoint">-->
	                        <!--<xsl:attribute name="onclick">javascript: displaytargetmenu(event,-->
	                            <!--'endpoint'); return false;-->
	                        <!--</xsl:attribute>-->
	                    <!--</img>-->
	                <!--</xsl:otherwise>-->
	            <!--</xsl:choose>-->
            </td>
        </tr>
        </table>
        <input type="hidden" id="endpoint">
            <xsl:attribute name="value">
                <xsl:value-of select="syn:target/@endpoint"/>
            </xsl:attribute>
        </input>
        <input type="hidden" id="endpoint_elem" value=""/>
       	
		
    </xsl:template>

</xsl:stylesheet>