<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:syn="http://ws.apache.org/ns/synapse">

    <xsl:template match="syn:proxy">
        <div class="content-header proxy-target">
            
            <xsl:text> Target configuration</xsl:text>
        </div>
        <!--<label class="content-description">-->
            <!--Define how messages arriving and departing through this proxy service should be handled. Available-->
            <!--options are to directly route messages to an endpoint; or to process incoming and outgoing messages-->
            <!--through already defined sequences of mediation.-->
        <!--</label>-->
        
        
        
        <table cellpadding="0" cellspacing="0" border="0" class="data-table">
        	<tr>
        	<td colspan="2" class="sub-small-title ">Target Sequences</td>
        	</tr>
            <xsl:if test="syn:target/@inSequence or syn:target/syn:inSequence">
                <!--<div id="target_insequence">-->
                    <tr>
                        <td style="width: 150px;" class="indent-small" align="left">
                            Incoming messages
                        </td>

                        <xsl:if test="syn:target/@inSequence">
                            <td align="left">
                            <xsl:element name="input">
                            	<xsl:attribute name="type">text</xsl:attribute>
                            	<xsl:attribute name="disabled">true</xsl:attribute>
							    <xsl:attribute name="value">
				                        <xsl:value-of select="syn:target/@inSequence"/>
				                </xsl:attribute>
							</xsl:element>                         
                            </td>
                        </xsl:if>

                        <xsl:if test="syn:target/syn:inSequence">
                            <td align="left">
                            	<input type="text" value="Specified as anonymous" disabled="true" />
                            </td>
                        </xsl:if>
                    </tr>
                <!--</div>-->
            </xsl:if>

            <xsl:if test="syn:target/@outSequence or syn:target/syn:outSequence">
                <!--<div id="target_outsequence">-->
                <tr>
                    <td class="indent-small" align="left">
                        Outgoing messages
                    </td>

                    <xsl:if test="syn:target/@outSequence">
                        <td align="left">
                        	<xsl:element name="input">
                            	<xsl:attribute name="type">text</xsl:attribute>
                            	<xsl:attribute name="disabled">true</xsl:attribute>
							    <xsl:attribute name="value">
				                        <xsl:value-of select="syn:target/@outSequence"/>
				                </xsl:attribute>
							</xsl:element>
                        </td>
                    </xsl:if>
                    
                    <xsl:if test="syn:target/syn:outSequence">
                        <td align="left">
                            <input type="text" value="Specified as anonymous" disabled="true" />
                        </td>
                    </xsl:if>
                </tr>
                <!--</div>-->
            </xsl:if>

            <xsl:if test="syn:target/@faultSequence or syn:target/syn:faultSequence">
                <!--<div id="target_faultsequence">-->
                <tr>
                    <td class="indent-small"  align="left">
                        Fault flow
                    </td>

                    <xsl:if test="syn:target/@faultSequence">
                        <td align="left">
                        
                        	<xsl:element name="input">
                            	<xsl:attribute name="type">text</xsl:attribute>
                            	<xsl:attribute name="disabled">true</xsl:attribute>
							    <xsl:attribute name="value">
				                        <xsl:value-of select="syn:target/@faultSequence"/>
				                </xsl:attribute>
							</xsl:element>
                        </td>
                    </xsl:if>

                    <xsl:if test="syn:target/syn:faultSequence">
                        <td>
                            <input type="text" value="Specified as anonymous" disabled="true" />
                        </td>
                    </xsl:if>
                </tr>
                <!--</div>-->
            </xsl:if>
        

        
            <xsl:if test="syn:target/@endpoint or syn:target/syn:endpoint">
                <tr>
                    <td class="sub-small-title" align="left" style="width:150px;">
                        Target endpoint
                    </td>
                    <td>
                        <xsl:if test="syn:target/@endpoint">
                            <xsl:element name="input">
                            	<xsl:attribute name="type">text</xsl:attribute>
                            	<xsl:attribute name="disabled">true</xsl:attribute>
							    <xsl:attribute name="value">
				                        <xsl:value-of select="syn:target/@endpoint"/>
				                </xsl:attribute>
							</xsl:element>
                        </xsl:if>
                        <xsl:if test="syn:target/syn:endpoint">
                            <input type="text" value="Specified as anonymous" disabled="true" />
                        </xsl:if>
                    </td>
                </tr>
            </xsl:if>
        </table>
        
        
    </xsl:template>

</xsl:stylesheet>