<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    <xsl:template match="*">
        <div id='formset'>
        	<div class="breadcrumb"><a href="#" onClick="javascript:globalStatisticsSettings(); return false;">
                    System Statistics</a>
                &#160;&gt;&#160;Proxy Services Statistics</div>
        	<div class="page-main-title title-statistics">Proxy Services Statistics View</div>
    
            <br></br>
            <xsl:choose>
                <xsl:when test="return">
                    <table width="70%">
                        <thead>
                            <th class="static_table_headding">
                                Proxy Services Statistics
                            </th>
                        </thead>
                        <tbody>
                            <xsl:for-each select="return">
                                <tr>
                                    <td>
                                        <div style="position:relative;">
                                            <xsl:attribute name="id">
                                                <xsl:value-of
                                                        select="concat(child::text(),'_div')"/>
                                            </xsl:attribute>
                                            <span class="treeSpan">
                                                <xsl:attribute name="id">
                                                    Proxy_Services_span</xsl:attribute>
                                                <xsl:attribute name="onclick">
                                                    javascript:showTree(document.getElementById('<xsl:value-of select="concat(child::text(),'_div')"/>'),document.getElementById('<xsl:value-of select="concat(child::text(),'_img')"/>'),'<xsl:value-of select="child::text()"/>','<xsl:value-of select="child::text()"/>','1');return false;
                                                </xsl:attribute>
                                                <img src="extensions/core/images/tree_closed.gif">
                                                    <xsl:attribute name="id">
                                                        <xsl:value-of select="concat(child::text(),'_img')"/>
                                                    </xsl:attribute>
                                                </img>
                                                <a href="#">
                                                    <xsl:value-of select="concat('Proxy Service Name - ',child::text())"/>
                                                </a>                                                 
                                            </span>
                                        </div>
                                    </td>
                                </tr>
                            </xsl:for-each>
                        </tbody>
                    </table>
                </xsl:when>
                <xsl:otherwise>
                    <br/>
                    <i>
                        <font style='color: brown'>No data available</font>
                    </i>
                    <br/>
                    <br/>
                </xsl:otherwise>
            </xsl:choose>
        </div>
    </xsl:template>
</xsl:stylesheet>

