<!--
  ~ Copyright (c) 2006, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>

    <xsl:template match="ns1:taskDataResponse" xmlns:ns1="http://org.apache.synapse/xsd">
         
         <div class="breadcrumb">Tasks</div>
         <div class="page-main-title title-task"> Manage Tasks
             <img src="extensions/core/images/help.gif" alt=""
                  onmouseover="showHelp(event,'tasksHelpDiv')"
                  onmouseout="hideHelp(event,'tasksHelpDiv')"/>
         </div>
         <div id="tasksHelpDiv" class="helptip"></div>

        <fieldset style="border:none;">
            <div id='formset'>
                <xsl:choose>
                        <xsl:when test="return">
                <table class="styled">
                    <thead>
                    <tr>
                        <th>Task Name</th>
                        <th>Executing Task</th>
                        <th>Actions</th>
                    </tr>
                    </thead>
                    <tbody>

                    <xsl:for-each select="return">
                        <tr>
                            <td>
                                <xsl:element name="a">
                                    <xsl:attribute name="href">#</xsl:attribute>
                                    <xsl:attribute name="onClick">javascript:edittask('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                    <xsl:value-of select="name"/>
                                </xsl:element>
                            </td>

                            <td>
                                <xsl:value-of select="clazz"/>
                            </td>

                            <td>
                                <nobr>


                                            <a href="#" id="edit_link">
                                                <xsl:attribute name="onClick">javascript:edittask('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                <xsl:attribute name="title">Edit task <xsl:value-of select="name"/> </xsl:attribute>
                                                <xsl:attribute name="alt">Edit task <xsl:value-of select="name"/> </xsl:attribute>
                                                &#160;&#160;&#160;&#160;
                                            </a>

                                            <a href="#" id="delete_link">
                                                <xsl:attribute name="onClick">javascript:deletetask('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                <xsl:attribute name="title">Delete task <xsl:value-of select="name"/> </xsl:attribute>
                                                <xsl:attribute name="alt">Delete task <xsl:value-of select="name"/> </xsl:attribute>
                                                &#160;&#160;&#160;&#160;
                                            </a>

                                            <!--<xsl:if test="enableStatistics='true'">
                                                <a href="#" id="statistic_disable">
                                                    <xsl:attribute name="onClick">javascript:disabletaskstatistics('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Disable statistics for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Disable statistics for the task </xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>
                                            </xsl:if>
                                            <xsl:if test="enableStatistics='false'">
                                                <a href="#" id="statistic_enable">
                                                    <xsl:attribute name="onClick">javascript:enabletaskstatistics('<xsl:value-of select="name"/>'); return false; </xsl:attribute>
                                                    <xsl:attribute name="title">Enable statistics for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Enable statistics for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>
                                            </xsl:if>

                                            <xsl:if test="enableTracing='true'">
                                                <a href="#" id="tracing_disable">
                                                    <xsl:attribute name="onClick">javascript:disabletasktracing('<xsl:value-of select="name"/>'); return false;</xsl:attribute>
                                                    <xsl:attribute name="title">Disable tracing for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Disable tracing for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>
                                            </xsl:if>
                                            <xsl:if test="enableTracing='false'">
                                                <a href="#" id="tracing_enable">
                                                    <xsl:attribute name="onClick">javascript:enabletasktracing('<xsl:value-of select="name"/>'); return false; </xsl:attribute>
                                                    <xsl:attribute name="title">Enable tracing for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    <xsl:attribute name="alt">Enable tracing for the task <xsl:value-of select="name"/> </xsl:attribute>
                                                    &#160;&#160;&#160;&#160;
                                                </a>
                                            </xsl:if>-->

                                </nobr>
                            </td>
                        </tr>
                    </xsl:for-each>
                </tbody>
                </table>
                </xsl:when>
                    <xsl:otherwise>
                        <br/><i><font style='color: brown'>No tasks are currently scheduled to run. Click 'Add' to schedule a new task</font></i><br/><br/>
                    </xsl:otherwise>
                </xsl:choose>
            </div>
            <input type='button' class='panelbutton_default' value="Add" onclick="javascript:addtask();return false;"/>
        </fieldset>
    </xsl:template>
 </xsl:stylesheet>
